music7          EQU     $FEC6
Sound_Byte      EQU     $F256
Wait_Recal      EQU     $F192
Clear_x_d       EQU     $F548
Intensity_5F    EQU     $F2A5                   ; BIOS Intensity routine
Print_Str_d     EQU     $F37A                   ; BIOS print routine

INFO_START EQU 0
BYTE_POSITION EQU 0
BIT_POSITION EQU 2
CURRENT_BYTE EQU 3
CURRENT_UNPACKED_BYTE EQU 4
CURRENT_RLE_COUNTER EQU 5
CURRENT_RLE_MAPPER EQU 7
CURRENT_IS_PHRASE EQU 9
CURRENT_PHRASE_BYTE EQU 11
CURRENT_PHRASE_START EQU 12
INFO_END EQU 14
STRUCTURE_LENGTH EQU (INFO_END-INFO_START)

                BSS
                ORG $c880       ; well start of our ram space
current_register:
                DB 0
temp:
                DB 0
temp2:
                DB 0
temp3:
                DB 0
calc_bits:
                DB 0
calc_coder:
                DB 0
ym_data_len:
                DW 0
ym_data_current:
                DW 0
ym_name:
                DW 0
ym_data_start:
                CODE
;***************************************************************************
                ORG     0
; start of vectrex memory with cartridge name...
                DB      "g GCE 1998", $80 ; 'g' is copyright sign
                DW      music7            ; music from the rom
                DB      $F8, $50, $20, -$56; hight, width, rel y, rel x (from 0,0)
                DB      "VECTREX YM-SOUND", $80; some game information, ending with $80
                DB      $F8, $50, $5, -$6d; hight, width, rel y, rel x (from 0,0)
                DB      "MALBAN", $80; some game information, ending with $80
                DB      0                 ; end of game header
;***************************************************************************
; here the cartridge program starts off
entry_point:
new_game:
                ldu     #SONG_DATA
                JSR     init_ym_sound
main_loop:
                JSR     Wait_Recal              ; sets dp to d0, and pos at 0, 0
;                JSR     Intensity_5F            ; Sets the intensity of the
;                                                ; vector beam to $5f
;                LDU     ym_name                 ; address of string
;                LDA     #$10                    ; Text position relative Y
;                LDB     #-$70                   ; Text position relative X
;                JSR     Print_Str_d             ; Vectrex BIOS print routine

                JSR     do_ym_sound
;                ldd     ym_data_current
;                beq     new_game          ; loop default

                BRA     main_loop         ; go back to main loop

;***************************************************************************
do_ym_sound:
                ldd     ym_data_current
                beq     do_ym_sound_done
                subd    #1
                std     ym_data_current
                clra
                sta     current_register
                ldu     #ym_data_start
next_reg:
                jsr    get_current_byte
                lda    current_register
                ; A PSG reg
                ; B data
;                jsr Sound_Byte

                 sta     <$D001     ;store register select byte
                 lda     #$19            ;sound BDIR on, BC1 on, mux off
                 sta     <$D000     ;
                 lda     #$01            ;sound BDIR off, BC1 off, mux off
                 sta     <$D000
                 stb     <$D001     ;store data byte
                 ldd     #$1101          ;sound BDIR on, BC1 off, mux off
                 sta     <$D000     ;
                 stb     <$D000

                leau    STRUCTURE_LENGTH,u
                inc     current_register
                lda     current_register
                cmpa    #11
                bne     next_reg

do_ym_sound_done:
                RTS

no_valid_byte:
; now we must look at the bits
; A will be our bit register
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POSITION,u
                bne     byte_ready_1
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready_1:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
;;;;;;;;;;;;;;;;;;; GET_BIT END
; zero flag show bit
; A is 1 or zero
                lbne     no_single_byte
single_byte:
                inc      CURRENT_RLE_COUNTER+1,u
dechifer:
                ldd     #$100
                std     calc_bits
                ldy     CURRENT_RLE_MAPPER,u
                ldb     BIT_POSITION,u
                bne     byte_ready
                bra     byte_not_ready
try_next_bit:
                lsl       calc_coder
                inc       calc_bits    ; increase used bits
;;;;;;;;;;;; GET_BIT_START
                ldb     BIT_POSITION,u
                bne     byte_ready
byte_not_ready:
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
                beq     no_add     ; and if non zero
                inc     calc_coder
;;;;;;;;;;;; GET_BIT_END
no_add:
; we load one complete set of mapper index, bits, coder, map-value
                ldd       ,y          ; load bits from map
                anda      #127         ; map out phrases
                cmpd      calc_bits      ; neu
                bgt       try_next_bit ; neu
                beq       found
search_again:
                leay      3,y
                ldd       ,y          ; load bits from map
                anda      #127         ; map out phrases
                cmpd      calc_bits      ; neu
                bgt       try_next_bit ; neu
                bne       search_again
found:
                ldb       2,y           ; load current mapped byte!
; in b is the byte value we sought
; test for phrase
                lda       ,y          ; load bits from map
                anda     #128         ; map in phrases only
                beq      no_phrase_d
; if phrase, than in b the count of the phrase used
                ldx      CURRENT_PHRASE_START,u
                tstb
                beq     phrase_found
next_phrase:
                lda     ,x+
                leax    a,x
                decb
                bne     next_phrase
phrase_found:
                incb
                stb     CURRENT_PHRASE_BYTE,u
                stx     CURRENT_IS_PHRASE,u

                ; since a phrase is at least 2 byte long...
                ; we don't need to reduce the counter here
                ldb       ,x ; this is the current byte
                rts
no_phrase_d:
                stb      CURRENT_UNPACKED_BYTE,u
                ldx      #0
                stx      CURRENT_IS_PHRASE,u
                bra      no_phrase_in
out:
; U pointer to data structure
; A number of register
get_current_byte:
; do we have a byte that is valid?
                ldd       CURRENT_RLE_COUNTER,u
                beq       no_valid_byte
; yep... use current byte
                ldx       CURRENT_IS_PHRASE,u
                beq       no_phrase
                lda       ,x+ ; length of phrase
                ldb       CURRENT_PHRASE_BYTE,u
                ldb       b,x ; this is the current byte
                inc       CURRENT_PHRASE_BYTE,u
                cmpa      CURRENT_PHRASE_BYTE,u
                bne       counter_not_minus_one
                clr       CURRENT_PHRASE_BYTE,u
no_phrase_in:
                ldx       CURRENT_RLE_COUNTER,u
                leax      -1,x
                stx       CURRENT_RLE_COUNTER,u
counter_not_minus_one:
                rts
no_phrase:
                subd      #1
                std       CURRENT_RLE_COUNTER,u
                ldb       CURRENT_UNPACKED_BYTE,u
                rts

no_single_byte:
; non single byte here... must decode
; first we look for how many bits the RLE counter spreads

                ; we already encountered a 1
                ; and we allways use + 2
                lda     #2
                sta     temp
more_bits:
                inc     temp
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POSITION,u
                bne     byte_ready_2
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready_2:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
;;;;;;;;;;;;;;;;;;; GET_BIT END
                bne     more_bits
; in temp is the # of bits for the counter
; the following '#temp' bits represent the RLE count
; lsb first
                incb            ; we start at 1, since zero is an
                                ; 'own' 'subroutine',
                                ; which doesn't manipulate the temps
                stb     temp2   ; bit counter for shifting
                stb     temp3   ; bit counter for shifting
go_on:
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POSITION,u
                bne     byte_ready_3
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready_3:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
                beq     end_here_3
; return 1
                ldb     #1
end_here_3:
;;;;;;;;;;;;;;;;;;; GET_BIT END
; in D now one bit at the right position for the RLE counter
                stb     CURRENT_RLE_COUNTER+1,u
; the first 3 (here only the first one) rounds
; we need not check for temp, since it is at least 3...
go_on_2:
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POSITION,u
                bne     byte_ready_4
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready_4:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
                beq     end_here_4
; return 1
                ldb     #1
end_here_4:
                clra
shifting_not_yet_done:
                lsla               ; LSR A
                lslb               ; LSR B
                bcc no_carry       ; if no carry, than exit
                ora #1             ; otherwise underflow from A to 7bit of B
no_carry:
                dec     temp3
                bne     shifting_not_yet_done
shifting_done:
; in D now one bit at the right position for the RLE counter
                addd    CURRENT_RLE_COUNTER,u
                std     CURRENT_RLE_COUNTER,u

                inc     temp2
                lda     temp2
                sta     temp3
                cmpa    temp
                bne     go_on_2
; now the current counter should be set

; we still need to dechifer the following byte...
                bra       dechifer

init_ym_sound:
                ldx     #ym_data_start
                ldd     #(STRUCTURE_LENGTH*11)
                jsr     Clear_x_d

                ldy     ,u++
                ldd     ,y
                std     ym_data_len
                std     ym_data_current
                ldb     #11
next_reg_init:
                ldy     ,u++
                sty     CURRENT_RLE_MAPPER,x
                ldy     ,u++
                sty     CURRENT_PHRASE_START,x
                ldy     ,u++
                sty     BYTE_POSITION,x
                leax    STRUCTURE_LENGTH,x
                decb
                bne     next_reg_init
                stu     ym_name
                rts


;***************************************************************************
                END entry_point
;***************************************************************************

;                INCLUDE "DATA.ASM"

BEBOP_start: 
 DW 3440 ; vbl_len 
; translation data 
; DB $C4; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_0: 
 DB $83, $07, $00 ;576 
 DB $84, $08, $02 ;120 
 DB $84, $09, $05 ;150 
 DB $84, $0A, $01 ;180 
 DB $04, $0B, $EE ;222 
 DB $84, $0C, $04 ;235 
 DB $04, $0D, $3F ;315 
 DB $85, $0E, $07 ;70 
 DB $86, $10, $14 ;30 
 DB $86, $12, $0D ;36 
 DB $86, $14, $0C ;45 
 DB $86, $15, $11 ;48 
 DB $86, $16, $0E ;50 
 DB $86, $18, $09 ;60 
 DB $86, $19, $0A ;60 
 DB $86, $1A, $0B ;60 
 DB $06, $1B, $7E ;62 
 DB $86, $1E, $06 ;90 
 DB $86, $1F, $03 ;99 
 DB $07, $14, $AA ;17 
 DB $07, $16, $CC ;18 
 DB $07, $18, $6A ;21 
 DB $07, $19, $BE ;21 
 DB $07, $1A, $0C ;22 
 DB $07, $1C, $66 ;25 
 DB $07, $1D, $77 ;25 
 DB $07, $1E, $D5 ;26 
 DB $87, $22, $15 ;30 
 DB $87, $23, $16 ;30 
 DB $07, $26, $86 ;37 
 DB $87, $27, $0F ;40 
 DB $87, $2E, $17 ;50 
 DB $87, $2F, $08 ;60 
 DB $08, $1C, $7C ;9 
 DB $08, $1E, $50 ;11 
 DB $08, $20, $7A ;12 
 DB $08, $21, $DE ;12 
 DB $08, $22, $42 ;13 
 DB $08, $23, $7B ;14 
 DB $08, $24, $D8 ;14 
 DB $08, $25, $D9 ;14 
 DB $08, $26, $43 ;15 
 DB $08, $27, $5F ;16 
 DB $08, $2A, $EF ;17 
 DB $08, $2B, $3B ;18 
 DB $08, $2E, $B3 ;20 
 DB $08, $2F, $18 ;21 
 DB $88, $36, $10 ;24 
 DB $88, $37, $12 ;24 
 DB $08, $3E, $9F ;28 
 DB $88, $3F, $13 ;28 
 DB $09, $18, $0F ;4 
 DB $09, $20, $BC ;4 
 DB $09, $24, $E2 ;4 
 DB $09, $26, $08 ;5 
 DB $09, $28, $5D ;5 
 DB $09, $29, $79 ;5 
 DB $09, $2A, $8E ;5 
 DB $09, $2C, $C9 ;5 
 DB $09, $2E, $EB ;5 
 DB $09, $30, $AE ;6 
 DB $09, $31, $B6 ;6 
 DB $09, $32, $B7 ;6 
 DB $09, $34, $A2 ;7 
 DB $09, $35, $AF ;7 
 DB $09, $36, $E1 ;7 
 DB $09, $37, $1C ;9 
 DB $09, $3A, $89 ;9 
 DB $09, $3B, $A3 ;9 
 DB $09, $3E, $8A ;11 
 DB $09, $3F, $59 ;12 
 DB $0A, $0C, $1F ;2 
 DB $0A, $10, $39 ;2 
 DB $0A, $14, $6B ;2 
 DB $0A, $18, $A5 ;2 
 DB $0A, $20, $ED ;2 
 DB $0A, $22, $11 ;3 
 DB $0A, $23, $2F ;3 
 DB $0A, $24, $35 ;3 
 DB $0A, $25, $4E ;3 
 DB $0A, $26, $55 ;3 
 DB $0A, $28, $69 ;3 
 DB $0A, $29, $6E ;3 
 DB $0A, $2A, $6F ;3 
 DB $0A, $2B, $75 ;3 
 DB $0A, $2C, $91 ;3 
 DB $0A, $2D, $92 ;3 
 DB $0A, $2E, $C4 ;3 
 DB $0A, $32, $10 ;4 
 DB $0A, $33, $12 ;4 
 DB $0A, $34, $1B ;4 
 DB $0A, $35, $3D ;4 
 DB $0A, $36, $5C ;4 
 DB $0A, $37, $62 ;4 
 DB $0A, $38, $63 ;4 
 DB $0A, $39, $72 ;4 
 DB $0A, $3A, $81 ;4 
 DB $0A, $3B, $84 ;4 
 DB $0A, $3C, $8B ;4 
 DB $0A, $3D, $8C ;4 
 DB $0A, $3E, $A4 ;4 
 DB $0A, $3F, $B9 ;4 
 DB $0A, $42, $C1 ;4 
 DB $0A, $43, $C2 ;4 
 DB $0A, $44, $D0 ;4 
 DB $0A, $45, $D3 ;4 
 DB $0A, $46, $D6 ;4 
 DB $0A, $47, $D7 ;4 
 DB $0A, $4A, $E4 ;4 
 DB $0A, $4B, $E5 ;4 
 DB $0A, $4E, $44 ;5 
 DB $0A, $4F, $54 ;5 
 DB $0A, $56, $B1 ;5 
 DB $0A, $57, $BA ;5 
 DB $0A, $5A, $D1 ;5 
 DB $0A, $5B, $DA ;5 
 DB $0A, $5E, $3C ;6 
 DB $0A, $5F, $82 ;6 
 DB $0A, $66, $B8 ;6 
 DB $0A, $67, $FA ;6 
 DB $0B, $07, $57 ;1 
 DB $0B, $0B, $83 ;1 
 DB $0B, $0F, $CE ;1 
 DB $0B, $11, $E9 ;1 
 DB $0B, $12, $FD ;1 
 DB $0B, $13, $00 ;2 
 DB $0B, $14, $06 ;2 
 DB $0B, $15, $07 ;2 
 DB $0B, $16, $1D ;2 
 DB $0B, $17, $1E ;2 
 DB $0B, $1A, $20 ;2 
 DB $0B, $1B, $24 ;2 
 DB $0B, $1C, $2A ;2 
 DB $0B, $1D, $2D ;2 
 DB $0B, $1E, $30 ;2 
 DB $0B, $1F, $36 ;2 
 DB $0B, $22, $48 ;2 
 DB $0B, $23, $4C ;2 
 DB $0B, $24, $53 ;2 
 DB $0B, $25, $5B ;2 
 DB $0B, $26, $5E ;2 
 DB $0B, $27, $60 ;2 
 DB $0B, $2A, $6C ;2 
 DB $0B, $2B, $6D ;2 
 DB $0B, $2C, $73 ;2 
 DB $0B, $2D, $7F ;2 
 DB $0B, $2E, $93 ;2 
 DB $0B, $2F, $9B ;2 
 DB $0B, $32, $A6 ;2 
 DB $0B, $33, $AC ;2 
 DB $0B, $34, $AD ;2 
 DB $0B, $35, $B2 ;2 
 DB $0B, $36, $C3 ;2 
 DB $0B, $37, $C5 ;2 
 DB $0B, $38, $CA ;2 
 DB $0B, $39, $CD ;2 
 DB $0B, $3A, $DB ;2 
 DB $0B, $3B, $DC ;2 
 DB $0B, $3C, $DD ;2 
 DB $0B, $3D, $E6 ;2 
 DB $0B, $3E, $E8 ;2 
 DB $0B, $3F, $EA ;2 
 DB $0B, $42, $F2 ;2 
 DB $0B, $43, $F3 ;2 
 DB $0B, $4E, $5A ;3 
 DB $0B, $4F, $64 ;3 
 DB $0B, $5E, $F4 ;3 
 DB $0B, $5F, $0A ;4 
 DB $0C, $01, $0E ;1 
 DB $0C, $02, $13 ;1 
 DB $0C, $03, $14 ;1 
 DB $0C, $04, $16 ;1 
 DB $0C, $05, $17 ;1 
 DB $0C, $06, $1A ;1 
 DB $0C, $07, $21 ;1 
 DB $0C, $08, $28 ;1 
 DB $0C, $09, $37 ;1 
 DB $0C, $0A, $3A ;1 
 DB $0C, $0B, $45 ;1 
 DB $0C, $0C, $4B ;1 
 DB $0C, $0D, $52 ;1 
 DB $0C, $10, $65 ;1 
 DB $0C, $11, $68 ;1 
 DB $0C, $12, $70 ;1 
 DB $0C, $13, $71 ;1 
 DB $0C, $14, $74 ;1 
 DB $0C, $15, $80 ;1 
 DB $0C, $18, $9A ;1 
 DB $0C, $19, $9D ;1 
 DB $0C, $1A, $A7 ;1 
 DB $0C, $1B, $A8 ;1 
 DB $0C, $1C, $A9 ;1 
 DB $0C, $1D, $C7 ;1 
 DB $0C, $20, $E3 ;1 
 DB $0C, $21, $E7 ;1 
 DB $0D, $01, $0B ;1 
; phrases follow 
BEBOP_pd_0: 
 DB $09, $42, $43, $44, $43, $42, $3F, $3D, $3B, $3A; 576 
 DB $0F, $BE, $7B, $7B, $7B, $7B, $7E, $7F, $80, $7F, $7E, $9F, $3F, $3F, $3F, $3F; 180 
 DB $0A, $3B, $3D, $3F, $42, $43, $44, $43, $42, $3F, $3F; 120 
 DB $09, $3B, $3D, $3F, $42, $D5, $AA, $AA, $AA, $AA; 99 
 DB $05, $9F, $3F, $3F, $3F, $3F; 235 
 DB $0F, $0C, $18, $18, $18, $18, $FD, $FA, $FA, $FA, $FA, $D5, $AA, $AA, $AA, $AA; 150 
 DB $0F, $8C, $18, $16, $14, $12, $13, $12, $11, $0E, $0B, $0C, $0A, $08, $07, $08; 90 
 DB $05, $81, $82, $83, $82, $81; 70 
 DB $0C, $D8, $D9, $DA, $D9, $D8, $D5, $D3, $D1, $D0, $D1, $D3, $D5; 60 
 DB $0A, $77, $EF, $EF, $EF, $EF, $F2, $F3, $F4, $F3, $F2; 60 
 DB $0F, $B3, $66, $66, $66, $66, $69, $6A, $6B, $6A, $69, $D5, $AA, $AA, $AA, $AA; 60 
 DB $0F, $EF, $DE, $DE, $DE, $DE, $E1, $E2, $E3, $E2, $E1, $0C, $18, $18, $18, $18; 60 
 DB $0F, $50, $9F, $9F, $9F, $9F, $A2, $A3, $A4, $A3, $A2, $9F, $9D, $9B, $9A, $9B; 45 
 DB $0C, $7A, $7B, $7C, $7B, $7A, $77, $75, $73, $72, $73, $75, $77; 36 
 DB $0A, $86, $0C, $0C, $0C, $0C, $0F, $10, $11, $10, $0F; 50 
 DB $08, $C1, $C2, $C3, $C2, $C1, $BE, $BC, $BA; 40 
 DB $0C, $86, $89, $8A, $8B, $8A, $89, $86, $84, $82, $81, $82, $84; 24 
 DB $03, $3B, $3D, $3F; 48 
 DB $06, $3F, $42, $43, $44, $43, $3F; 24 
 DB $07, $7E, $7C, $7A, $79, $7A, $7C, $7E; 28 
 DB $0A, $D5, $AA, $AA, $AA, $AA, $AD, $AE, $AF, $AE, $AD; 30 
 DB $0A, $6A, $D5, $D5, $D5, $D5, $D8, $D9, $DA, $D9, $D8; 30 
 DB $0A, $35, $6A, $6A, $6A, $6A, $6D, $6E, $6F, $6E, $6D; 30 
 DB $05, $BE, $7B, $7B, $7B, $7B; 50 
; data follows 
BEBOP_reg_0_data: 
 DB $FC, $77, $69, $2E, $63, $5D, $0C, $72, $AE, $7D 
 DB $4D, $76, $38, $AD, $25, $CC, $6B, $A1, $8E, $55 
 DB $CF, $A9, $AE, $C7, $15, $A4, $B9, $8D, $74, $31 
 DB $CA, $B9, $F5, $35, $D8, $E2, $B4, $97, $31, $AE 
 DB $86, $39, $57, $3E, $A6, $BB, $1C, $56, $92, $E6 
 DB $35, $D0, $C7, $2A, $E7, $D4, $D7, $63, $8A, $D2 
 DB $5C, $C6, $BA, $18, $E5, $5C, $FA, $9A, $EC, $72 
 DB $AE, $54, $44, $39, $12, $CD, $8B, $67, $32, $4C 
 DB $9A, $20, $2A, $89, $08, $D4, $4B, $C1, $A0, $6E 
 DB $02, $C1, $B8, $34, $6C, $5B, $34, $D8, $B6, $70 
 DB $E4, $4B, $30, $6F, $56, $CE, $36, $1C, $10, $05 
 DB $2D, $8B, $67, $0F, $CE, $1F, $9C, $6D, $83, $7A 
 DB $B6, $71, $B0, $E0, $80, $29, $02, $00, $E4, $0A 
 DB $87, $00, $9C, $13, $82, $78, $25, $02, $21, $10 
 DB $5E, $01, $F0, $1E, $01, $C0, $1B, $01, $71, $78 
 DB $33, $1A, $01, $40, $13, $0C, $E0, $BC, $B0, $3E 
 DB $09, $00, $EC, $23, $04, $40, $38, $05, $C3, $21 
 DB $98, $0D, $40, $CD, $8D, $74, $31, $CA, $B9, $F5 
 DB $35, $D8, $E2, $B4, $97, $31, $AE, $86, $39, $57 
 DB $3E, $A6, $BB, $1C, $56, $92, $E6, $35, $D0, $C7 
 DB $2A, $E7, $D4, $D7, $63, $8A, $D2, $5C, $C6, $BA 
 DB $18, $E5, $5C, $FA, $9A, $EC, $71, $5A, $4B, $98 
 DB $D7, $63, $8A, $C5, $D5, $38, $0A, $06, $00, $A0 
 DB $C3, $1C, $56, $C2, $C6, $0B, $02, $A0, $3C, $03 
 DB $A1, $28, $47, $12, $04, $70, $8C, $25, $12, $18 
 DB $2C, $1E, $A9, $F0, $68, $1D, $83, $E0, $ED, $8D 
 DB $11, $09, $82, $70, $98, $15, $85, $C0, $22, $02 
 DB $10, $96, $07, $A1, $2C, $25, $06, $C1, $28, $C1 
 DB $34, $4D, $18, $26, $89, $A2, $22, $81, $FC, $4B 
 DB $88, $87, $62, $54, $58, $72, $25, $9B, $16, $CE 
 DB $64, $99, $34, $40, $55, $12, $11, $A8, $97, $83 
 DB $40, $DC, $05, $83, $70, $68, $D8, $B6, $69, $B1 
 DB $6C, $E1, $C8, $96, $60, $DE, $AD, $9C, $6C, $38 
 DB $20, $0A, $5B, $16, $CE, $1F, $9C, $3F, $38, $DB 
 DB $06, $F5, $6C, $E3, $61, $C1, $00, $52, $04, $01 
 DB $C8, $15, $0E, $01, $38, $27, $04, $F0, $4A, $04 
 DB $42, $20, $BC, $03, $E0, $3C, $03, $80, $36, $02 
 DB $E2, $F0, $66, $34, $02, $80, $26, $19, $C1, $79 
 DB $60, $7C, $12, $01, $D8, $46, $08, $80, $70, $0B 
 DB $86, $43, $30, $1A, $81, $99, $E0, $5F, $1A, $06 
 DB $01, $90, $22, $06, $40, $C0, $D0, $2F, $84, $CC 
 DB $72, $AE, $7D, $4E, $2B, $63, $8A, $C5, $D1, $38 
 DB $C1, $10, $98, $27, $09, $84, $42, $E8, $9C, $AB 
 DB $C1, $54, $46, $E0, $30, $06, $80, $0E, $03, $40 
 DB $30, $37, $00, $30, $BC, $00, $A2, $F6, $38, $AC 
 DB $80, $A0, $06, $C0, $C8, $0C, $01, $92, $9C, $AB 
 DB $95, $74, $4B, $41, $50, $1E, $01, $D0, $94, $23 
 DB $89, $02, $38, $46, $12, $89, $07, $82, $28, $5A 
 DB $08, $81, $68, $C0, $A8, $10, $05, $C0, $7E, $17 
 DB $16, $1A, $05, $F0, $98, $05, $42, $63, $02, $A0 
 DB $40, $17, $01, $F8, $5C, $1E, $89, $F0, $68, $1D 
 DB $83, $E0, $EC, $34, $00, $68, $76, $06, $00, $34 
 DB $01, $C0, $C0, $2B, $06, $60, $C8, $31, $17, $05 
 DB $60, $D4, $30, $0D, $42, $B0, $B8, $31, $0C, $83 
 DB $30, $9A, $29, $83, $A0, $F8, $1E, $07, $C1, $D0 
 DB $02, $C3, $E0, $7B, $21, $50, $2C, $05, $A0, $5C 
 DB $0B, $41, $60, $54, $0F, $43, $E0, $E8, $3E, $07 
 DB $A1, $50, $2C, $05, $A0, $5C, $46, $00, $90, $52 
 DB $01, $20, $72, $01, $4B, $24, $20, $11, $87, $04 
 DB $62, $08, $9D, $00, $44, $47, $80, $90, $27, $82 
 DB $60, $9E, $04, $81, $E0, $4A, $04, $60, $0C, $02 
 DB $30, $1D, $88, $FC, $1B, $05, $00, $4C, $14, $03 
 DB $60, $47, $12, $70, $1D, $88, $FC, $1B, $05, $00 
 DB $4C, $14, $03, $60, $FC, $01, $C1, $30, $4F, $04 
 DB $C0, $8E, $24, $E0, $DC, $1C, $02, $78, $38, $06 
 DB $E0, $92, $26, $01, $1C, $49, $C1, $B8, $38, $04 
 DB $F0, $70, $0D, $C4, $E1, $40, $12, $82, $70, $12 
 DB $91, $85, $E8, $9D, $23, $18, $00, $88, $E0, $04 
 DB $07, $02, $F4, $4E, $88, $04, $61, $C1, $18, $80 
 DB $4D, $14, $C1, $D0, $7C, $0F, $03, $E0, $E8, $98 
 DB $1D, $85, $F0, $74, $17, $C1, $DC, $8D, $89, $83 
 DB $A0, $F8, $1E, $07, $C1, $D6, $74, $C1, $E8, $9F 
 DB $09, $A2, $98, $12, $44, $C0, $5E, $89, $D0, $F4 
 DB $4F, $82, $F4, $4E, $89, $A2, $98, $A0, $7F, $12 
 DB $E0, $C4, $32, $0C, $C1, $90, $62, $2E, $0A, $C1 
 DB $A8, $60, $1A, $94, $0F, $E2, $5C, $18, $86, $41 
 DB $98, $32, $0C, $45, $C1, $58, $35, $0C, $03, $51 
 DB $3C, $4C, $93, $83, $F0, $AE, $09, $F1, $16, $0B 
 DB $01, $C8, $07, $81, $C8, $B0, $58, $01, $D0, $37 
 DB $05, $C0, $6E, $44, $3B, $12, $A0, $09, $C4, $6C 
 DB $12, $82, $58, $1E, $84, $B0, $94, $31, $13, $D2 
 DB $5E, $24, $12, $85, $B1, $28, $90, $78, $62, $27 
 DB $8B, $C4, $82, $50, $B6, $25, $12, $0F, $04, $50 
 DB $B4, $31, $13, $D2, $5E, $24, $12, $85, $B1, $28 
 DB $90, $78, $4F, $13, $24, $E0, $FC, $2B, $84, $03 
 DB $24, $E2, $78, $99, $27, $07, $E1, $5C, $20, $19 
 DB $27, $07, $E1, $5C, $20, $19, $08, $41, $0C, $0D 
 DB $82, $18, $42, $19, $0F, $44, $F8, $34, $0E, $C1 
 DB $F0, $76, $1A, $31, $AE, $54, $44, $26, $63, $5D 
 DB $1F, $D2, $1D ; flushed
; translation data 
; DB $05; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_1: 
 DB $82, $01, $00 ;720 
 DB $02, $02, $00 ;773 
 DB $02, $03, $01 ;1434 
 DB $03, $01, $02 ;298 
 DB $04, $01, $0E ;220 
; phrases follow 
BEBOP_pd_1: 
 DB $05, $00, $01, $01, $01, $01; 720 
; data follows 
BEBOP_reg_1_data: 
 DB $FC, $76, $2E, $26, $2F, $17, $3D, $3E, $4D, $73 
 DB $97, $3B, $78, $98, $BC, $5C, $F4, $F9, $35, $CE 
 DB $5C, $ED, $E2, $62, $F1, $73, $D3, $E4, $D7, $39 
 DB $73, $B7, $89, $8B, $C5, $CF, $4F, $93, $5C, $E5 
 DB $CE, $DE, $26, $2F, $17, $3D, $3E, $4D, $73, $97 
 DB $3B, $78, $98, $BC, $5C, $F4, $F9, $35, $CE, $5C 
 DB $F2, $F8, $97, $A4, $C9, $AF, $26, $BC, $99, $F1 
 DB $26, $B9, $7A, $4B, $89, $33, $E2, $5E, $92, $E2 
 DB $4C, $FC, $E5, $F9, $12, $67, $E7, $2F, $8A, $73 
 DB $E7, $8B, $9E, $9F, $26, $B9, $CB, $9D, $BC, $4C 
 DB $5E, $2E, $7A, $7C, $9A, $E7, $2E, $76, $F1, $31 
 DB $78, $B9, $E9, $F2, $6B, $9C, $B9, $DB, $C4, $C5 
 DB $E2, $E7, $A7, $C9, $AE, $72, $E7, $6F, $13, $17 
 DB $2E, $72, $E6, $B9, $CB, $C9, $AF, $96, $35, $F8 
 DB $B1, $AF, $96, $35, $F8, $B1, $CB, $1F, $3B, $65 
 DB $E2, $5E, $93, $26, $BC, $9A, $F2, $67, $C4, $9A 
 DB $E5, $E9, $2E, $24, $CF, $89, $7A, $4B, $89, $33 
 DB $F3, $97, $E4, $49, $9F, $9C, $BE, $29, $CF, $9E 
 DB $2E, $7A, $7C, $9A, $E7, $2E, $72, $F2, $6B, $C9 
 DB $CB, $9C, $B9, $CB, $9C, $B9, $CB, $9C, $B9, $CB 
 DB $9C, $B9, $AE, $7D, $6F, $CF, $8E, $5F, $FC, $9C 
 DB $DD, $9C, $FF, $5C, $70 ; flushed
; translation data 
; DB $34; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_2: 
 DB $83, $04, $02 ;255 
 DB $83, $06, $01 ;500 
 DB $83, $07, $00 ;600 
 DB $04, $07, $FB ;253 
 DB $04, $0A, $F7 ;265 
 DB $84, $0B, $03 ;315 
 DB $05, $04, $ED ;50 
 DB $85, $06, $09 ;70 
 DB $05, $08, $D5 ;88 
 DB $85, $09, $06 ;90 
 DB $85, $0A, $07 ;90 
 DB $05, $0B, $EE ;115 
 DB $85, $0C, $04 ;120 
 DB $85, $0D, $05 ;120 
 DB $06, $06, $A7 ;27 
 DB $06, $0A, $FC ;56 
 DB $86, $0B, $08 ;66 
 DB $86, $0E, $0A ;70 
 DB $86, $0F, $0B ;70 
 DB $07, $06, $2F ;15 
 DB $07, $08, $9F ;18 
 DB $07, $09, $0C ;21 
 DB $07, $0A, $AB ;22 
 DB $07, $0B, $E9 ;23 
 DB $87, $0E, $0C ;40 
 DB $07, $0F, $77 ;43 
 DB $08, $04, $65 ;6 
 DB $08, $06, $73 ;7 
 DB $08, $08, $BE ;8 
 DB $08, $09, $E5 ;8 
 DB $08, $0A, $7B ;10 
 DB $08, $0B, $8E ;13 
 DB $08, $0E, $A3 ;16 
 DB $08, $0F, $61 ;18 
 DB $09, $04, $4B ;4 
 DB $09, $05, $9C ;4 
 DB $09, $06, $8F ;5 
 DB $09, $07, $5D ;6 
 DB $09, $0A, $E1 ;6 
 DB $09, $0B, $F1 ;6 
 DB $09, $0E, $47 ;8 
 DB $09, $0F, $98 ;8 
 DB $0A, $01, $00 ;2 
 DB $0A, $02, $08 ;2 
 DB $0A, $04, $F3 ;2 
 DB $0A, $05, $F8 ;2 
 DB $0A, $06, $43 ;3 
 DB $0A, $07, $94 ;3 
 DB $0B, $01, $A9 ;1 
 DB $0B, $06, $10 ;2 
 DB $0B, $07, $DD ;2 
 DB $0C, $01, $7F ;1 
; phrases follow 
BEBOP_pd_2: 
 DB $04, $D5, $9F, $8E, $7F; 600 
 DB $0A, $A7, $A7, $A7, $A7, $A7, $AB, $AB, $A7, $A3, $A3; 500 
 DB $05, $FB, $FB, $F7, $F3, $F3; 255 
 DB $0F, $77, $77, $77, $77, $77, $7B, $7B, $77, $73, $73, $BE, $9F, $8E, $77, $BE; 315 
 DB $05, $BE, $9F, $8E, $77, $BE; 120 
 DB $05, $D5, $BE, $A9, $8E, $D5; 120 
 DB $0A, $E1, $E1, $E1, $E1, $E1, $E5, $E5, $E1, $DD, $DD; 90 
 DB $0A, $77, $77, $77, $77, $77, $7B, $7B, $77, $73, $73; 90 
 DB $0B, $D5, $ED, $ED, $ED, $ED, $ED, $F1, $F1, $ED, $E9, $E9; 66 
 DB $0A, $98, $98, $98, $98, $98, $9C, $9C, $98, $94, $94; 70 
 DB $0A, $47, $47, $47, $47, $47, $4B, $4B, $47, $43, $43; 70 
 DB $0A, $0C, $0C, $0C, $0C, $0C, $10, $10, $0C, $08, $08; 70 
 DB $0A, $FC, $FC, $FC, $FC, $FC, $00, $00, $FC, $F8, $F8; 40 
; data follows 
BEBOP_reg_2_data: 
 DB $FB, $3A, $EA, $06, $AD, $25, $4A, $18, $0F, $90 
 DB $14, $0F, $00, $F5, $24, $81, $62, $48, $58, $92 
 DB $05, $88, $16, $38, $0E, $90, $10, $0E, $00, $CD 
 DB $51, $E3, $D8, $34, $85, $06, $90, $70, $69, $0A 
 DB $0D, $20, $E0, $D2, $14, $1A, $41, $C1, $A4, $28 
 DB $34, $83, $83, $56, $91, $C8, $AD, $23, $90, $CE 
 DB $43, $39, $15, $A4, $72, $2B, $49, $52, $A5, $C8 
 DB $08, $A9, $19, $C8, $AD, $23, $91, $5A, $47, $21 
 DB $9C, $86, $72, $2B, $48, $E4, $12, $E4, $54, $3E 
 DB $40, $80, $F9, $01, $DC, $8A, $8B, $91, $02, $E4 
 DB $12, $E4, $4A, $EB, $48, $65, $69, $0C, $59, $55 
 DB $28, $C0, $80, $58, $78, $20, $22, $A4, $63, $2B 
 DB $48, $E4, $56, $91, $C8, $67, $21, $9C, $80, $E7 
 DB $20, $67, $16, $E4, $0E, $72, $18, $D6, $34, $93 
 DB $49, $35, $8D, $63, $47, $9A, $3C, $D9, $5D, $69 
 DB $0C, $AD, $21, $92, $BA, $D2, $19, $5A, $32, $A1 
 DB $AB, $4E, $45, $4A, $19, $C5, $B9, $03, $9C, $86 
 DB $A8, $FA, $89, $72, $18, $34, $85, $06, $07, $57 
 DB $95, $6E, $40, $40, $2C, $A0, $F9, $05, $07, $81 
 DB $AB, $DA, $DC, $80, $80, $5B, $06, $90, $A0, $C0 
 DB $EA, $FA, $D2, $39, $15, $A4, $72, $19, $C8, $67 
 DB $22, $B4, $8E, $45, $69, $2A, $54, $B9, $01, $15 
 DB $23, $39, $15, $A4, $72, $2B, $48, $E4, $33, $90 
 DB $CE, $45, $69, $1C, $82, $5C, $8A, $87, $C8, $10 
 DB $1F, $20, $3B, $91, $51, $72, $20, $5C, $82, $5C 
 DB $89, $5D, $69, $0C, $AD, $21, $8B, $2A, $A5, $18 
 DB $10, $0B, $0F, $04, $04, $54, $8C, $65, $69, $1C 
 DB $8A, $D2, $39, $0C, $E4, $33, $90, $1C, $E4, $0C 
 DB $E2, $DC, $81, $CE, $43, $1A, $C6, $92, $69, $26 
 DB $B1, $AC, $68, $F3, $47, $9B, $2B, $AD, $21, $95 
 DB $A4, $32, $57, $5A, $43, $2B, $46, $54, $35, $69 
 DB $C8, $A9, $43, $38, $B7, $20, $73, $90, $D5, $1F 
 DB $51, $2E, $43, $06, $90, $A0, $C0, $EA, $F2, $AD 
 DB $C8, $08, $05, $94, $1F, $20, $A0, $F0, $35, $7B 
 DB $5B, $90, $10, $0B, $60, $D2, $14, $18, $1D, $5F 
 DB $5A, $47, $22, $B4, $8E, $43, $39, $0C, $E4, $56 
 DB $91, $C8, $AD, $25, $4A, $97, $20, $22, $A4, $67 
 DB $22, $B4, $8E, $45, $69, $1C, $86, $72, $19, $C8 
 DB $AD, $23, $90, $4B, $91, $50, $F9, $02, $03, $E4 
 DB $07, $72, $2A, $2E, $44, $0B, $90, $4B, $91, $2B 
 DB $AD, $21, $95, $A4, $31, $65, $54, $A3, $02, $01 
 DB $61, $E0, $80, $8A, $91, $8C, $AD, $23, $91, $5A 
 DB $47, $21, $9C, $86, $72, $03, $9C, $81, $9C, $5B 
 DB $90, $39, $C8, $63, $58, $D2, $4D, $24, $D6, $35 
 DB $8D, $1E, $68, $F3, $65, $75, $A4, $32, $B4, $86 
 DB $4A, $EB, $48, $65, $68, $CA, $86, $AD, $39, $15 
 DB $28, $67, $16, $E4, $0E, $72, $1A, $A3, $EA, $25 
 DB $C8, $60, $D2, $14, $18, $1D, $5E, $55, $B9, $01 
 DB $00, $B2, $83, $E4, $14, $1E, $06, $AF, $6B, $72 
 DB $02, $01, $6C, $1A, $42, $83, $03, $AB, $C3, $AB 
 DB $48, $A4, $54, $9E, $74, $8A, $45, $22, $91, $48 
 DB $A4, $57, $E9, $F7 ; flushed
; translation data 
; DB $0F; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_3: 
 DB $82, $02, $02 ;540 
 DB $03, $02, $06 ;190 
 DB $83, $06, $01 ;585 
 DB $83, $07, $00 ;675 
 DB $04, $02, $0E ;115 
 DB $04, $06, $00 ;370 
 DB $04, $07, $09 ;390 
 DB $05, $01, $05 ;78 
 DB $05, $02, $04 ;82 
 DB $05, $03, $07 ;100 
 DB $85, $06, $03 ;180 
 DB $85, $07, $04 ;180 
 DB $06, $01, $0B ;15 
 DB $07, $01, $08 ;10 
 DB $08, $01, $0A ;5 
; phrases follow 
BEBOP_pd_3: 
 DB $0F, $06, $06, $06, $06, $06, $06, $06, $06, $06, $06, $00, $00, $00, $00, $00; 675 
 DB $0F, $09, $09, $09, $09, $09, $09, $09, $09, $09, $09, $00, $00, $00, $00, $00; 585 
 DB $0F, $07, $07, $07, $07, $07, $07, $07, $07, $07, $07, $00, $00, $00, $00, $00; 540 
 DB $0F, $08, $08, $08, $08, $08, $08, $08, $08, $08, $08, $00, $00, $00, $00, $00; 180 
 DB $0F, $05, $05, $05, $05, $05, $05, $05, $05, $05, $05, $00, $00, $00, $00, $00; 180 
; data follows 
BEBOP_reg_3_data: 
 DB $FB, $39, $54, $07, $2B, $D4, $5C, $F0, $F4, $D6 
 DB $F1, $FB, $15, $2D, $2E, $D9, $5E, $A2, $CA, $D5 
 DB $0B, $CB, $4B, $B4, $8D, $6A, $59, $65, $1D, $45 
 DB $95, $AA, $17, $96, $97, $A8, $A4, $1B, $0A, $AD 
 DB $23, $DB, $C8, $D2, $F1, $A5, $A5, $35, $5E, $AD 
 DB $50, $6A, $F5, $6A, $8A, $47, $7C, $A9, $6F, $5C 
 DB $56, $59, $5B, $78, $F8, $AC, $F9, $5B, $7A, $E2 
 DB $B4, $B4, $BB, $65, $7A, $8B, $2B, $54, $2F, $2D 
 DB $2E, $D2, $35, $A9, $65, $94, $75, $16, $56, $A8 
 DB $5E, $5A, $5E, $A2, $90, $6C, $2A, $B4, $8F, $6F 
 DB $23, $4B, $C6, $96, $94, $D5, $7A, $B5, $41, $AB 
 DB $D5, $AA, $29, $1D, $F2, $A5, $BD, $71, $59, $65 
 DB $6D, $E3, $E2, $B3, $E5, $6D, $EB, $8A, $D2, $D2 
 DB $ED, $95, $EA, $2C, $AD, $50, $BC, $B4, $BB, $48 
 DB $D6, $A5, $96, $51, $D4, $59, $5A, $A1, $79, $69 
 DB $7A, $8A, $41, $B0, $AA, $D2, $3D, $BC, $8D, $2F 
 DB $1A, $5A, $53, $55, $EA, $D5, $06, $AF, $56, $A8 
 DB $A4, $77, $CA, $96, $F5, $C5, $65, $95, $B7, $8F 
 DB $8A, $CF, $95, $B7, $AE, $2B, $54, $52, $0D, $85 
 DB $FC, $D9, $70 ; flushed
; translation data 
; DB $01; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_4: 
 DB $01, $01, $77 ;3440 
; phrases follow 
BEBOP_pd_4: 
; data follows 
BEBOP_reg_4_data: 
 DB $FF, $C1, $D7 ; flushed
; translation data 
; DB $01; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_5: 
 DB $01, $01, $07 ;3440 
; phrases follow 
BEBOP_pd_5: 
; data follows 
BEBOP_reg_5_data: 
 DB $FF, $C1, $D7 ; flushed
; translation data 
; DB $04; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_6: 
 DB $02, $01, $00 ;333 
 DB $82, $02, $00 ;1560 
 DB $82, $03, $01 ;1560 
 DB $03, $01, $02 ;17 
; phrases follow 
BEBOP_pd_6: 
 DB $0F, $02, $00, $02, $00, $02, $00, $02, $00, $02, $00, $02, $00, $02, $00, $02; 1560 
 DB $0F, $02, $00, $00, $00, $00, $00, $00, $00, $00, $00, $02, $00, $00, $00, $00; 1560 
; data follows 
BEBOP_reg_6_data: 
 DB $4D, $34, $D3, $4D, $34, $D3, $4D, $34, $D3, $4D 
 DB $34, $D3, $4D, $34, $D3, $4D, $34, $D3, $4D, $34 
 DB $D3, $4D, $34, $D3, $4D, $34, $D3, $4D, $34, $D3 
 DB $4D, $34, $D3, $4D, $34, $D3, $4D, $34, $D3, $4D 
 DB $34, $D3, $4D, $34, $D3, $4D, $34, $D3, $4D, $34 
 DB $D3, $4D, $34, $D3, $4D, $34, $D3, $4D, $34, $D3 
 DB $4D, $34, $D3, $4D, $34, $D3, $4D, $34, $D3, $4D 
 DB $34, $D3, $4D, $34, $D3, $4D, $34, $D3, $18, $A3 
 DB $14, $62, $8C, $51, $8A, $31, $47, $FA, $12, $80 
 ; flushed
; translation data 
; DB $03; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_7: 
 DB $01, $01, $1C ;3220 
 DB $02, $01, $1F ;115 
 DB $03, $01, $1D ;105 
; phrases follow 
BEBOP_pd_7: 
; data follows 
BEBOP_reg_7_data: 
 DB $FB, $3B, $F4, $B3, $FF, $8A, $4E ; flushed
; translation data 
; DB $15; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_8: 
 DB $02, $01, $00 ;502 
 DB $82, $02, $00 ;1175 
 DB $02, $03, $0D ;1335 
 DB $83, $01, $01 ;240 
 DB $84, $01, $02 ;140 
 DB $06, $02, $04 ;11 
 DB $86, $03, $03 ;36 
 DB $87, $03, $04 ;10 
 DB $08, $04, $0C ;2 
 DB $08, $05, $0F ;2 
 DB $09, $03, $0E ;1 
 DB $09, $04, $08 ;2 
 DB $09, $05, $09 ;2 
 DB $09, $06, $0A ;2 
 DB $09, $07, $0B ;2 
 DB $0A, $01, $02 ;1 
 DB $0A, $02, $03 ;1 
 DB $0A, $03, $05 ;1 
 DB $0A, $04, $06 ;1 
 DB $0A, $05, $07 ;1 
 DB $0B, $01, $01 ;1 
; phrases follow 
BEBOP_pd_8: 
 DB $05, $0F, $0F, $0E, $0D, $0D; 1175 
 DB $08, $0C, $0B, $0A, $09, $08, $07, $06, $05; 240 
 DB $0A, $04, $04, $04, $04, $04, $04, $03, $02, $01, $00; 140 
 DB $03, $0C, $0B, $0A; 36 
 DB $02, $09, $08; 10 
; data follows 
BEBOP_reg_8_data: 
 DB $FC, $76, $D6, $96, $21, $5D, $3E, $55, $75, $2C 
 DB $56, $5E, $B4, $B1, $0A, $E9, $F2, $AB, $A9, $62 
 DB $B2, $F5, $A5, $88, $57, $4F, $95, $5D, $4B, $15 
 DB $97, $AD, $2C, $42, $BA, $7C, $AA, $EA, $58, $AC 
 DB $BD, $69, $62, $15, $D3, $E5, $57, $52, $C5, $65 
 DB $EB, $4B, $10, $AE, $9F, $2A, $BA, $96, $2B, $A7 
 DB $CA, $AF, $2A, $BC, $AA, $F2, $AB, $CA, $AF, $2A 
 DB $BC, $AA, $F2, $AB, $CA, $96, $0D, $4B, $15, $D3 
 DB $C1, $81, $A9, $60, $D4, $B1, $5C, $FD, $4B, $10 
 DB $AE, $9F, $2A, $BA, $96, $2B, $2F, $5A, $58, $85 
 DB $74, $F9, $55, $D4, $B1, $59, $7A, $D2, $C4, $2B 
 DB $A7, $CA, $AE, $A5, $8A, $CB, $D6, $96, $21, $5D 
 DB $3E, $55, $75, $2C, $56, $5E, $B4, $B1, $59, $75 
 DB $2C, $1A, $CB, $CA, $AE, $AB, $AA, $EA, $BA, $AE 
 DB $AB, $A9, $60, $D4, $B0, $6A, $BA, $AF, $2A, $BC 
 DB $AA, $EB, $2F, $2A, $BC, $AA, $F2, $AB, $CA, $AF 
 DB $2A, $BC, $AA, $F2, $AB, $CA, $AF, $2A, $BC, $AA 
 DB $F2, $A5, $83, $52, $C5, $74, $F0, $60, $6A, $58 
 DB $35, $2C, $57, $3F, $5C, $5D, $74, $F9, $55, $D6 
 DB $5D, $65, $E5, $57, $95, $97, $59, $75, $97, $59 
 DB $75, $97, $59, $75, $97, $59, $75, $5D, $74, $F1 
 DB $0C, $95, $97, $59, $75, $97, $59, $75, $5D, $6F 
 DB $D5, $75, $BF, $55, $D7, $4F, $10, $C9, $59, $75 
 DB $5E, $56, $5D, $57, $95, $97, $55, $E5, $65, $D5 
 DB $75, $D3, $C4, $38, $DC, $36, $5D, $65, $D6, $5D 
 DB $65, $D6, $5D, $65, $D5, $79, $55, $D7, $4F, $06 
 DB $06, $B8, $BA, $E9, $E0, $C0, $D7, $17, $5D, $3C 
 DB $18, $1A, $AE, $A5, $8D, $42, $52, $C4, $3F, $D2 
 DB $14 ; flushed
; translation data 
; DB $13; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_9: 
 DB $81, $01, $00 ;2070 
 DB $03, $03, $00 ;479 
 DB $84, $02, $03 ;120 
 DB $84, $03, $01 ;165 
 DB $84, $04, $02 ;200 
 DB $04, $05, $0A ;205 
 DB $05, $02, $0C ;45 
 DB $05, $03, $0E ;78 
 DB $06, $02, $0D ;21 
 DB $06, $03, $0B ;38 
 DB $07, $02, $05 ;8 
 DB $08, $01, $02 ;5 
 DB $08, $02, $03 ;8 
 DB $08, $03, $04 ;8 
 DB $08, $06, $06 ;10 
 DB $08, $07, $07 ;10 
 DB $09, $01, $01 ;4 
 DB $0A, $01, $09 ;1 
 DB $0B, $01, $08 ;1 
; phrases follow 
BEBOP_pd_9: 
 DB $0F, $0E, $0E, $0E, $0E, $0D, $0C, $0C, $0C, $0C, $0B, $0B, $00, $00, $00, $00; 2070 
 DB $0B, $0E, $0E, $0E, $0E, $0D, $0C, $0B, $0A, $09, $08, $07; 165 
 DB $05, $00, $00, $00, $00, $0E; 200 
 DB $05, $0C, $0C, $0C, $0B, $0B; 120 
; data follows 
BEBOP_reg_9_data: 
 DB $FB, $3B, $92, $58, $60, $82, $24, $58, $E2, $C7 
 DB $16, $32, $58, $60, $82, $92, $58, $60, $82, $8B 
 DB $1D, $81, $E2, $0D, $10, $51, $03, $88, $10, $06 
 DB $2E, $B8, $8C, $10, $44, $10, $38, $A9, $22, $F3 
 DB $E2, $30, $41, $10, $40, $E2, $A4, $8B, $E1, $C3 
 DB $14, $90, $44, $8B, $B6, $23, $04, $14, $90, $51 
 DB $63, $10, $3C, $EA, $4B, $0C, $14, $45, $60, $F4 
 DB $AC, $58, $C4, $0F, $3A, $92, $C3, $05, $11, $58 
 DB $3D, $2B, $16, $31, $03, $CE, $B1, $75, $C4, $60 
 DB $82, $20, $81, $C5, $49, $17, $9F, $11, $82, $08 
 DB $82, $07, $15, $24, $5F, $0E, $18, $A4, $82, $24 
 DB $5D, $B1, $18, $20, $A4, $82, $8B, $18, $81, $E7 
 DB $52, $58, $60, $A2, $2B, $07, $A5, $62, $C6, $20 
 DB $79, $D4, $96, $18, $28, $8A, $C1, $E9, $58, $B1 
 DB $88, $1E, $75, $8B, $AE, $23, $04, $11, $04, $0E 
 DB $2A, $48, $BC, $F8, $8C, $10, $44, $10, $38, $A9 
 DB $22, $F8, $70, $C5, $24, $11, $22, $ED, $88, $C1 
 DB $05, $24, $14, $58, $C4, $0F, $3A, $92, $C3, $05 
 DB $11, $58, $3D, $2B, $16, $31, $03, $CE, $A4, $B0 
 DB $C1, $44, $56, $0F, $4A, $C5, $8C, $40, $F3, $A9 
 DB $2C, $30, $41, $45, $8E, $C0, $F2, $06, $8B, $1D 
 DB $81, $E2, $0D, $10, $51, $03, $88, $14, $40, $62 
 DB $01, $FC, $3E, $C0 ; flushed
; translation data 
; DB $0C; bytes follow 
; bits used, code, real 'byte' 
BEBOP_reg_10: 
 DB $02, $01, $00 ;815 
 DB $82, $02, $00 ;1055 
 DB $82, $03, $01 ;1560 
 DB $04, $02, $0A ;7 
 DB $04, $03, $09 ;9 
 DB $05, $01, $0B ;2 
 DB $05, $02, $08 ;3 
 DB $06, $01, $0F ;1 
 DB $06, $06, $0C ;3 
 DB $06, $07, $0D ;3 
 DB $07, $01, $0E ;1 
 DB $08, $01, $07 ;1 
; phrases follow 
BEBOP_pd_10: 
 DB $05, $0C, $0A, $07, $00, $00; 1055 
 DB $0F, $0C, $0A, $0A, $0A, $0A, $0A, $0A, $09, $09, $09, $09, $09, $09, $09, $09; 1560 
; data follows 
BEBOP_reg_10_data: 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AA 
 DB $6A, $AA, $6A, $AA, $6A, $AA, $6A, $AC, $60, $E0 
 DB $85, $24, $38, $21, $49, $01, $0C, $14, $90, $21 
 DB $C7, $FD, $F1, $40 ; flushed
; This data does not appear in binary output! 
BEBOP_data: 
 DW BEBOP_start 
 DW BEBOP_reg_0, BEBOP_pd_0, BEBOP_reg_0_data
 DW BEBOP_reg_1, BEBOP_pd_1, BEBOP_reg_1_data
 DW BEBOP_reg_2, BEBOP_pd_2, BEBOP_reg_2_data
 DW BEBOP_reg_3, BEBOP_pd_3, BEBOP_reg_3_data
 DW BEBOP_reg_4, BEBOP_pd_4, BEBOP_reg_4_data
 DW BEBOP_reg_5, BEBOP_pd_5, BEBOP_reg_5_data
 DW BEBOP_reg_6, BEBOP_pd_6, BEBOP_reg_6_data
 DW BEBOP_reg_7, BEBOP_pd_7, BEBOP_reg_7_data
 DW BEBOP_reg_8, BEBOP_pd_8, BEBOP_reg_8_data
 DW BEBOP_reg_9, BEBOP_pd_9, BEBOP_reg_9_data
 DW BEBOP_reg_10, BEBOP_pd_10, BEBOP_reg_10_data
SONG_DATA EQU BEBOP_data 
BEBOP_name: 
 DB $42, $45, $42, $4F, $50, $80 
