music7          EQU     $FEC6
Sound_Byte      EQU     $F256
Wait_Recal      EQU     $F192
Clear_x_d       EQU     $F548
Intensity_5F    EQU     $F2A5                   ; BIOS Intensity routine
Print_Str_d     EQU     $F37A                   ; BIOS print routine

INFO_START EQU 0
BYTE_POSITION EQU 0
BIT_POSITION EQU 2
CURRENT_BYTE EQU 3
CURRENT_UNPACKED_BYTE EQU 4
CURRENT_RLE_COUNTER EQU 5
CURRENT_RLE_MAPPER EQU 7
CURRENT_IS_PHRASE EQU 9
CURRENT_PHRASE_BYTE EQU 11
CURRENT_PHRASE_START EQU 12
INFO_END EQU 14
STRUCTURE_LENGTH EQU (INFO_END-INFO_START)

                BSS
                ORG $c880       ; well start of our ram space
current_register:
                DB 0
temp:
                DB 0
temp2:
                DB 0
temp3:
                DB 0
calc_bits:
                DB 0
calc_coder:
                DB 0
ym_data_len:
                DW 0
ym_data_current:
                DW 0
ym_name:
                DW 0
ym_data_start:
                CODE
;***************************************************************************
                ORG     0
; start of vectrex memory with cartridge name...
                DB      "g GCE 1998", $80 ; 'g' is copyright sign
                DW      music7            ; music from the rom
                DB      $F8, $50, $20, -$56; hight, width, rel y, rel x (from 0,0)
                DB      "VECTREX YM-SOUND", $80; some game information, ending with $80
                DB      $F8, $50, $5, -$6d; hight, width, rel y, rel x (from 0,0)
                DB      "MALBAN", $80; some game information, ending with $80
                DB      0                 ; end of game header
;***************************************************************************
; here the cartridge program starts off
entry_point:
new_game:
                ldu     #SONG_DATA
                JSR     init_ym_sound
main_loop:
                JSR     Wait_Recal              ; sets dp to d0, and pos at 0, 0
;                JSR     Intensity_5F            ; Sets the intensity of the
;                                                ; vector beam to $5f
;                LDU     ym_name                 ; address of string
;                LDA     #$10                    ; Text position relative Y
;                LDB     #-$70                   ; Text position relative X
;                JSR     Print_Str_d             ; Vectrex BIOS print routine

                JSR     do_ym_sound
;                ldd     ym_data_current
;                beq     new_game          ; loop default

                BRA     main_loop         ; go back to main loop

;***************************************************************************
do_ym_sound:
                ldd     ym_data_current
                beq     do_ym_sound_done
                subd    #1
                std     ym_data_current
                clra
                sta     current_register
                ldu     #ym_data_start
next_reg:
                jsr    get_current_byte
                lda    current_register
                ; A PSG reg
                ; B data
;                jsr Sound_Byte

                 sta     <$D001     ;store register select byte
                 lda     #$19            ;sound BDIR on, BC1 on, mux off
                 sta     <$D000     ;
                 lda     #$01            ;sound BDIR off, BC1 off, mux off
                 sta     <$D000
                 stb     <$D001     ;store data byte
                 ldd     #$1101          ;sound BDIR on, BC1 off, mux off
                 sta     <$D000     ;
                 stb     <$D000

                leau    STRUCTURE_LENGTH,u
                inc     current_register
                lda     current_register
                cmpa    #11
                bne     next_reg

do_ym_sound_done:
                RTS

no_valid_byte:
; now we must look at the bits
; A will be our bit register
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POSITION,u
                bne     byte_ready_1
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready_1:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
;;;;;;;;;;;;;;;;;;; GET_BIT END
; zero flag show bit
; A is 1 or zero
                lbne     no_single_byte
single_byte:
                inc      CURRENT_RLE_COUNTER+1,u
dechifer:
                ldd     #$100
                std     calc_bits
                ldy     CURRENT_RLE_MAPPER,u
                ldb     BIT_POSITION,u
                bne     byte_ready
                bra     byte_not_ready
try_next_bit:
                lsl       calc_coder
                inc       calc_bits    ; increase used bits
;;;;;;;;;;;; GET_BIT_START
                ldb     BIT_POSITION,u
                bne     byte_ready
byte_not_ready:
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
                beq     no_add     ; and if non zero
                inc     calc_coder
;;;;;;;;;;;; GET_BIT_END
no_add:
; we load one complete set of mapper index, bits, coder, map-value
                ldd       ,y          ; load bits from map
                anda      #127         ; map out phrases
                cmpd      calc_bits      ; neu
                bgt       try_next_bit ; neu
                beq       found
search_again:
                leay      3,y
                ldd       ,y          ; load bits from map
                anda      #127         ; map out phrases
                cmpd      calc_bits      ; neu
                bgt       try_next_bit ; neu
                bne       search_again
found:
                ldb       2,y           ; load current mapped byte!
; in b is the byte value we sought
; test for phrase
                lda       ,y          ; load bits from map
                anda     #128         ; map in phrases only
                beq      no_phrase_d
; if phrase, than in b the count of the phrase used
                ldx      CURRENT_PHRASE_START,u
                tstb
                beq     phrase_found
next_phrase:
                lda     ,x+
                leax    a,x
                decb
                bne     next_phrase
phrase_found:
                incb
                stb     CURRENT_PHRASE_BYTE,u
                stx     CURRENT_IS_PHRASE,u

                ; since a phrase is at least 2 byte long...
                ; we don't need to reduce the counter here
                ldb       ,x ; this is the current byte
                rts
no_phrase_d:
                stb      CURRENT_UNPACKED_BYTE,u
                ldx      #0
                stx      CURRENT_IS_PHRASE,u
                bra      no_phrase_in
out:
; U pointer to data structure
; A number of register
get_current_byte:
; do we have a byte that is valid?
                ldd       CURRENT_RLE_COUNTER,u
                beq       no_valid_byte
; yep... use current byte
                ldx       CURRENT_IS_PHRASE,u
                beq       no_phrase
                lda       ,x+ ; length of phrase
                ldb       CURRENT_PHRASE_BYTE,u
                ldb       b,x ; this is the current byte
                inc       CURRENT_PHRASE_BYTE,u
                cmpa      CURRENT_PHRASE_BYTE,u
                bne       counter_not_minus_one
                clr       CURRENT_PHRASE_BYTE,u
no_phrase_in:
                ldx       CURRENT_RLE_COUNTER,u
                leax      -1,x
                stx       CURRENT_RLE_COUNTER,u
counter_not_minus_one:
                rts
no_phrase:
                subd      #1
                std       CURRENT_RLE_COUNTER,u
                ldb       CURRENT_UNPACKED_BYTE,u
                rts

no_single_byte:
; non single byte here... must decode
; first we look for how many bits the RLE counter spreads

                ; we already encountered a 1
                ; and we allways use + 2
                lda     #2
                sta     temp
more_bits:
                inc     temp
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POSITION,u
                bne     byte_ready_2
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready_2:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
;;;;;;;;;;;;;;;;;;; GET_BIT END
                bne     more_bits
; in temp is the # of bits for the counter
; the following '#temp' bits represent the RLE count
; lsb first
                incb            ; we start at 1, since zero is an
                                ; 'own' 'subroutine',
                                ; which doesn't manipulate the temps
                stb     temp2   ; bit counter for shifting
                stb     temp3   ; bit counter for shifting
go_on:
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POSITION,u
                bne     byte_ready_3
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready_3:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
                beq     end_here_3
; return 1
                ldb     #1
end_here_3:
;;;;;;;;;;;;;;;;;;; GET_BIT END
; in D now one bit at the right position for the RLE counter
                stb     CURRENT_RLE_COUNTER+1,u
; the first 3 (here only the first one) rounds
; we need not check for temp, since it is at least 3...
go_on_2:
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POSITION,u
                bne     byte_ready_4
; load a new byte
                ldx     BYTE_POSITION,u
                ldb     ,x+
                stb     CURRENT_BYTE,u
                stx     BYTE_POSITION,u
                ldb     #$80
                stb     BIT_POSITION,u
byte_ready_4:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POSITION,u

; is the bit at the current position set?
                andb    CURRENT_BYTE,u
                beq     end_here_4
; return 1
                ldb     #1
end_here_4:
                clra
shifting_not_yet_done:
                lsla               ; LSR A
                lslb               ; LSR B
                bcc no_carry       ; if no carry, than exit
                ora #1             ; otherwise underflow from A to 7bit of B
no_carry:
                dec     temp3
                bne     shifting_not_yet_done
shifting_done:
; in D now one bit at the right position for the RLE counter
                addd    CURRENT_RLE_COUNTER,u
                std     CURRENT_RLE_COUNTER,u

                inc     temp2
                lda     temp2
                sta     temp3
                cmpa    temp
                bne     go_on_2
; now the current counter should be set

; we still need to dechifer the following byte...
                bra       dechifer

init_ym_sound:
                ldx     #ym_data_start
                ldd     #(STRUCTURE_LENGTH*11)
                jsr     Clear_x_d

                ldy     ,u++
                ldd     ,y
                std     ym_data_len
                std     ym_data_current
                ldb     #11
next_reg_init:
                ldy     ,u++
                sty     CURRENT_RLE_MAPPER,x
                ldy     ,u++
                sty     CURRENT_PHRASE_START,x
                ldy     ,u++
                sty     BYTE_POSITION,x
                leax    STRUCTURE_LENGTH,x
                decb
                bne     next_reg_init
                stu     ym_name
                rts


;***************************************************************************
                END entry_point
;***************************************************************************

;                INCLUDE "DATA.ASM"

GHOSTBST_start: 
 DW 7449 ; vbl_len 
; translation data 
; DB $54; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_0: 
 DB $83, $04, $05 ;390 
 DB $83, $06, $02 ;715 
 DB $84, $0A, $04 ;450 
 DB $84, $0B, $03 ;500 
 DB $84, $0E, $01 ;945 
 DB $84, $0F, $00 ;1055 
 DB $85, $08, $0C ;180 
 DB $85, $09, $0D ;180 
 DB $85, $0A, $08 ;216 
 DB $85, $0B, $09 ;216 
 DB $85, $0C, $0A ;216 
 DB $85, $0D, $0B ;216 
 DB $85, $0E, $06 ;300 
 DB $85, $0F, $07 ;305 
 DB $86, $0C, $14 ;45 
 DB $86, $0E, $0E ;140 
 DB $86, $0F, $0F ;140 
 DB $07, $10, $47 ;34 
 DB $07, $11, $B3 ;34 
 DB $07, $12, $78 ;35 
 DB $07, $14, $37 ;40 
 DB $87, $16, $15 ;44 
 DB $87, $1A, $11 ;60 
 DB $87, $1B, $10 ;99 
 DB $08, $08, $C3 ;14 
 DB $08, $0C, $20 ;17 
 DB $88, $0E, $25 ;18 
 DB $08, $10, $87 ;22 
 DB $88, $11, $1B ;22 
 DB $08, $12, $0B ;23 
 DB $08, $13, $70 ;24 
 DB $88, $14, $1E ;24 
 DB $88, $15, $20 ;24 
 DB $88, $16, $1F ;25 
 DB $08, $18, $F4 ;29 
 DB $08, $19, $FB ;29 
 DB $88, $1A, $18 ;30 
 DB $88, $1B, $19 ;30 
 DB $88, $1C, $1A ;30 
 DB $88, $1D, $1C ;30 
 DB $88, $1E, $1D ;30 
 DB $08, $1F, $03 ;31 
 DB $88, $26, $17 ;36 
 DB $08, $27, $60 ;38 
 DB $88, $2A, $16 ;40 
 DB $08, $2B, $A3 ;41 
 DB $88, $2E, $12 ;45 
 DB $88, $2F, $13 ;45 
 DB $09, $04, $4F ;8 
 DB $09, $06, $A7 ;9 
 DB $09, $08, $C0 ;10 
 DB $09, $09, $F3 ;10 
 DB $09, $0A, $04 ;11 
 DB $09, $0C, $FC ;11 
 DB $09, $0D, $68 ;12 
 DB $09, $0E, $BB ;12 
 DB $09, $12, $EB ;14 
 DB $89, $13, $26 ;14 
 DB $89, $14, $23 ;15 
 DB $89, $15, $27 ;15 
 DB $09, $16, $DC ;16 
 DB $89, $17, $24 ;16 
 DB $09, $1A, $97 ;18 
 DB $89, $1B, $21 ;18 
 DB $89, $1E, $22 ;20 
 DB $09, $1F, $EC ;21 
 DB $09, $2E, $C8 ;27 
 DB $09, $2F, $E4 ;29 
 DB $0A, $01, $00 ;3 
 DB $0A, $02, $E0 ;5 
 DB $0A, $03, $77 ;6 
 DB $0A, $04, $08 ;7 
 DB $0A, $05, $1B ;7 
 DB $0A, $06, $40 ;7 
 DB $0A, $07, $61 ;7 
 DB $0A, $0A, $57 ;9 
 DB $0A, $0B, $80 ;9 
 DB $0A, $0E, $41 ;10 
 DB $0A, $0F, $AB ;10 
 DB $0A, $16, $30 ;11 
 DB $0A, $17, $3F ;11 
 DB $0A, $1E, $E8 ;12 
 DB $0A, $1F, $67 ;14 
 DB $0B, $01, $81 ;2 
; phrases follow 
GHOSTBST_pd_0: 
 DB $05, $C8, $C8, $E8, $08, $E8; 1055 
 DB $05, $60, $60, $70, $80, $70; 945 
 DB $05, $A3, $A3, $B3, $C3, $B3; 715 
 DB $0A, $40, $30, $20, $20, $30, $40, $30, $20, $20, $30; 500 
 DB $05, $37, $37, $47, $57, $47; 450 
 DB $05, $A7, $97, $87, $87, $97; 390 
 DB $0F, $67, $67, $77, $87, $77, $67, $67, $77, $87, $77, $67, $67, $77, $87, $77; 300 
 DB $05, $FB, $FB, $0B, $1B, $0B; 305 
 DB $08, $70, $68, $60, $60, $68, $70, $78, $80; 216 
 DB $08, $0B, $03, $FB, $F3, $EB, $EB, $F3, $FB; 216 
 DB $09, $F4, $FC, $04, $FC, $F4, $EC, $E4, $E4, $EC; 216 
 DB $09, $B3, $AB, $A3, $A3, $AB, $B3, $BB, $C3, $BB; 216 
 DB $09, $4F, $57, $4F, $47, $3F, $37, $37, $3F, $47; 180 
 DB $05, $04, $F4, $E4, $E4, $F4; 180 
 DB $05, $E0, $00, $E0, $C0, $C0; 140 
 DB $05, $47, $47, $67, $87, $67; 140 
 DB $09, $DC, $DC, $E4, $EC, $F4, $FC, $F4, $EC, $E4; 99 
 DB $0A, $41, $41, $61, $81, $61, $41, $41, $61, $81, $61; 60 
 DB $05, $60, $60, $70, $C3, $B3; 45 
 DB $05, $A3, $C8, $E8, $08, $E8; 45 
 DB $05, $37, $37, $47, $80, $70; 45 
 DB $0B, $FB, $0B, $FB, $EB, $EB, $FB, $0B, $FB, $EB, $EB, $FB; 44 
 DB $05, $C8, $C8, $E8, $08, $47; 40 
 DB $04, $A3, $B3, $C3, $B3; 36 
 DB $05, $A3, $A3, $B3, $08, $E8; 30 
 DB $03, $47, $57, $47; 30 
 DB $0A, $FB, $FB, $0B, $1B, $97, $87, $87, $97, $A7, $97; 30 
 DB $02, $70, $80; 22 
 DB $05, $A3, $A3, $B3, $C3, $E8; 30 
 DB $05, $C8, $C8, $E8, $57, $47; 30 
 DB $04, $F4, $FC, $04, $FC; 24 
 DB $05, $A3, $A3, $AB, $B3, $BB; 25 
 DB $03, $F4, $EC, $E4; 24 
 DB $03, $E0, $00, $67; 18 
 DB $05, $4F, $57, $4F, $47, $3F; 20 
 DB $05, $37, $37, $47, $57, $70; 15 
 DB $04, $EC, $FC, $EC, $DC; 16 
 DB $06, $03, $0B, $03, $FB, $F3, $EB; 18 
 DB $02, $40, $30; 14 
 DB $05, $DC, $DC, $E4, $EC, $F4; 15 
; data follows 
GHOSTBST_reg_0_data: 
 DB $E4, $F0, $BB, $93, $85, $61, $00, $6B, $C4, $C0 
 DB $18, $1A, $90, $85, $7C, $55, $6A, $14, $13, $84 
 DB $42, $71, $E8, $E0, $D5, $7E, $42, $E0, $DD, $AA 
 DB $3C, $2E, $8E, $17, $D7, $ED, $43, $23, $C2, $71 
 DB $35, $B0, $76, $BE, $1E, $B5, $0A, $01, $11, $38 
 DB $1B, $89, $F2, $21, $5F, $15, $5A, $A4, $50, $22 
 DB $13, $8F, $47, $06, $AB, $F2, $17, $06, $ED, $51 
 DB $E1, $74, $70, $BE, $BE, $17, $0A, $06, $E5, $43 
 DB $23, $C2, $71, $34, $75, $7C, $55, $6A, $14, $02 
 DB $22, $70, $37, $13, $E4, $40, $0F, $D7, $C5, $56 
 DB $A1, $41, $38, $44, $27, $6E, $91, $38, $44, $46 
 DB $38, $35, $5F, $90, $B8, $37, $2A, $05, $23, $C2 
 DB $E8, $E1, $7D, $7E, $D5, $22, $81, $10, $9C, $78 
 DB $4E, $26, $B6, $0E, $D7, $C3, $D6, $A9, $02, $22 
 DB $70, $37, $13, $E4, $42, $BE, $2A, $B5, $48, $A0 
 DB $44, $27, $1E, $8E, $0D, $57, $E4, $2E, $0D, $DA 
 DB $A3, $C2, $E8, $E1, $7D, $7E, $D4, $32, $3C, $27 
 DB $13, $5B, $07, $6B, $E1, $EB, $50, $A0, $11, $13 
 DB $81, $B8, $9F, $22, $1C, $9E, $17, $72, $74, $8A 
 DB $C1, $AF, $53, $01, $F9, $0B, $C1, $FB, $30, $28 
 DB $50, $91, $42, $45, $09, $14, $07, $59, $A2, $20 
 DB $3E, $45, $60, $3C, $44, $3E, $58, $7C, $B0, $F9 
 DB $60, $E0, $48, $09, $10, $92, $01, $E9, $1B, $05 
 DB $40, $A0, $30, $2A, $17, $83, $F6, $60, $60, $48 
 DB $05, $89, $14, $24, $50, $91, $42, $41, $30, $36 
 DB $44, $E0, $68, $88, $1C, $08, $03, $AC, $D1, $10 
 DB $1F, $22, $B0, $24, $32, $1F, $2C, $3E, $58, $7C 
 DB $B0, $70, $A0, $17, $10, $92, $00, $40, $14, $15 
 DB $91, $B9, $05, $81, $FB, $30, $28, $15, $13, $81 
 DB $A1, $31, $20, $16, $24, $50, $91, $42, $45, $09 
 DB $04, $C0, $D0, $B0, $20, $0E, $B3, $44, $40, $99 
 DB $04, $80, $90, $C8, $7C, $B0, $F9, $61, $F2, $C3 
 DB $E1, $20, $F8, $80, $17, $91, $40, $2E, $20, $40 
 DB $3D, $22, $80, $5C, $1F, $0C, $01, $81, $51, $B0 
 DB $54, $0C, $0C, $48, $3F, $21, $78, $3F, $66, $05 
 DB $0A, $12, $28, $48, $A1, $22, $80, $EB, $34, $44 
 DB $07, $85, $8B, $0F, $96, $1F, $2C, $3E, $5D, $50 
 DB $02, $4F, $ED, $52, $28, $11, $09, $C7, $A3, $83 
 DB $B5, $F0, $F5, $AA, $3C, $2E, $8E, $91, $58, $1E 
 DB $00, $80, $7A, $BE, $17, $0A, $06, $E5, $43, $23 
 DB $C2, $71, $34, $75, $7C, $55, $6A, $14, $02, $22 
 DB $70, $02, $00, $20, $0A, $27, $C8, $80, $1F, $AF 
 DB $8A, $AD, $42, $82, $70, $88, $4E, $3D, $1C, $1A 
 DB $AF, $C8, $5C, $1B, $95, $02, $91, $E1, $74, $70 
 DB $BE, $BF, $6A, $19, $1E, $13, $89, $AD, $83, $B5 
 DB $F0, $F5, $A8, $50, $08, $89, $C0, $DC, $4F, $91 
 DB $00, $7E, $42, $F0, $7E, $CC, $0A, $14, $24, $50 
 DB $91, $42, $45, $01, $D6, $68, $88, $0F, $0B, $16 
 DB $1F, $2C, $3E, $58, $7C, $B9, $20, $1E, $91, $B0 
 DB $54, $0A, $03, $02, $A1, $78, $3F, $66, $06, $04 
 DB $80, $58, $91, $42, $45, $09, $14, $24, $13, $03 
 DB $64, $4E, $06, $88, $81, $C0, $80, $3A, $CD, $11 
 DB $01, $F2, $2B, $02, $43, $21, $F2, $C3, $E5, $87 
 DB $CB, $07, $0A, $01, $71, $09, $20, $04, $01, $41 
 DB $59, $1B, $90, $58, $2F, $B3, $02, $81, $51, $38 
 DB $1A, $13, $12, $01, $62, $45, $09, $14, $24, $50 
 DB $90, $4C, $0D, $0B, $02, $00, $EB, $34, $44, $09 
 DB $90, $48, $09, $0C, $87, $CB, $0F, $96, $1F, $2C 
 DB $3E, $12, $0F, $88, $01, $79, $14, $02, $E2, $04 
 DB $03, $D2, $28, $05, $C1, $F0, $C0, $18, $15, $91 
 DB $B9, $0B, $C1, $FB, $30, $28, $18, $03, $64, $4E 
 DB $06, $84, $C4, $80, $58, $91, $42, $45, $09, $14 
 DB $25, $66, $88, $80, $F0, $B1, $61, $F2, $C3, $E5 
 DB $87, $CB, $AA, $00, $40, $15, $5F, $15, $5A, $85 
 DB $04, $E1, $10, $9C, $7A, $38, $35, $5F, $90, $B8 
 DB $37, $6A, $8F, $0B, $A3, $85, $F5, $FB, $50, $C8 
 DB $F0, $9C, $4D, $6C, $1D, $AF, $87, $AD, $42, $80 
 DB $44, $4E, $06, $E2, $7C, $88, $6F, $F0, $B8, $50 
 DB $37, $2A, $19, $C1, $E9, $61, $5E, $FF, $0B, $85 
 DB $03, $72, $A0, $53, $83, $D2, $D2, $2B, $DF, $F6 
 DB $A1, $9B, $FA, $44, $E1, $11, $19, $61, $5E, $FF 
 DB $B5, $0C, $DF, $D2, $27, $08, $88, $CB, $0A, $EA 
 DB $E0, $3E, $0B, $02, $E0, $90, $B6, $1B, $04, $E5 
 DB $C2, $7A, $B8, $0F, $82, $C0, $B8, $2C, $2D, $86 
 DB $C1, $39, $70, $9E, $AE, $03, $E0, $B0, $2E, $0B 
 DB $0B, $61, $B0, $4E, $5D, $22, $7A, $BA, $41, $60 
 DB $5C, $12, $16, $C3, $60, $18, $27, $2E, $13, $D5 
 DB $E1, $C9, $61, $58, $5E, $18, $8A, $40, $A0, $C4 
 DB $83, $00, $B4, $AC, $02, $84, $AA, $F9, $0C, $83 
 DB $48, $08, $11, $69, $15, $88, $82, $03, $12, $17 
 DB $86, $22, $99, $58, $26, $0C, $0C, $84, $80, $28 
 DB $4A, $AF, $90, $80, $34, $03, $03, $41, $01, $33 
 DB $48, $AC, $31, $14, $81, $41, $80, $BC, $18, $05 
 DB $A5, $60, $18, $25, $57, $C8, $64, $24, $80, $30 
 DB $8C, $B0, $BE, $DF, $21, $70, $1E, $00, $80, $1E 
 DB $46, $A4, $07, $55, $E1, $C9, $69, $15, $86, $22 
 DB $90, $28, $31, $20, $C0, $2D, $2B, $00, $A1, $2A 
 DB $BE, $43, $20, $D2, $02, $04, $65, $A4, $2F, $0C 
 DB $45, $32, $B0, $4C, $18, $19, $09, $00, $50, $95 
 DB $5F, $21, $00, $68, $06, $06, $82, $02, $66, $91 
 DB $58, $8C, $52, $05, $06, $02, $F0, $60, $16, $95 
 DB $80, $60, $95, $5F, $21, $90, $92, $00, $C2, $32 
 DB $C2, $FB, $7C, $85, $C0, $78, $02, $00, $79, $1A 
 DB $90, $1D, $37, $C8, $40, $1A, $01, $81, $A9, $69 
 DB $15, $86, $22, $90, $28, $31, $20, $C0, $2D, $2B 
 DB $00, $C1, $2A, $BE, $43, $21, $24, $04, $08, $CB 
 DB $48, $5E, $18, $8A, $65, $60, $9C, $83, $02, $40 
 DB $14, $25, $57, $86, $42, $00, $D0, $0C, $0D, $48 
 DB $40, $44, $10, $22, $D2, $2B, $11, $8A, $40, $A0 
 DB $C0, $5E, $0C, $02, $D2, $B0, $4E, $AF, $0E, $4B 
 DB $0B, $E3, $F2, $35, $20, $38, $03, $C8, $9C ; flushed
; translation data 
; DB $0D; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_1: 
 DB $02, $02, $05 ;1194 
 DB $02, $03, $04 ;3050 
 DB $83, $03, $00 ;1040 
 DB $04, $02, $03 ;171 
 DB $84, $04, $01 ;330 
 DB $04, $05, $07 ;437 
 DB $05, $01, $08 ;119 
 DB $85, $02, $04 ;140 
 DB $85, $06, $03 ;297 
 DB $85, $07, $02 ;310 
 DB $06, $01, $06 ;73 
 DB $86, $06, $05 ;154 
 DB $06, $07, $09 ;170 
; phrases follow 
GHOSTBST_pd_1: 
 DB $05, $08, $07, $07, $07, $07; 1040 
 DB $05, $07, $07, $07, $06, $06; 330 
 DB $05, $04, $03, $03, $03, $03; 310 
 DB $09, $05, $05, $05, $04, $04, $04, $04, $04, $04; 297 
 DB $05, $09, $08, $08, $08, $08; 140 
 DB $07, $06, $06, $06, $06, $06, $06, $05; 154 
; data follows 
GHOSTBST_reg_1_data: 
 DB $FC, $BB, $FE, $5D, $AC, $B5, $60, $86, $BC, $37 
 DB $A5, $EA, $C1, $24, $41, $C7, $79, $DE, $4B, $56 
 DB $09, $43, $6D, $BC, $EF, $15, $AB, $0D, $B6, $90 
 DB $62, $2E, $18, $F6, $5A, $B0, $43, $6D, $BC, $EF 
 DB $56, $09, $22, $0E, $3B, $CE, $F2, $5A, $B0, $64 
 DB $B5, $07, $1D, $EF, $7B, $2D, $58, $35, $07, $1D 
 DB $20, $C4, $5D, $31, $EC, $B5, $60, $86, $BC, $37 
 DB $A5, $EA, $C1, $24, $41, $C3, $0D, $E9, $79, $2D 
 DB $58, $25, $0D, $78, $6F, $4B, $C5, $6A, $C3, $65 
 DB $AC, $18, $8B, $86, $3D, $96, $AC, $10, $DB, $6F 
 DB $3B, $D5, $82, $48, $83, $8E, $F3, $BC, $96, $AC 
 DB $12, $86, $DB, $79, $DE, $2B, $56, $1B, $6D, $20 
 DB $C4, $5C, $31, $FF, $6E, $FF, $97, $69, $90, $F1 
 DB $21, $E2, $43, $C4, $98, $BE, $A3, $D8, $D6, $AB 
 DB $FB, $D8, $78, $90, $F1, $21, $E2, $43, $D8, $BE 
 DB $13, $D8, $D6, $AD, $F9, $DA, $C4, $3C, $48, $78 
 DB $90, $F1, $21, $FE, $D3, $D8, $DE, $8E, $99, $0F 
 DB $12, $1E, $24, $3C, $49, $8B, $E6, $3C, $A9, $F6 
 DB $37, $9D, $AC, $B5, $60, $96, $A0, $E3, $BD, $EF 
 DB $15, $AB, $A8, $38, $EF, $7B, $96, $AC, $19, $28 
 DB $6B, $C3, $7A, $5E, $CB, $56, $08, $6C, $B4, $83 
 DB $11, $07, $07, $BA, $3D, $96, $AC, $10, $D7, $86 
 DB $F4, $BD, $58, $24, $88, $38, $61, $BD, $2F, $25 
 DB $AB, $04, $A1, $B6, $DE, $77, $8A, $D5, $86, $DB 
 DB $48, $31, $17, $0C, $79, $90, $F1, $21, $E2, $43 
 DB $C4, $98, $BE, $63, $CA, $9F, $63, $79, $D8, $78 
 DB $90, $F1, $21, $E2, $43, $D8, $BE, $13, $D8, $D6 
 DB $AD, $FB, $DA, $44, $3C, $48, $78, $90, $F1, $21 
 DB $FE, $D3, $D8, $DE, $4E, $A9, $0F, $12, $1E, $24 
 DB $3C, $49, $C8, $BE, $A3, $CA, $9F, $63, $7B, $DA 
 DB $CB, $56, $08, $6B, $C3, $7A, $5E, $AC, $12, $44 
 DB $1C, $77, $9D, $E4, $B5, $60, $94, $36, $DB, $CE 
 DB $F1, $5A, $B0, $DB, $69, $06, $22, $E1, $8F, $65 
 DB $CE, $C1, $92, $86, $BC, $37, $DD, $7B, $2E, $76 
 DB $0C, $94, $36, $DB, $EB, $BD, $97, $3B, $04, $A1 
 DB $B6, $DF, $5D, $EC, $B9, $D8, $25, $0D, $B6, $FA 
 DB $EF, $F1, $95, $AD, $2D, $47, $5F, $43, $FE, $32 
 DB $B3, $9A, $8E, $BE, $87, $FC, $65, $67, $35, $1D 
 DB $7C, $8F, $FB, $4A, $CE, $96, $A3, $AF, $A1, $F2 
 DB $06, $A9, $25, $9D, $B7, $91, $38, $95, $8E, $C5 
 DB $DD, $E4, $B2, $06, $A9, $3B, $2F, $53, $F7, $70 
 DB $35, $4B, $2C, $ED, $B8, $9C, $4A, $C7, $72, $2E 
 DB $EE, $59, $03, $54, $2C, $EC, $7C, $96, $2F, $86 
 DB $19, $03, $54, $92, $CE, $C7, $8A, $27, $62, $EE 
 DB $F2, $59, $03, $54, $9D, $8F, $B1, $44, $FD, $DC 
 DB $0D, $52, $CB, $3B, $1F, $13, $B9, $17, $77, $2C 
 DB $81, $AA, $16, $76, $3E, $4B, $17, $C3, $0C, $81 
 DB $AA, $59, $6B, $63, $C5, $13, $B1, $70, $F2, $C8 
 DB $1A, $A1, $6B, $63, $EC, $51, $3F, $0F, $AA, $59 
 DB $40, $CE, $C7, $C4, $AC, $77, $22, $E1, $F2, $06 
 DB $A9, $25, $9D, $B7, $92, $C5, $82, $5E, $E8, $65 
 DB $80 ; flushed
; translation data 
; DB $CB; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_2: 
 DB $84, $08, $06 ;235 
 DB $84, $0C, $02 ;340 
 DB $04, $0D, $D4 ;447 
 DB $84, $0E, $01 ;535 
 DB $84, $0F, $00 ;675 
 DB $05, $0C, $1C ;120 
 DB $85, $12, $03 ;260 
 DB $85, $13, $05 ;265 
 DB $05, $14, $FD ;282 
 DB $85, $15, $04 ;296 
 DB $05, $16, $59 ;308 
 DB $05, $17, $38 ;311 
 DB $06, $10, $C3 ;45 
 DB $86, $14, $0F ;60 
 DB $06, $16, $A3 ;80 
 DB $86, $1A, $0B ;125 
 DB $86, $1B, $0C ;125 
 DB $86, $1C, $0A ;155 
 DB $86, $1D, $08 ;160 
 DB $86, $1E, $09 ;160 
 DB $86, $1F, $07 ;180 
 DB $07, $18, $A8 ;28 
 DB $07, $1C, $9D ;30 
 DB $87, $22, $11 ;45 
 DB $07, $23, $7D ;49 
 DB $07, $24, $9B ;52 
 DB $07, $25, $30 ;55 
 DB $87, $26, $10 ;56 
 DB $07, $27, $F4 ;58 
 DB $07, $2A, $E4 ;64 
 DB $87, $2B, $0E ;75 
 DB $87, $2E, $0D ;80 
 DB $07, $2F, $2C ;93 
 DB $08, $18, $C8 ;14 
 DB $08, $1C, $F2 ;18 
 DB $08, $1E, $70 ;20 
 DB $08, $20, $21 ;21 
 DB $08, $21, $61 ;21 
 DB $08, $22, $A6 ;21 
 DB $08, $23, $41 ;22 
 DB $08, $24, $49 ;22 
 DB $08, $25, $AB ;22 
 DB $08, $26, $0C ;23 
 DB $08, $28, $23 ;25 
 DB $08, $29, $71 ;25 
 DB $08, $2A, $8D ;25 
 DB $08, $2B, $10 ;26 
 DB $08, $2C, $79 ;26 
 DB $08, $2D, $04 ;27 
 DB $08, $2E, $ED ;27 
 DB $08, $32, $15 ;29 
 DB $08, $33, $20 ;29 
 DB $08, $34, $7E ;29 
 DB $08, $35, $85 ;29 
 DB $08, $36, $CB ;29 
 DB $08, $37, $1B ;30 
 DB $08, $3A, $18 ;33 
 DB $08, $3B, $C5 ;35 
 DB $08, $3C, $B3 ;36 
 DB $08, $3D, $75 ;37 
 DB $88, $3E, $12 ;40 
 DB $08, $3F, $D2 ;41 
 DB $09, $18, $CD ;7 
 DB $09, $1C, $67 ;8 
 DB $09, $20, $25 ;10 
 DB $09, $21, $2B ;10 
 DB $09, $22, $69 ;10 
 DB $09, $24, $02 ;11 
 DB $09, $25, $40 ;11 
 DB $09, $26, $B9 ;11 
 DB $09, $28, $19 ;12 
 DB $09, $29, $51 ;12 
 DB $09, $2A, $99 ;12 
 DB $09, $2B, $DD ;12 
 DB $09, $2C, $11 ;14 
 DB $09, $2D, $39 ;14 
 DB $09, $2E, $B1 ;14 
 DB $09, $2F, $C1 ;14 
 DB $09, $32, $EE ;15 
 DB $09, $33, $E9 ;16 
 DB $09, $34, $3D ;17 
 DB $09, $35, $65 ;17 
 DB $09, $36, $D3 ;17 
 DB $09, $37, $4D ;18 
 DB $09, $3A, $AA ;19 
 DB $09, $3B, $60 ;20 
 DB $09, $3E, $C9 ;20 
 DB $09, $3F, $FA ;20 
 DB $09, $4E, $A1 ;24 
 DB $09, $4F, $F1 ;24 
 DB $09, $5E, $7C ;28 
 DB $09, $5F, $80 ;28 
 DB $0A, $12, $06 ;4 
 DB $0A, $14, $4B ;4 
 DB $0A, $18, $83 ;4 
 DB $0A, $1A, $8A ;4 
 DB $0A, $1C, $A4 ;4 
 DB $0A, $20, $81 ;5 
 DB $0A, $21, $8C ;5 
 DB $0A, $22, $90 ;5 
 DB $0A, $24, $09 ;6 
 DB $0A, $25, $2F ;6 
 DB $0A, $26, $66 ;6 
 DB $0A, $28, $F9 ;6 
 DB $0A, $29, $07 ;7 
 DB $0A, $2A, $89 ;7 
 DB $0A, $2B, $8E ;7 
 DB $0A, $2C, $97 ;7 
 DB $0A, $2D, $A0 ;7 
 DB $0A, $2E, $A9 ;7 
 DB $0A, $2F, $B6 ;7 
 DB $0A, $32, $CF ;7 
 DB $0A, $33, $E1 ;7 
 DB $0A, $34, $E8 ;7 
 DB $0A, $35, $F0 ;7 
 DB $0A, $36, $31 ;8 
 DB $0A, $37, $45 ;8 
 DB $0A, $3A, $77 ;8 
 DB $0A, $3B, $A5 ;8 
 DB $0A, $3C, $BB ;8 
 DB $0A, $3D, $D9 ;8 
 DB $0A, $3E, $1D ;9 
 DB $0A, $3F, $29 ;9 
 DB $0A, $46, $91 ;10 
 DB $0A, $47, $B5 ;10 
 DB $0A, $4E, $D6 ;11 
 DB $0A, $4F, $F6 ;11 
 DB $0B, $06, $32 ;2 
 DB $0B, $08, $73 ;2 
 DB $0B, $0A, $D0 ;2 
 DB $0B, $0C, $E2 ;2 
 DB $0B, $0E, $F8 ;2 
 DB $0B, $10, $14 ;3 
 DB $0B, $11, $16 ;3 
 DB $0B, $12, $3C ;3 
 DB $0B, $13, $3E ;3 
 DB $0B, $14, $47 ;3 
 DB $0B, $15, $52 ;3 
 DB $0B, $16, $5B ;3 
 DB $0B, $18, $7A ;3 
 DB $0B, $19, $7F ;3 
 DB $0B, $1A, $82 ;3 
 DB $0B, $1B, $86 ;3 
 DB $0B, $1C, $9A ;3 
 DB $0B, $1D, $A7 ;3 
 DB $0B, $1E, $B2 ;3 
 DB $0B, $20, $CA ;3 
 DB $0B, $21, $DA ;3 
 DB $0B, $22, $DC ;3 
 DB $0B, $23, $F5 ;3 
 DB $0B, $26, $08 ;4 
 DB $0B, $27, $2A ;4 
 DB $0B, $2A, $50 ;4 
 DB $0B, $2B, $54 ;4 
 DB $0B, $2C, $56 ;4 
 DB $0B, $2D, $58 ;4 
 DB $0B, $2E, $62 ;4 
 DB $0B, $2F, $78 ;4 
 DB $0B, $32, $87 ;4 
 DB $0B, $33, $88 ;4 
 DB $0B, $36, $9C ;4 
 DB $0B, $37, $A2 ;4 
 DB $0B, $3A, $CC ;4 
 DB $0B, $3B, $CE ;4 
 DB $0B, $3C, $EC ;4 
 DB $0B, $3D, $FE ;4 
 DB $0B, $3E, $1F ;5 
 DB $0B, $3F, $57 ;5 
 DB $0B, $46, $92 ;5 
 DB $0B, $47, $DF ;5 
 DB $0B, $4E, $DE ;6 
 DB $0B, $4F, $F7 ;6 
 DB $0C, $03, $5A ;1 
 DB $0C, $05, $94 ;1 
 DB $0C, $07, $9E ;1 
 DB $0C, $08, $B8 ;1 
 DB $0C, $09, $BD ;1 
 DB $0C, $0A, $1E ;2 
 DB $0C, $0B, $2E ;2 
 DB $0C, $0E, $6A ;2 
 DB $0C, $0F, $6D ;2 
 DB $0C, $12, $95 ;2 
 DB $0C, $13, $BA ;2 
 DB $0C, $16, $D1 ;2 
 DB $0C, $17, $E0 ;2 
 DB $0C, $1A, $E3 ;2 
 DB $0C, $1B, $E5 ;2 
 DB $0C, $1E, $05 ;3 
 DB $0C, $1F, $0B ;3 
 DB $0C, $2E, $64 ;3 
 DB $0C, $2F, $6F ;3 
 DB $0C, $3E, $B4 ;3 
 DB $0C, $3F, $BF ;3 
 DB $0D, $01, $0D ;1 
 DB $0D, $02, $1A ;1 
 DB $0D, $03, $22 ;1 
 DB $0D, $04, $2D ;1 
 DB $0D, $05, $35 ;1 
 DB $0D, $08, $68 ;1 
 DB $0D, $09, $84 ;1 
 DB $0D, $0C, $96 ;1 
 DB $0D, $0D, $98 ;1 
 DB $0E, $01, $0A ;1 
; phrases follow 
GHOSTBST_pd_2: 
 DB $05, $F4, $04, $F4, $E4, $E4; 675 
 DB $05, $40, $38, $30, $30, $38; 535 
 DB $05, $A8, $AA, $A8, $A6, $A6; 340 
 DB $0A, $70, $80, $70, $60, $60, $70, $80, $70, $60, $60; 260 
 DB $08, $61, $59, $51, $51, $59, $61, $59, $51; 296 
 DB $05, $9B, $9B, $A3, $AB, $A3; 265 
 DB $05, $7D, $7D, $85, $8D, $85; 235 
 DB $0A, $02, $FA, $F2, $F2, $FA, $02, $FA, $F2, $F2, $FA; 180 
 DB $0A, $D2, $D2, $D4, $D6, $D4, $D2, $D2, $D4, $D6, $D4; 160 
 DB $05, $18, $20, $18, $10, $10; 160 
 DB $05, $30, $40, $30, $20, $20; 155 
 DB $05, $E8, $08, $E8, $C8, $C8; 125 
 DB $05, $77, $87, $77, $67, $67; 125 
 DB $05, $C3, $BB, $B3, $B3, $BB; 80 
 DB $05, $23, $1B, $1B, $23, $2B; 75 
 DB $04, $23, $2B, $23, $1B; 60 
 DB $02, $51, $59; 56 
 DB $03, $51, $51, $59; 45 
 DB $02, $40, $38; 40 
; data follows 
GHOSTBST_reg_2_data: 
 DB $DB, $6C, $77, $DB, $6C, $77, $C7, $6D, $B7, $C7 
 DB $6C, $77, $DB, $6C, $77, $C7, $6D, $B7, $C7, $6D 
 DB $B7, $C7, $6C, $77, $DB, $6C, $77, $C7, $6D, $B7 
 DB $C7, $6C, $77, $DB, $6C, $77, $DA, $BF, $1B, $31 
 DB $AF, $DA, $CC, $6B, $F1, $B3, $6A, $FC, $6C, $92 
 DB $A8, $F9, $39, $18, $9C, $3B, $17, $05, $00, $DC 
 DB $AC, $51, $29, $92, $12, $AF, $1E, $1F, $08, $04 
 DB $83, $D1, $38, $76, $19, $85, $81, $A0, $44, $2A 
 DB $0B, $89, $95, $26, $16, $93, $C9, $55, $BC, $9C 
 DB $5A, $4E, $54, $3D, $13, $81, $81, $3C, $64, $1A 
 DB $14, $1B, $8A, $04, $A5, $A5, $39, $25, $5E, $3C 
 DB $0F, $C3, $71, $48, $54, $3B, $13, $C6, $41, $68 
 DB $84, $54, $13, $2C, $44, $A9, $54, $7C, $9C, $5A 
 DB $2C, $1C, $1D, $89, $E0, $F8, $47, $23, $72, $84 
 DB $85, $84, $A5, $93, $92, $42, $D1, $E1, $F1, $28 
 DB $80, $37, $16, $0E, $05, $E1, $98, $C8, $46, $1A 
 DB $82, $A0, $B8, $2B, $54, $98, $42, $4F, $25, $51 
 DB $F1, $60, $3B, $0F, $85, $C3, $21, $18, $42, $56 
 DB $5A, $53, $24, $0E, $E5, $20, $F0, $BE, $10, $09 
 DB $05, $23, $81, $F0, $B8, $2C, $0B, $43, $50, $8C 
 DB $11, $C1, $E9, $61, $E1, $01, $E4, $96, $1E, $10 
 DB $1E, $49, $69, $2A, $8F, $93, $8B, $45, $83, $83 
 DB $B1, $3C, $1F, $15, $8A, $25, $39, $24, $5E, $3C 
 DB $3E, $10, $09, $07, $A2, $70, $EC, $33, $0B, $03 
 DB $40, $88, $54, $17, $03, $D5, $95, $26, $16, $93 
 DB $C9, $54, $7C, $58, $0E, $C3, $E1, $70, $C8, $A0 
 DB $DC, $50, $25, $2D, $29, $C9, $2A, $F1, $E0, $7E 
 DB $1B, $8A, $42, $A1, $D8, $9E, $32, $0B, $44, $22 
 DB $A0, $98, $2B, $22, $54, $AA, $3E, $4E, $2D, $27 
 DB $1E, $8E, $07, $C0, $46, $14, $06, $83, $72, $84 
 DB $85, $84, $A5, $93, $92, $42, $D1, $E1, $F1, $28 
 DB $80, $37, $16, $0E, $05, $E1, $98, $C8, $46, $1A 
 DB $82, $A0, $B8, $2B, $54, $98, $42, $B4, $95, $47 
 DB $C9, $C8, $C4, $E1, $D8, $B8, $28, $06, $E5, $65 
 DB $A5, $32, $40, $EE, $52, $0F, $0B, $E1, $00, $90 
 DB $52, $38, $1F, $0B, $82, $C0, $B4, $35, $08, $C1 
 DB $1C, $1E, $96, $1E, $10, $1E, $49, $61, $E1, $01 
 DB $E4, $96, $1E, $49, $54, $7C, $9C, $8C, $4E, $1D 
 DB $8B, $82, $80, $6E, $56, $28, $94, $C9, $09, $57 
 DB $8F, $04, $A1, $00, $90, $52, $38, $1F, $0B, $82 
 DB $C0, $B4, $35, $08, $C1, $1C, $1E, $93, $2A, $4C 
 DB $2D, $27, $92, $AB, $79, $38, $B4, $9C, $A8, $7A 
 DB $27, $03, $02, $78, $C8, $34, $28, $37, $14, $09 
 DB $4B, $27, $24, $85, $84, $AB, $C9, $2A, $F1, $E0 
 DB $7E, $1B, $8A, $42, $A1, $D8, $9E, $32, $0B, $44 
 DB $22, $A0, $99, $62, $25, $4A, $A3, $E4, $E2, $D1 
 DB $60, $E0, $EC, $4F, $07, $C2, $39, $1B, $94, $24 
 DB $2C, $25, $2C, $9C, $92, $2F, $1E, $1F, $12, $88 
 DB $03, $71, $60, $E0, $5E, $19, $8C, $84, $61, $A8 
 DB $2A, $0B, $96, $54, $98, $42, $4F, $25, $51, $F1 
 DB $60, $3B, $0F, $85, $C3, $21, $18, $42, $56, $5A 
 DB $53, $90, $EE, $52, $0F, $0B, $E1, $00, $90, $52 
 DB $38, $1F, $0B, $82, $C0, $B4, $35, $08, $C1, $1E 
 DB $4B, $0F, $08, $0F, $24, $B0, $F0, $80, $F2, $4B 
 DB $49, $54, $7C, $9C, $8C, $4E, $1D, $8B, $82, $80 
 DB $6E, $56, $28, $94, $E4, $91, $78, $F0, $F8, $40 
 DB $24, $1E, $89, $C3, $B0, $CC, $2C, $0D, $02, $21 
 DB $50, $5C, $4C, $A9, $30, $B4, $9E, $4A, $AD, $E4 
 DB $E2, $D2, $72, $A1, $E8, $9C, $0C, $09, $E3, $20 
 DB $D0, $A0, $DC, $50, $25, $2D, $29, $C9, $2A, $F1 
 DB $E0, $7E, $1B, $8A, $42, $A1, $D8, $9E, $32, $0B 
 DB $44, $22, $A0, $98, $2B, $22, $54, $AA, $3E, $4E 
 DB $2D, $16, $0E, $0E, $C4, $F0, $7C, $23, $91, $B9 
 DB $42, $42, $C2, $52, $C9, $C9, $21, $68, $F0, $F8 
 DB $94, $40, $1B, $8B, $07, $02, $F0, $CC, $64, $23 
 DB $0D, $41, $50, $5C, $15, $AA, $4C, $21, $27, $92 
 DB $A8, $F9, $39, $18, $9C, $3B, $17, $05, $01, $09 
 DB $59, $69, $4C, $90, $3B, $94, $83, $C2, $F8, $40 
 DB $24, $14, $8E, $07, $C2, $E0, $B0, $2D, $0D, $42 
 DB $30, $47, $07, $A5, $87, $84, $07, $92, $58, $78 
 DB $40, $79, $25, $B1, $DB, $1D, $F6, $DB, $1D, $F1 
 DB $DB, $6D, $F1, $DB, $6D, $F1, $DB, $1D, $F6, $DB 
 DB $1D, $F1, $DB, $6D, $F1, $DB, $1D, $F6, $DB, $1D 
 DB $F6, $DB, $1D, $F1, $DB, $6D, $F1, $DB, $1D, $F6 
 DB $AF, $C6, $CC, $6B, $F6, $B3, $1A, $FD, $AC, $C6 
 DB $BF, $1B, $3B, $BB, $8E, $9D, $DD, $C7, $4E, $EE 
 DB $ED, $A7, $0F, $76, $D3, $1E, $E3, $A5, $59, $32 
 DB $6C, $74, $EE, $EE, $3A, $77, $77, $1D, $3B, $BB 
 DB $8E, $9D, $DD, $C7, $4D, $BB, $8E, $93, $65, $49 
 DB $B1, $D0, $45, $1C, $18, $0E, $9A, $74, $7E, $22 
 DB $8E, $0C, $07, $4D, $3A, $3F, $11, $47, $06, $03 
 DB $A6, $9D, $1F, $88, $A3, $83, $01, $D3, $4E, $8F 
 DB $C4, $52, $C6, $84, $E6, $C8, $FD, $A1, $39, $B2 
 DB $3F, $68, $4E, $0C, $A4, $0F, $03, $20, $6A, $19 
 DB $48, $23, $83, $30, $0D, $03, $30, $47, $1F, $B4 
 DB $27, $36, $47, $ED, $09, $CD, $91, $FC, $70, $60 
 DB $3A, $18, $11, $0F, $DA, $13, $9B, $23, $F6, $84 
 DB $E6, $C8, $FE, $38, $30, $1D, $0C, $1D, $91, $FC 
 DB $70, $60, $3A, $18, $3B, $23, $F8, $E0, $C0, $74 
 DB $30, $76, $47, $E3, $41, $7C, $69, $22, $F0, $D0 
 DB $5F, $1A, $48, $BC, $34, $17, $C6, $92, $2F, $0D 
 DB $05, $F1, $A4, $8B, $C3, $41, $7C, $69, $22, $F0 
 DB $D0, $5F, $1A, $0B, $C3, $40, $1A, $B0, $1B, $03 
 DB $30, $43, $60, $88, $11, $80, $0C, $B0, $1C, $03 
 DB $60, $5B, $25, $51, $F2, $71, $68, $B0, $70, $76 
 DB $27, $83, $E1, $1C, $8D, $C5, $01, $08, $A2, $53 
 DB $92, $45, $E3, $C3, $E1, $00, $90, $7A, $27, $0E 
 DB $C3, $30, $B0, $34, $08, $85, $41, $70, $3D, $59 
 DB $52, $61, $09, $3C, $95, $47, $C5, $80, $EC, $3E 
 DB $17, $0C, $84, $61, $08, $A2, $46, $E2, $81, $29 
 DB $69, $4E, $49, $57, $8F, $03, $F0, $DC, $52, $15 
 DB $0E, $C4, $F1, $90, $5A, $21, $15, $04, $C1, $59 
 DB $12, $A1, $4C, $7C, $9C, $5A, $4E, $3D, $1C, $0F 
 DB $80, $8C, $28, $0D, $06, $E5, $06, $E5, $84, $A5 
 DB $93, $92, $42, $D1, $E1, $F1, $28, $80, $37, $16 
 DB $0E, $05, $E1, $98, $C8, $46, $1A, $82, $A0, $B8 
 DB $2B, $54, $98, $42, $B4, $95, $47, $C9, $C8, $C4 
 DB $E1, $D8, $B8, $28, $06, $E5, $62, $89, $4C, $90 
 DB $3B, $94, $83, $C2, $F8, $78, $40, $24, $1E, $89 
 DB $C3, $B0, $CC, $2C, $0D, $02, $21, $50, $5C, $58 
 DB $78, $40, $79, $25, $87, $84, $07, $92, $58, $79 
 DB $25, $51, $F2, $72, $31, $38, $76, $2E, $0A, $01 
 DB $B9, $58, $A2, $53, $24, $25, $5E, $3C, $3E, $10 
 DB $09, $07, $A2, $70, $EC, $33, $0B, $03, $40, $88 
 DB $54, $17, $13, $2A, $4C, $2D, $27, $92, $AB, $79 
 DB $38, $B4, $9C, $A8, $7A, $27, $03, $02, $78, $C8 
 DB $34, $28, $37, $14, $09, $4B, $27, $24, $85, $84 
 DB $AB, $C9, $2A, $F1, $E0, $7E, $1B, $8A, $42, $A1 
 DB $D8, $9E, $32, $0B, $44, $22, $A0, $99, $62, $25 
 DB $4A, $A3, $E4, $E2, $D1, $60, $E0, $EC, $4F, $07 
 DB $C2, $39, $1B, $94, $24, $2C, $25, $2C, $9C, $92 
 DB $16, $8F, $0F, $89, $44, $01, $B8, $B0, $70, $2F 
 DB $0C, $C6, $42, $30, $D4, $15, $05, $CB, $2A, $4C 
 DB $21, $27, $92, $A8, $F8, $B0, $1D, $87, $C2, $E1 
 DB $90, $8C, $21, $2B, $2D, $29, $92, $07, $72, $90 
 DB $78, $5F, $08, $04, $82, $91, $C0, $F8, $5C, $16 
 DB $05, $A1, $A8, $46, $08, $E0, $F4, $B0, $F0, $80 
 DB $F2, $4B, $0F, $08, $0F, $24, $B7, $77, $71, $D3 
 DB $BB, $B8, $E9, $DD, $DC, $74, $EE, $EE, $3A, $6D 
 DB $DC, $74, $9B, $26, $4D, $B6, $9C, $3D, $DB, $4E 
 DB $1E, $ED, $A7, $77, $71, $D3, $BB, $B8, $E9, $8F 
 DB $76, $D2, $6C, $99, $36, $3A, $08, $A3, $83, $01 
 DB $D3, $4E, $C8, $8A, $38, $30, $1D, $34, $EC, $88 
 DB $A3, $83, $01, $D3, $4E, $C8, $8A, $38, $30, $1D 
 DB $34, $EC, $88, $A5, $8D, $09, $CD, $91, $FB, $42 
 DB $73, $64, $7E, $D0, $6A, $19, $48, $1E, $06, $40 
 DB $D4, $19, $C8, $23, $83, $30, $0D, $03, $33, $B2 
 DB $3F, $8E, $0C, $07, $43, $07, $64, $7F, $1C, $18 
 DB $0E, $86, $0E, $C8, $FE, $38, $30, $1D, $0C, $1D 
 DB $1F, $88, $A3, $83, $01, $D0, $C1, $D1, $F8, $BC 
 DB $34, $17, $C6, $92, $2F, $0D, $05, $F1, $A4, $8B 
 DB $C3, $41, $7C, $69, $22, $F0, $D0, $5F, $1A, $48 
 DB $BC, $34, $17, $C6, $92, $2F, $0D, $05, $F9, $1A 
 DB $0B, $E0, $04, $D8, $19, $81, $A0, $57, $60, $8C 
 DB $00, $50, $03, $6C, $0D, $80, $0E, $06, $F2, $55 
 DB $1F, $27, $23, $13, $87, $62, $E0, $A0, $1B, $95 
 DB $8A, $25, $32, $42, $55, $E3, $C3, $E1, $00, $90 
 DB $7A, $27, $0E, $C3, $30, $B0, $34, $08, $85, $41 
 DB $71, $32, $A4, $C2, $D2, $79, $2A, $B7, $93, $8B 
 DB $49, $CA, $87, $A2, $70, $30, $27, $8C, $83, $42 
 DB $83, $71, $40, $94, $B4, $A7, $24, $AB, $C7, $81 
 DB $F8, $6E, $29, $0A, $87, $62, $78, $C8, $2D, $10 
 DB $8A, $82, $65, $88, $95, $2A, $8F, $93, $8B, $45 
 DB $83, $83, $B1, $3C, $1F, $08, $E4, $6E, $50, $90 
 DB $B0, $94, $B2, $72, $48, $5A, $3C, $3E, $25, $10 
 DB $06, $E2, $C1, $C0, $BC, $33, $19, $08, $C3, $50 
 DB $54, $17, $05, $6A, $93, $08, $49, $E4, $AA, $3E 
 DB $2C, $07, $61, $F0, $B8, $64, $23, $08, $4A, $CB 
 DB $4A, $64, $81, $DC, $A4, $1E, $17, $C2, $01, $20 
 DB $A4, $70, $3E, $17, $05, $81, $68, $6A, $11, $82 
 DB $38, $3D, $2C, $3C, $20, $3C, $92, $C3, $C2, $03 
 DB $C9, $2D, $1F, $27, $16, $93, $95, $0F, $44, $E0 
 DB $60, $4F, $19, $06, $81, $10, $04, $82, $60, $AC 
 DB $03, $D7, $68, $20, $0A, $47, $A1, $50, $5E, $2E 
 DB $08, $4A, $CB, $4A, $72, $4A, $BC, $78, $25, $16 
 DB $0E, $0E, $C4, $F0, $7C, $23, $0D, $45, $41, $30 
 DB $06, $C1, $24, $87, $76, $90, $78, $5F, $0F, $08 
 DB $04, $83, $D1, $38, $76, $19, $92, $AE, $3E, $92 
 DB $55, $95, $26, $16, $93, $C9, $54, $7C, $58, $0E 
 DB $C3, $E1, $70, $C8, $46, $00, $F0, $8C, $11, $C2 
 DB $B0, $48, $04, $C0, $D2, $43, $13, $68, $1A, $03 
 DB $F0, $DC, $52, $15, $0E, $C4, $F2, $B1, $44, $A7 
 DB $24, $8B, $C7, $87, $C3, $D1, $C0, $F8, $08, $C2 
 DB $80, $D0, $35, $08, $C0, $09, $06, $60, $1E, $0E 
 DB $ED, $20, $F0, $BE, $1E, $0E, $C4, $01, $B8, $B0 
 DB $70, $2F, $0C, $D7, $72, $A4, $C2, $15, $A4, $AA 
 DB $3E, $4E, $46, $27, $0E, $C5, $C1, $40, $37, $08 
 DB $85, $41, $1C, $19, $80, $02, $0D, $A4, $31, $36 
 DB $81, $A0, $13, $04, $02, $41, $48, $E0, $7C, $2E 
 DB $91, $B9, $42, $42, $C2, $52, $C9, $C9, $21, $68 
 DB $F0, $F8, $94, $7A, $27, $03, $02, $78, $C8, $34 
 DB $08, $80, $24, $13, $05, $60, $1E, $06, $C2, $F8 
 DB $7A, $43, $BB, $48, $3C, $0F, $C3, $71, $48, $54 
 DB $3B, $70, $4A, $B1, $12, $A5, $51, $F2, $71, $68 
 DB $B0, $70, $76, $27, $83, $E1, $18, $6A, $2A, $09 
 DB $80, $36, $09, $00, $04, $0C, $4D, $A0, $68, $04 
 DB $C0, $D0, $30, $20, $0D, $C5, $83, $81, $78, $DC 
 DB $A0, $DC, $B0, $94, $B2, $72, $48, $58, $4A, $BC 
 DB $92, $AF, $6E, $1F, $49, $28, $B0, $1D, $87, $C2 
 DB $E1, $90, $8C, $01, $E1, $18, $23, $85, $60, $90 
 DB $00, $50, $F4, $87, $76, $90, $78, $5F, $08, $04 
 DB $82, $91, $C0, $F8, $5D, $24, $AB, $8F, $88, $95 
 DB $0A, $41, $E4, $57, $10, $07, $80, $5C, $06, $81 
 DB $78, $06, $01, $20, $27, $01, $51, $A0, $74, $07 
 DB $61, $C0, $00, $AE, $D8, $08, $84, $A0, $98, $10 
 DB $80, $F8, $13, $80, $F4, $27, $C8, $64, $13, $C6 
 DB $A4, $72, $3D, $23, $1A, $91, $C8, $F4, $8C, $6A 
 DB $47, $22, $B8, $BC, $3A, $00, $70, $2B, $01, $E0 
 DB $21, $02, $40, $0C, $05, $80, $30, $06, $E0, $76 
 DB $1F, $80, $2A, $46, $73, $70, $94, $25, $25, $01 
 DB $00, $12, $04, $C0, $88, $17, $81, $10, $AC, $F2 
 DB $F2, $E8, $AE, $20, $0F, $07, $80, $5C, $0A, $C0 
 DB $26, $09, $C1, $20, $13, $81, $60, $0D, $08, $80 
 DB $80, $38, $00, $A0, $32, $07, $52, $0E, $4D, $B0 
 DB $74, $3A, $01, $30, $17, $02, $10, $5E, $01, $70 
 DB $9F, $21, $90, $4F, $03, $D0, $9F, $23, $D2, $31 
 DB $A9, $1C, $8F, $48, $C6, $A4, $63, $D1, $5C, $5E 
 DB $1D, $0C, $C7, $40, $5C, $06, $81, $78, $06, $01 
 DB $20, $27, $01, $51, $A0, $74, $07, $61, $C1, $9C 
 DB $DC, $25, $09, $49, $46, $60, $20, $02, $60, $04 
 DB $02, $B0, $1F, $01, $11, $E1, $D4, $B8, $25, $07 
 DB $92, $3C, $07, $91, $5C, $00, $E0, $56, $03, $C0 
 DB $42, $04, $80, $18, $0B, $00, $60, $0D, $C0, $EC 
 DB $3F, $07, $52, $0E, $4D, $B0, $74, $06, $40, $22 
 DB $02, $40, $2E, $05, $60, $08, $04, $E9, $0C, $82 
 DB $78, $1E, $84, $F0, $C8, $7A, $46, $35, $23, $91 
 DB $E9, $18, $D4, $8E, $47, $B1, $78, $74, $33, $1D 
 DB $0A, $C0, $B8, $15, $80, $4C, $13, $82, $40, $27 
 DB $02, $C0, $1A, $11, $01, $00, $72, $EE, $00, $88 
 DB $4A, $09, $81, $08, $0F, $81, $38, $66, $3A, $91 
 DB $58, $E8, $66, $BC, $92, $AE, $E1, $F1, $28, $F0 
 DB $1E, $45, $71, $00, $4C, $06, $80, $78, $13, $80 
 DB $00, $80, $2C, $05, $40, $60, $44, $3F, $09, $F2 
 DB $0E, $4D, $B0, $74, $06, $40, $E8, $04, $00, $48 
 DB $13, $02, $20, $5E, $04, $41, $90, $4F, $03, $D0 
 DB $9F, $21, $91, $18, $D4, $8E, $47, $A4, $63, $52 
 DB $39, $1E, $91, $8D, $47, $52, $2B, $8B, $C0, $98 
 DB $11, $81, $78, $10, $84, $80, $0B, $00, $18, $D0 
 DB $0D, $C0, $80, $27, $80, $06, $4B, $23, $39, $B8 
 DB $4A, $3A, $01, $30, $17, $02, $10, $5E, $01, $71 
 DB $D4, $8A, $C7, $43, $31, $D4, $92, $AE, $E1, $F4 
 DB $92, $C6, $24, $8C, $6A, $05, $A2, $F0, $2D, $0C 
 DB $13, $8C, $C6, $D2, $40, $6C, $1B, $0D, $88, $95 
 DB $0E, $07, $F2, $7C, $24, $0F, $C1, $48, $25, $58 
 DB $0C, $02, $E0, $64, $09, $E2, $00, $28, $29, $05 
 DB $82, $B9, $3C, $3A, $15, $0D, $63, $04, $60, $54 
 DB $2F, $0C, $01, $D0, $35, $1D, $0D, $83, $61, $B4 
 DB $90, $1B, $2A, $4C, $21, $0F, $E4, $38, $1F, $C9 
 DB $F0, $0F, $83, $60, $3F, $01, $90, $5C, $1B, $02 
 DB $80, $3E, $01, $41, $49, $20, $EA, $45, $67, $87 
 DB $43, $31, $D0, $AC, $8C, $6A, $2A, $1A, $DA, $24 
 DB $8C, $6A, $2A, $02, $B0, $2F, $05, $A0, $74, $01 
 DB $C6, $49, $01, $B0, $6C, $36, $20, $4C, $A8, $52 
 DB $1F, $C9, $F0, $90, $3F, $0E, $02, $90, $6C, $02 
 DB $C0, $80, $07, $41, $90, $28, $14, $09, $00, $5E 
 DB $0B, $24, $F0, $E8, $66, $35, $8C, $49, $18, $15 
 DB $8B, $E0, $70, $30, $0D, $4C, $0D, $86, $D2, $40 
 DB $6C, $1B, $2C, $44, $A9, $54, $7C, $9C, $5A, $09 
 DB $01, $28, $1F, $82, $01, $28, $05, $81, $3C, $0F 
 DB $84, $80, $10, $15, $48, $CE, $4E, $46, $24, $8C 
 DB $6A, $05, $A2, $F0, $2D, $0C, $13, $8C, $C6, $D2 
 DB $40, $6C, $1B, $0D, $88, $95, $0A, $43, $F9, $3E 
 DB $12, $07, $E0, $A4, $12, $AC, $06, $01, $70, $32 
 DB $04, $F1, $00, $14, $14, $82, $C0, $1F, $C9, $E1 
 DB $D0, $A8, $6B, $18, $23, $02, $A1, $78, $60, $0E 
 DB $81, $A8, $E8, $6C, $1B, $0D, $A4, $80, $D9, $52 
 DB $61, $0A, $D2, $1C, $0F, $E4, $F8, $07, $C1, $B0 
 DB $1F, $80, $C8, $2E, $0D, $81, $40, $1F, $00, $A0 
 DB $A4, $90, $2F, $91, $59, $E1, $D0, $CC, $74, $2B 
 DB $23, $1A, $8A, $86, $B1, $80, $2A, $02, $F0, $38 
 DB $01, $44, $F2, $40, $6C, $1B, $0D, $88, $13, $2A 
 DB $4D, $27, $C2, $40, $FC, $38, $0A, $41, $B0, $0B 
 DB $02, $00, $1D, $06, $40, $A0, $50, $24, $01, $78 
 DB $2C, $0B, $C6, $63, $A9, $15, $9E, $1D, $0C, $C6 
 DB $B1, $89, $23, $1A, $81, $68, $BC, $0B, $43, $04 
 DB $E1, $B0, $DA, $48, $0D, $83, $65, $88, $95, $2A 
 DB $8F, $93, $8B, $41, $20, $25, $03, $F0, $40, $25 
 DB $00, $B0, $27, $81, $F0, $90, $02, $02, $A0, $1F 
 DB $8C, $E4, $E4, $62, $48, $C6, $A2, $A0, $2B, $02 
 DB $F0, $5A, $07, $40, $1C, $64, $90, $1B, $06, $C3 
 DB $62, $25, $42, $90, $FE, $4F, $84, $81, $F8, $29 
 DB $04, $AB, $01, $80, $5C, $0C, $81, $3C, $40, $05 
 DB $05, $20, $B0, $07, $F2, $78, $74, $33, $1A, $C6 
 DB $24, $8C, $0A, $C5, $F0, $38, $18, $06, $A6, $06 
 DB $C3, $69, $20, $36, $54, $98, $42, $B4, $87, $03 
 DB $F9, $3E, $01, $F0, $6C, $07, $E0, $32, $0B, $83 
 DB $60, $50, $07, $C0, $28, $29, $24, $0B, $E4, $57 
 DB $27, $86, $A2, $A1, $AC, $60, $0A, $80, $BC, $0E 
 DB $00, $51, $38, $E8, $80, $D8, $36, $1B, $49, $05 
 DB $95, $26, $93, $E1, $20, $7E, $1C, $05, $20, $D8 
 DB $05, $81, $00, $0E, $83, $20, $50, $28, $12, $00 
 DB $BC, $16, $05, $E3, $31, $D4, $8A, $CF, $0E, $86 
 DB $63, $A8, $C4, $91, $8D, $40, $B4, $5E, $05, $A1 
 DB $82, $71, $98, $DA, $48, $0D, $83, $61, $B1, $12 
 DB $A5, $51, $F2, $71, $69, $38, $29, $04, $AB, $01 
 DB $80, $5C, $0C, $81, $3C, $40, $05, $05, $20, $B0 
 DB $67, $27, $09, $65, $60 ; flushed
; translation data 
; DB $0A; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_3: 
 DB $02, $02, $00 ;1443 
 DB $02, $03, $02 ;2529 
 DB $03, $02, $04 ;585 
 DB $84, $01, $01 ;405 
 DB $84, $02, $02 ;429 
 DB $04, $03, $01 ;434 
 DB $84, $06, $00 ;670 
 DB $04, $07, $03 ;696 
 DB $05, $01, $07 ;251 
 DB $06, $01, $08 ;28 
; phrases follow 
GHOSTBST_pd_3: 
 DB $05, $04, $03, $03, $03, $03; 670 
 DB $05, $01, $01, $01, $01, $02; 405 
 DB $0B, $01, $01, $01, $01, $01, $01, $02, $02, $02, $02, $02; 429 
; data follows 
GHOSTBST_reg_3_data: 
 DB $FE, $E8, $FF, $5D, $3B, $3C, $58, $2E, $6F, $EC 
 DB $71, $63, $E2, $C5, $27, $0B, $9B, $FB, $1C, $58 
 DB $F9, $3C, $58, $82, $E6, $FE, $C7, $16, $3E, $2F 
 DB $66, $2B, $38, $5C, $DF, $1F, $DD, $42, $7B, $55 
 DB $9C, $A2, $F6, $62, $0C, $DF, $D8, $E2, $C7, $C5 
 DB $8A, $CE, $19, $BF, $B1, $C5, $8F, $93, $C5, $88 
 DB $E1, $75, $7F, $63, $8B, $5F, $67, $8B, $05, $D5 
 DB $F1, $FD, $D4, $27, $8D, $59, $E2, $C1, $73, $7F 
 DB $23, $8B, $5F, $16, $29, $38, $5C, $DF, $D8, $E2 
 DB $C7, $C9, $E2, $C4, $17, $37, $F6, $38, $B1, $F1 
 DB $7B, $31, $59, $C2, $E6, $FB, $7E, $1A, $16, $35 
 DB $67, $8B, $05, $CD, $FD, $8E, $2C, $7C, $58, $A4 
 DB $E1, $73, $7F, $63, $8B, $1F, $27, $8B, $10, $5C 
 DB $DF, $D8, $E2, $C7, $C5, $E2, $C1, $9B, $E3, $FB 
 DB $A8, $4F, $6A, $FE, $18, $FF, $5D, $3F, $D8, $B6 
 DB $D3, $FD, $EB, $6D, $3F, $E0, $1D, $67, $8B, $10 
 DB $5D, $5F, $D8, $E2, $D7, $C5, $EC, $C5, $67, $0B 
 DB $AB, $FB, $1C, $5A, $F3, $C5, $88, $E1, $73, $7F 
 DB $23, $8B, $5F, $67, $8B, $05, $CD, $F6, $FC, $34 
 DB $2C, $6A, $CF, $16, $0B, $9B, $FB, $1C, $58, $F8 
 DB $B1, $49, $C2, $E6, $FE, $C7, $16, $3E, $4F, $16 
 DB $20, $B9, $BF, $B1, $C5, $8F, $8B, $D9, $8A, $CE 
 DB $17, $37, $C7, $F7, $50, $9E, $D5, $FB, $16, $C6 
 DB $7F, $9D, $6C, $67, $FC, $03, $AC, $F1, $60, $B9 
 DB $BF, $B1, $C5, $8F, $8B, $14, $9C, $2E, $6F, $EC 
 DB $71, $63, $E4, $F1, $62, $0B, $9B, $FB, $1C, $58 
 DB $F8, $BD, $98, $AC, $E1, $73, $7C, $7F, $75, $09 
 DB $ED, $47, $28, $BD, $98, $A4, $E1, $AE, $70, $40 
 DB $C4, $20, $62, $10, $31, $08, $18, $84, $0C, $42 
 DB $06, $21, $03, $60, $CC, $E6, $FE, $C7, $0D, $73 
 DB $FB, $14, $2C, $7C, $58, $AC, $E1, $AE, $70, $31 
 DB $08, $18, $84, $0C, $42, $06, $21, $03, $10, $81 
 DB $88, $40, $C4, $33, $39, $BF, $B1, $C3, $5C, $FE 
 DB $C5, $0B, $5F, $67, $8B, $06, $BC, $9E, $C1, $03 
 DB $10, $81, $88, $40, $C4, $20, $62, $10, $31, $08 
 DB $18, $84, $0C, $CE, $6F, $EC, $70, $D7, $93, $FB 
 DB $15, $53, $E4, $F2, $78, $B1, $06, $BC, $9E, $41 
 DB $03, $10, $81, $88, $40, $C4, $20, $62, $10, $31 
 DB $08, $18, $84, $0C, $83, $53, $9B, $FB, $1C, $35 
 DB $E4, $FE, $C5, $0B, $1F, $DD, $70, $CF, $3F, $B1 
 DB $08, $BD, $8E, $19, $E7, $F6, $28, $58, $FE, $EB 
 DB $86, $79, $FD, $88, $45, $E2, $70, $CF, $F6, $28 
 DB $58, $FE, $1B, $86, $7F, $B1, $08, $BC, $4E, $19 
 DB $FE, $C5, $0B, $5F, $DD, $70, $CF, $F6, $21, $17 
 DB $89, $C3, $3C, $FE, $45, $0B, $5F, $DD, $7A, $9F 
 DB $27, $91, $B8, $8E, $13, $E0, $FD, $D7, $A9, $F2 
 DB $78, $8E, $D3, $E0, $FD, $D7, $A9, $F2, $71, $B8 
 DB $8D, $4C, $3B, $FE, $EB, $D4, $FB, $3C, $9E, $2C 
 DB $57, $38, $F8, $D7, $75, $EA, $7D, $9C, $6E, $23 
 DB $84, $F8, $3F, $75, $EA, $7D, $9E, $C6, $EC, $3B 
 DB $4F, $83, $F0, $DE, $A7, $D9, $E2, $35, $30, $EF 
 DB $F8, $6F, $53, $E4, $F2, $78, $B1, $5C, $EB, $E5 
 DB $46, $E2, $BD, $4F, $93, $8D, $C4, $70, $9F, $47 
 DB $EE, $BD, $4F, $93, $D8, $DD, $87, $69, $F4, $7E 
 DB $EB, $D4, $FB, $3C, $46, $A6, $1E, $0F, $DD, $7A 
 DB $9F, $27, $93, $C5, $88, $F7, $38, $F8, $D4, $B0 
 ; flushed
; translation data 
; DB $BF; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_4: 
 DB $83, $06, $03 ;415 
 DB $84, $08, $07 ;306 
 DB $84, $09, $06 ;309 
 DB $84, $0A, $05 ;340 
 DB $84, $0E, $01 ;785 
 DB $84, $0F, $00 ;1040 
 DB $85, $0C, $0F ;125 
 DB $85, $0E, $08 ;300 
 DB $85, $0F, $09 ;300 
 DB $85, $16, $04 ;380 
 DB $85, $17, $02 ;390 
 DB $06, $10, $D4 ;66 
 DB $86, $11, $14 ;70 
 DB $86, $12, $15 ;72 
 DB $06, $14, $F9 ;87 
 DB $86, $15, $0A ;90 
 DB $06, $16, $FD ;102 
 DB $86, $1A, $0C ;150 
 DB $86, $1B, $0B ;180 
 DB $07, $10, $2C ;28 
 DB $87, $12, $21 ;32 
 DB $87, $14, $1B ;40 
 DB $87, $16, $1A ;44 
 DB $07, $18, $1C ;49 
 DB $07, $19, $C8 ;50 
 DB $87, $1A, $18 ;54 
 DB $87, $1B, $1E ;56 
 DB $87, $1C, $12 ;60 
 DB $87, $1D, $19 ;64 
 DB $87, $1E, $16 ;65 
 DB $87, $1F, $17 ;65 
 DB $87, $26, $11 ;75 
 DB $87, $27, $10 ;80 
 DB $87, $2E, $0D ;102 
 DB $87, $2F, $0E ;108 
 DB $08, $10, $9F ;12 
 DB $08, $14, $D8 ;16 
 DB $08, $16, $05 ;18 
 DB $08, $18, $14 ;21 
 DB $08, $19, $A8 ;21 
 DB $08, $1A, $28 ;22 
 DB $88, $1C, $20 ;24 
 DB $08, $1D, $38 ;25 
 DB $08, $1E, $D0 ;25 
 DB $08, $22, $E1 ;28 
 DB $08, $23, $D2 ;29 
 DB $88, $26, $1D ;35 
 DB $08, $27, $F5 ;38 
 DB $88, $2A, $1C ;40 
 DB $08, $2B, $DF ;43 
 DB $88, $2E, $13 ;45 
 DB $08, $2F, $18 ;49 
 DB $09, $18, $E3 ;7 
 DB $09, $1A, $39 ;8 
 DB $09, $1C, $A6 ;9 
 DB $09, $1E, $FB ;11 
 DB $09, $22, $EE ;13 
 DB $09, $23, $0C ;15 
 DB $09, $24, $CA ;15 
 DB $09, $25, $01 ;16 
 DB $09, $26, $20 ;16 
 DB $09, $27, $C6 ;16 
 DB $09, $2A, $24 ;17 
 DB $09, $2B, $BD ;17 
 DB $09, $2E, $D6 ;20 
 DB $89, $2F, $22 ;20 
 DB $09, $36, $30 ;22 
 DB $09, $37, $59 ;24 
 DB $89, $3E, $1F ;25 
 DB $09, $3F, $51 ;26 
 DB $0A, $14, $F7 ;3 
 DB $0A, $18, $65 ;4 
 DB $0A, $1C, $ED ;4 
 DB $0A, $1E, $3F ;5 
 DB $0A, $20, $71 ;5 
 DB $0A, $21, $85 ;5 
 DB $0A, $22, $B4 ;5 
 DB $0A, $24, $C0 ;5 
 DB $0A, $25, $E8 ;5 
 DB $0A, $26, $04 ;6 
 DB $0A, $28, $97 ;6 
 DB $0A, $29, $AC ;6 
 DB $0A, $2A, $B0 ;6 
 DB $0A, $2B, $C5 ;6 
 DB $0A, $2C, $0D ;7 
 DB $0A, $2D, $33 ;7 
 DB $0A, $2E, $34 ;7 
 DB $0A, $32, $07 ;8 
 DB $0A, $33, $0B ;8 
 DB $0A, $36, $48 ;8 
 DB $0A, $37, $77 ;9 
 DB $0A, $3A, $08 ;10 
 DB $0A, $3B, $4D ;10 
 DB $0A, $3E, $49 ;12 
 DB $0A, $3F, $61 ;12 
 DB $0B, $0A, $13 ;2 
 DB $0B, $0C, $35 ;2 
 DB $0B, $10, $AB ;2 
 DB $0B, $12, $BC ;2 
 DB $0B, $14, $D3 ;2 
 DB $0B, $16, $F3 ;2 
 DB $0B, $18, $25 ;3 
 DB $0B, $19, $2D ;3 
 DB $0B, $1A, $3D ;3 
 DB $0B, $1B, $45 ;3 
 DB $0B, $1C, $47 ;3 
 DB $0B, $1D, $55 ;3 
 DB $0B, $1E, $5B ;3 
 DB $0B, $20, $93 ;3 
 DB $0B, $21, $9D ;3 
 DB $0B, $22, $A1 ;3 
 DB $0B, $23, $A3 ;3 
 DB $0B, $24, $A9 ;3 
 DB $0B, $25, $AD ;3 
 DB $0B, $26, $B5 ;3 
 DB $0B, $2A, $10 ;4 
 DB $0B, $2B, $1F ;4 
 DB $0B, $2C, $29 ;4 
 DB $0B, $2D, $2F ;4 
 DB $0B, $2E, $43 ;4 
 DB $0B, $2F, $57 ;4 
 DB $0B, $32, $A4 ;4 
 DB $0B, $33, $AA ;4 
 DB $0B, $34, $B1 ;4 
 DB $0B, $35, $BF ;4 
 DB $0B, $36, $CF ;4 
 DB $0B, $37, $D5 ;4 
 DB $0B, $3A, $11 ;5 
 DB $0B, $3B, $21 ;5 
 DB $0B, $3E, $69 ;5 
 DB $0B, $3F, $6B ;5 
 DB $0B, $46, $B6 ;5 
 DB $0B, $47, $BB ;5 
 DB $0B, $4E, $1B ;6 
 DB $0B, $4F, $40 ;6 
 DB $0B, $5E, $7E ;7 
 DB $0B, $5F, $B2 ;7 
 DB $0C, $03, $27 ;1 
 DB $0C, $07, $70 ;1 
 DB $0C, $0B, $8B ;1 
 DB $0C, $0D, $91 ;1 
 DB $0C, $0F, $B7 ;1 
 DB $0C, $13, $FF ;1 
 DB $0C, $16, $1E ;2 
 DB $0C, $17, $31 ;2 
 DB $0C, $1A, $37 ;2 
 DB $0C, $1B, $5F ;2 
 DB $0C, $1C, $6F ;2 
 DB $0C, $1D, $75 ;2 
 DB $0C, $1E, $7F ;2 
 DB $0C, $1F, $95 ;2 
 DB $0C, $22, $AE ;2 
 DB $0C, $23, $B8 ;2 
 DB $0C, $26, $BE ;2 
 DB $0C, $27, $C2 ;2 
 DB $0C, $2A, $D9 ;2 
 DB $0C, $2B, $DB ;2 
 DB $0C, $2E, $15 ;3 
 DB $0C, $2F, $17 ;3 
 DB $0C, $3E, $7B ;3 
 DB $0C, $3F, $89 ;3 
 DB $0C, $4E, $C9 ;3 
 DB $0C, $4F, $E9 ;3 
 DB $0D, $01, $0E ;1 
 DB $0D, $02, $0F ;1 
 DB $0D, $03, $19 ;1 
 DB $0D, $04, $1D ;1 
 DB $0D, $05, $23 ;1 
 DB $0D, $08, $2B ;1 
 DB $0D, $09, $4B ;1 
 DB $0D, $0A, $53 ;1 
 DB $0D, $0B, $5D ;1 
 DB $0D, $0C, $63 ;1 
 DB $0D, $0D, $67 ;1 
 DB $0D, $10, $72 ;1 
 DB $0D, $11, $73 ;1 
 DB $0D, $12, $79 ;1 
 DB $0D, $13, $80 ;1 
 DB $0D, $14, $83 ;1 
 DB $0D, $15, $86 ;1 
 DB $0D, $18, $8D ;1 
 DB $0D, $19, $8E ;1 
 DB $0D, $1C, $99 ;1 
 DB $0D, $1D, $A7 ;1 
 DB $0D, $20, $C7 ;1 
 DB $0D, $21, $CB ;1 
 DB $0D, $22, $CC ;1 
 DB $0D, $23, $E7 ;1 
 DB $0D, $24, $EF ;1 
 DB $0D, $25, $F1 ;1 
 DB $0E, $01, $03 ;1 
; phrases follow 
GHOSTBST_pd_4: 
 DB $0A, $FD, $01, $FD, $F9, $F9, $FD, $01, $FD, $F9, $F9; 1040 
 DB $05, $18, $18, $1C, $20, $1C; 785 
 DB $0A, $A8, $AA, $A8, $A6, $A6, $A8, $AA, $A8, $A6, $A6; 390 
 DB $05, $E1, $E3, $E1, $DF, $DF; 415 
 DB $05, $D6, $D4, $D2, $D2, $D4; 380 
 DB $05, $D4, $D0, $D0, $D4, $D8; 340 
 DB $03, $A8, $FD, $C8; 309 
 DB $03, $EE, $BD, $9F; 306 
 DB $03, $E1, $A8, $8E; 300 
 DB $03, $D4, $9F, $86; 300 
 DB $0F, $FD, $80, $11, $21, $35, $4D, $65, $75, $85, $1C, $B1, $C9, $D9, $E9, $FD; 90 
 DB $05, $FD, $05, $FD, $F5, $F5; 180 
 DB $0A, $F9, $F9, $FD, $01, $FD, $F9, $F9, $FD, $01, $FD; 150 
 DB $06, $BD, $9F, $77, $BD, $9F, $77; 102 
 DB $03, $A8, $7E, $C8; 108 
 DB $05, $C8, $C6, $C6, $C8, $CA; 125 
 DB $05, $30, $2C, $28, $28, $2C; 80 
 DB $05, $1C, $14, $14, $1C, $24; 75 
 DB $0F, $49, $49, $59, $69, $59, $49, $49, $59, $69, $59, $49, $28, $38, $48, $38; 60 
 DB $0F, $E1, $72, $F5, $07, $1B, $31, $47, $59, $6B, $0E, $95, $AB, $BD, $CF, $E3; 45 
 DB $05, $34, $2C, $24, $24, $2C; 70 
 DB $09, $E8, $08, $E8, $C8, $C8, $E8, $08, $E8, $C8; 72 
 DB $05, $51, $51, $59, $61, $59; 65 
 DB $05, $38, $40, $38, $30, $30; 65 
 DB $09, $15, $2D, $BE, $4D, $61, $79, $91, $A1, $B1; 54 
 DB $08, $28, $28, $38, $48, $38, $28, $28, $38; 64 
 DB $0B, $B2, $B0, $B0, $B2, $B4, $B2, $B0, $B0, $B2, $B4, $B2; 44 
 DB $05, $69, $59, $49, $49, $59; 40 
 DB $05, $4D, $4D, $51, $55, $51; 40 
 DB $05, $FB, $FB, $0B, $1B, $0B; 35 
 DB $02, $FD, $01; 56 
 DB $05, $A8, $A4, $A4, $A8, $AC; 25 
 DB $08, $F9, $0F, $B0, $33, $47, $5D, $73, $85; 24 
 DB $02, $E1, $E3; 32 
 DB $05, $BF, $BD, $BB, $BB, $BD; 20 
; data follows 
GHOSTBST_reg_4_data: 
 DB $91, $E0, $FC, $36, $91, $F0, $E8, $3F, $0D, $C7 
 DB $A4, $3F, $0D, $C1, $F8, $76, $43, $61, $F0, $E8 
 DB $27, $87, $43, $60, $FC, $37, $07, $E1, $B8, $F4 
 DB $87, $E1, $B8, $27, $87, $64, $36, $1F, $0E, $82 
 DB $78, $6F, $23, $C1, $F8, $6D, $23, $E1, $D9, $27 
 DB $0D, $86, $25, $C2, $F0, $D0, $84, $93, $84, $C3 
 DB $0E, $91, $78, $C0, $4C, $21, $21, $A1, $02, $70 
 DB $D8, $40, $34, $2F, $18, $09, $86, $1D, $22, $F1 
 DB $09, $27, $0D, $86, $25, $C2, $F1, $C1, $D9, $14 
 DB $03, $E0, $DC, $74, $1B, $07, $43, $40, $F8, $37 
 DB $91, $40, $6C, $1D, $1D, $06, $C1, $D1, $C1, $D9 
 DB $22, $0B, $A4, $98, $60, $30, $15, $08, $49, $10 
 DB $AA, $49, $84, $24, $2A, $10, $22, $0B, $84, $02 
 DB $A0, $C0, $C0, $54, $4C, $31, $21, $81, $89, $22 
 DB $0B, $A4, $98, $60, $31, $23, $24, $86, $5E, $58 
 DB $24, $93, $06, $4D, $14, $15, $CB, $08, $82, $61 
 DB $8D, $BC, $2F, $29, $2F, $1B, $2D, $2E, $17, $94 
 DB $79, $51, $A1, $92, $43, $20, $94, $25, $2D, $25 
 DB $06, $CB, $49, $41, $B9, $30, $64, $27, $28, $F2 
 DB $C0, $C0, $8A, $45, $6C, $24, $31, $B7, $A4, $5F 
 DB $2F, $1B, $2C, $50, $5E, $30, $13, $0C, $3A, $45 
 DB $EF, $1B, $05, $E0, $58, $07, $60, $D0, $7E, $0F 
 DB $C1, $00, $21, $00, $B0, $13, $02, $B0, $37, $28 
 DB $F2, $12, $B0, $5C, $22, $91, $5B, $09, $08, $85 
 DB $65, $25, $E3, $60, $C8, $16, $00, $BC, $06, $01 
 DB $68, $34, $07, $81, $F0, $17, $81, $80, $3F, $04 
 DB $00, $3E, $01, $F8, $28, $02, $10, $23, $02, $50 
 DB $47, $02, $70, $1B, $01, $B8, $AC, $0E, $03, $C1 
 DB $28, $32, $03, $A0, $2B, $01, $90, $5A, $0D, $01 
 DB $70, $7E, $01, $B0, $FE, $45, $52, $E9, $17, $E1 
 DB $F2, $D2, $B0, $5C, $42, $45, $72, $D2, $F1, $B2 
 DB $C0, $00, $41, $60, $27, $01, $60, $16, $80, $60 
 DB $1E, $07, $60, $3C, $0F, $C0, $0D, $04, $00, $1E 
 DB $00, $60, $08, $00, $1C, $02, $30, $34, $03, $50 
 DB $56, $01, $08, $1B, $83, $00, $12, $81, $42, $C0 
 DB $C8, $05, $C0, $02, $81, $60, $16, $83, $40, $38 
 DB $03, $A0, $3D, $22, $A9, $07, $63, $01, $30, $C7 
 DB $27, $A4, $64, $91, $47, $96, $09, $24, $C1, $93 
 DB $45, $05, $72, $C2, $20, $98, $63, $6F, $0B, $CA 
 DB $4B, $C6, $C6, $25, $C2, $F2, $8F, $2A, $34, $32 
 DB $48, $65, $E3, $72, $60, $C8, $4E, $51, $F2, $C2 
 DB $43, $1B, $7A, $45, $F2, $F1, $B2, $D2, $E9, $17 
 DB $BC, $6C, $17, $81, $60, $1D, $83, $41, $F8, $3F 
 DB $04, $00, $84, $02, $C0, $4C, $0A, $E4, $A3, $C8 
 DB $4A, $C1, $70, $8A, $45, $6C, $24, $22, $92, $92 
 DB $F2, $C0, $CC, $0E, $80, $5E, $07, $60, $5A, $03 
 DB $40, $5C, $0F, $80, $0A, $07, $E0, $1C, $00, $E8 
 DB $0F, $81, $08, $10, $01, $10, $03, $A0, $4A, $00 
 DB $F0, $56, $02, $80, $2A, $15, $81, $3C, $0A, $05 
 DB $81, $98, $1D, $02, $70, $16, $00, $68, $06, $80 
 DB $B8, $1D, $80, $F0, $0E, $87, $F2, $2A, $97, $48 
 DB $BF, $0F, $96, $95, $82, $E2, $12, $2B, $61, $21 
 DB $10, $AC, $A4, $BC, $6C, $19, $02, $C0, $17, $80 
 DB $C0, $2D, $06, $80, $F0, $3E, $02, $F0, $30, $07 
 DB $E0, $80, $07, $C0, $3F, $05, $00, $42, $04, $60 
 DB $4A, $08, $E0, $4E, $03, $60, $37, $15, $81, $C0 
 DB $78, $25, $06, $40, $74, $05, $60, $32, $0B, $41 
 DB $A0, $2E, $0F, $C0, $36, $06, $24, $54, $0E, $C5 
 DB $E3, $01, $30, $C7, $47, $A4, $5E, $30, $13, $48 
 DB $F4, $87, $F2, $3E, $1D, $04, $F0, $DE, $47, $A4 
 DB $36, $91, $F0, $DC, $1F, $86, $E3, $D2, $1F, $86 
 DB $E0, $FC, $3B, $21, $B0, $F8, $74, $13, $C3, $B2 
 DB $3D, $21, $FC, $8F, $87, $64, $9C, $36, $10, $97 
 DB $48, $BC, $42, $49, $C2, $61, $89, $74, $86, $84 
 DB $09, $C3, $61, $09, $0D, $0C, $04, $C3, $0E, $91 
 DB $78, $C4, $93, $86, $C2, $12, $E9, $17, $8E, $0E 
 DB $C8, $A0, $1F, $07, $47, $41, $B0, $74, $34, $0F 
 DB $83, $79, $14, $06, $C1, $D1, $D0, $6C, $1B, $8E 
 DB $0E, $C9, $10, $5D, $24, $C3, $01, $80, $A8, $42 
 DB $48, $85, $52, $4C, $21, $21, $50, $81, $10, $5C 
 DB $20, $15, $06, $06, $02, $A2, $61, $89, $0C, $08 
 DB $49, $10, $5D, $24, $C3, $01, $80, $F1, $00, $A4 
 DB $68, $B4, $89, $CD, $96, $0B, $16, $13, $87, $88 
 DB $05, $23, $45, $A4, $4E, $6C, $B0, $58, $B0, $9C 
 DB $3C, $40, $29, $1A, $2D, $22, $73, $65, $82, $C5 
 DB $A4, $3C, $40, $29, $1A, $2D, $22, $73, $65, $82 
 DB $C5, $A4, $3C, $40, $28, $A2, $12, $1E, $93, $65 
 DB $82, $C4, $C1, $1C, $82, $60, $8C, $30, $11, $C8 
 DB $9E, $4D, $90, $0A, $46, $88, $48, $9E, $4D, $90 
 DB $0A, $46, $88, $48, $9E, $4D, $90, $0A, $46, $88 
 DB $48, $9E, $4D, $90, $0A, $46, $88, $48, $9E, $4D 
 DB $90, $0A, $28, $84, $87, $88, $05, $8B, $48, $9C 
 DB $D9, $60, $B1, $69, $0C, $0C, $05, $43, $01, $80 
 DB $4C, $11, $86, $02, $30, $4C, $27, $93, $65, $82 
 DB $91, $A2, $01, $E1, $3C, $9B, $2C, $14, $8D, $10 
 DB $0F, $09, $E4, $D9, $60, $A4, $68, $80, $78, $4F 
 DB $26, $CB, $05, $23, $44, $03, $C2, $79, $36, $58 
 DB $29, $2A, $2D, $22, $73, $65, $82, $C5, $84, $E1 
 DB $81, $80, $A8, $62, $43, $01, $18, $60, $23, $90 
 DB $4C, $11, $85, $8B, $48, $9C, $D9, $60, $B4, $68 
 DB $84, $87, $88, $05, $8B, $48, $9C, $D9, $60, $B4 
 DB $68, $84, $87, $A4, $D9, $60, $B4, $68, $84, $87 
 DB $A4, $D9, $60, $B4, $68, $84, $87, $A4, $D9, $60 
 DB $B5, $47, $C1, $99, $03, $20, $C8, $08, $81, $48 
 DB $19, $82, $90, $5F, $01, $18, $23, $02, $20, $46 
 DB $01, $20, $13, $82, $40, $13, $02, $40, $9C, $02 
 DB $20, $92, $46, $49, $0C, $BC, $6E, $4C, $19, $92 
 DB $8F, $96, $12, $18, $DB, $D2, $2F, $97, $8D, $96 
 DB $97, $48, $BD, $E5, $46, $81, $5C, $8C, $92, $28 
 DB $F2, $C1, $24, $98, $32, $68, $A0, $AE, $58, $44 
 DB $13, $0C, $6D, $E1, $79, $49, $78, $D8, $C4, $B8 
 DB $5E, $51, $E5, $46, $A4, $64, $91, $47, $96, $09 
 DB $24, $C1, $93, $45, $05, $72, $C2, $20, $98, $63 
 DB $6F, $0B, $CA, $4B, $C6, $C6, $25, $C2, $F2, $8F 
 DB $2A, $35, $23, $24, $86, $5E, $58, $24, $93, $06 
 DB $64, $A3, $E5, $84, $41, $30, $C6, $DE, $17, $94 
 DB $97, $8D, $96, $97, $0B, $CA, $3C, $A8, $D0, $8C 
 DB $84, $6C, $17, $16, $34, $50, $46, $42, $36, $0B 
 DB $8B, $1A, $28, $23, $21, $1B, $05, $C5, $8D, $14 
 DB $11, $90, $8D, $82, $E2, $C6, $8A, $08, $C8, $2C 
 DB $17, $10, $91, $1B, $C6, $C6, $1D, $20, $E8, $23 
 DB $02, $A0, $8C, $1D, $14, $79, $08, $D8, $2E, $20 
 DB $23, $28, $F2, $11, $B0, $5C, $40, $46, $51, $E4 
 DB $23, $60, $B8, $84, $94, $79, $08, $D8, $2E, $21 
 DB $25, $1E, $42, $56, $0B, $8B, $1A, $70, $BC, $1D 
 DB $04, $60, $54, $11, $C8, $3A, $78, $D9, $09, $11 
 DB $90, $B5, $82, $E2, $12, $23, $79, $68, $D8, $2E 
 DB $21, $22, $37, $96, $8D, $82, $E2, $12, $23, $79 
 DB $68, $D8, $2E, $21, $22, $37, $96, $95, $82, $E2 
 DB $06, $8A, $0B, $C6, $02, $61, $89, $17, $84, $60 
 DB $54, $11, $C8, $3A, $08, $C2, $52, $C6, $A4, $46 
 DB $42, $36, $09, $4B, $1A, $91, $19, $08, $D8, $25 
 DB $2C, $6A, $44, $64, $23, $60, $94, $B4, $94, $1B 
 DB $2D, $25, $06, $C8, $48, $8C, $84, $6C, $12, $96 
 DB $92, $83, $65, $A4, $A0, $D8, $66, $41, $C9, $5C 
 DB $32, $06, $61, $99, $07, $03, $36, $0A, $40, $44 
 DB $0B, $F6, $08, $C0, $23, $01, $2B, $04, $80, $27 
 DB $09, $EC, $24, $07, $3D, $4D, $F8, $F3, $65, $E1 
 DB $9E, $DB, $84, $43, $36, $5F, $C7, $9B, $2F, $0C 
 DB $82, $F7, $6D, $C3, $37, $5F, $C3, $9B, $AF, $0C 
 DB $F7, $5C, $22, $19, $B2, $F0, $C8, $2F, $63, $58 
 DB $67, $BB, $37, $5E, $19, $05, $EE, $EB, $86, $6C 
 DB $BC, $32, $0B, $DD, $B8, $92, $EE, $DB, $C8, $17 
 DB $05, $61, $00, $6E, $15, $84, $38, $F0, $0D, $CB 
 DB $82, $B0, $87, $6D, $E4, $2C, $B8, $2B, $08, $03 
 DB $70, $AC, $21, $C3, $80, $6F, $65, $C1, $58, $43 
 DB $BA, $F2, $12, $5D, $8C, $44, $15, $84, $3B, $B0 
 DB $0D, $EC, $B8, $2B, $08, $77, $5E, $42, $4B, $A4 
 DB $4C, $0F, $0A, $E5, $84, $40, $88, $5A, $45, $6C 
 DB $24, $22, $15, $84, $E3, $21, $21, $83, $32, $13 
 DB $8C, $84, $A5, $A4, $A5, $7C, $6C, $B1, $41, $5C 
 DB $70, $91, $63, $45, $05, $72, $C2, $E0, $E0, $28 
 DB $07, $81, $98, $27, $03, $31, $34, $83, $C0, $CC 
 DB $18, $11, $48, $AD, $84, $85, $81, $50, $AE, $58 
 DB $64, $24, $93, $0B, $49, $4A, $F8, $D9, $69, $29 
 DB $1C, $24, $22, $15, $94, $7C, $B0, $90, $01, $C0 
 DB $58, $19, $00, $08, $0B, $40, $6C, $0B, $C0, $FC 
 DB $0A, $81, $40, $12, $48, $AE, $58, $2B, $90, $BC 
 DB $0D, $64, $C1, $99, $15, $C7, $08, $80, $E0, $9C 
 DB $B0, $32, $00, $A0, $2B, $00, $18, $16, $83, $40 
 DB $36, $1F, $86, $E0, $FC, $0F, $C1, $B8, $02, $80 
 DB $0B, $02, $00, $21, $02, $40, $26, $0A, $C1, $58 
 DB $1B, $00, $AC, $02, $30, $09, $00, $A0, $4A, $0B 
 DB $00, $03, $03, $B0, $2C, $05, $A0, $78, $00, $91 
 DB $09, $0D, $08, $13, $86, $C2, $12, $51, $FC, $1C 
 DB $22, $90, $BC, $0D, $42, $B9, $09, $C6, $42, $43 
 DB $06, $64, $27, $8E, $12, $11, $01, $3C, $05, $80 
 DB $26, $0C, $C0, $28, $13, $80, $60, $02, $E0, $34 
 DB $03, $60, $EC, $0B, $C0, $0C, $00, $E0, $37, $00 
 DB $F0, $0F, $C0, $3E, $04, $40, $48, $06, $80, $8E 
 DB $01, $00, $0A, $00, $AC, $18, $03, $85, $02, $C0 
 DB $B0, $05, $C0, $56, $00, $40, $06, $80, $F4, $86 
 DB $84, $09, $C3, $61, $00, $D1, $4D, $3E, $37, $22 
 DB $69, $07, $A5, $84, $85, $A4, $57, $2C, $32, $12 
 DB $49, $85, $A4, $A5, $7C, $6C, $B4, $94, $8E, $12 
 DB $11, $49, $47, $CB, $0B, $83, $80, $A0, $04, $24 
 DB $4C, $0F, $0A, $E5, $84, $40, $88, $5A, $45, $6C 
 DB $24, $22, $15, $84, $E3, $21, $21, $83, $32, $13 
 DB $8C, $84, $A5, $A4, $A5, $7C, $6C, $B1, $41, $5C 
 DB $70, $91, $63, $45, $05, $72, $C2, $E0, $E0, $28 
 DB $90, $FC ; flushed
; translation data 
; DB $07; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_5: 
 DB $01, $01, $00 ;3845 
 DB $03, $01, $02 ;500 
 DB $83, $02, $00 ;1330 
 DB $03, $03, $01 ;1646 
 DB $04, $01, $07 ;101 
 DB $05, $01, $06 ;21 
 DB $06, $01, $08 ;16 
; phrases follow 
GHOSTBST_pd_5: 
 DB $0A, $01, $00, $00, $00, $00, $01, $00, $00, $00, $00; 1330 
; data follows 
GHOSTBST_reg_5_data: 
 DB $FA, $E9, $FA, $EB, $FA, $E9, $FA, $EB, $B0, $81 
 DB $88, $81, $B0, $A5, $BE, $59, $7E, $5D, $CB, $24 
 DB $6E, $D7, $29, $3A, $DC, $89, $CC, $C8, $40, $C4 
 DB $40, $C4, $48, $F3, $CB, $6F, $CB, $B6, $48, $E5 
 DB $DA, $D2, $37, $6B, $94, $BA, $79, $2E, $5B, $CA 
 DB $7B, $AD, $38, $EE, $8F, $AF, $92, $37, $96, $F4 
 DB $9F, $A5, $BB, $08, $18, $88, $19, $0C, $A5, $BE 
 DB $59, $7E, $5D, $CB, $25, $AD, $CA, $71, $9D, $7A 
 DB $DC, $89, $CC, $C8, $40, $C4, $40, $D8, $52, $3C 
 DB $F2, $DB, $F2, $ED, $92, $37, $1B, $4E, $33, $8C 
 DB $DC, $AE, $D3, $8C, $FA, $F9, $2E, $9B, $CA, $78 
 DB $6D, $C2, $BA, $79, $2E, $5B, $DA, $7E, $16, $FE 
 DB $BA, $7E, $7A, $FE, $BA, $7E, $BA, $FB, $72, $E9 
 DB $CB, $A7, $2E, $9C, $B2, $CB, $1B, $B4, $BA, $72 
 DB $E9, $CB, $A7, $2E, $9C, $B2, $C8, $DD, $AE, $52 
 DB $E9, $CB, $A7, $2E, $9C, $BA, $72, $DF, $38, $CE 
 DB $5D, $6E, $32, $E2, $C8, $F8, $72, $3E, $1C, $8F 
 DB $87, $23, $F3, $BB, $08, $18, $88, $1B, $0A, $47 
 DB $9E, $5B, $7E, $5D, $B2, $46, $E3, $69, $C6, $75 
 DB $EB, $72, $27, $73, $61, $03, $11, $03, $21, $94 
 DB $B7, $CB, $2F, $CB, $B9, $64, $B5, $B9, $4E, $33 
 DB $AF, $5B, $91, $39, $9B, $08, $18, $88, $19, $0C 
 DB $A5, $BE, $59, $7E, $5D, $CB, $25, $AD, $CA, $71 
 DB $9D, $7A, $DC, $89, $CC, $D8, $40, $C4, $40, $D8 
 DB $52, $DF, $2C, $BF, $2E, $E5, $92, $37, $6B, $94 
 DB $9D, $6E, $44, $E6, $7B, $72, $E9, $CB, $A7, $2E 
 DB $9C, $B2, $CB, $5B, $94, $E3, $3E, $BC, $BA, $72 
 DB $E9, $CB, $A7, $2D, $F3, $8C, $DC, $6D, $38, $CB 
 DB $8B, $2E, $9C, $BA, $72, $E9, $CB, $7C, $E3, $39 
 DB $75, $B8, $CB, $8B, $23, $E1, $C8, $F8, $72, $3E 
 DB $1C, $8F, $FE, $AE, $F9, $06, $C3, $20, $D8, $41 
 DB $F7, $B9, $AE, $9C, $B1, $F5, $B1, $39, $90, $6C 
 DB $32, $0D, $86, $41, $0F, $93, $D5, $1F, $5E, $5A 
 DB $FA, $5F, $AF, $F4, $DE, $13, $B5, $DA, $71, $9F 
 DB $E6, $1F, $4D, $DC, $ED, $72, $9C, $78, $51, $C6 
 DB $72, $0D, $86, $41, $B0, $C8, $3E, $CF, $54, $7D 
 DB $79, $63, $EB, $62, $77, $32, $0D, $86, $41, $B0 
 DB $83, $EF, $73, $5D, $39, $63, $EB, $62, $78, $48 
 ; flushed
; translation data 
; DB $08; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_6: 
 DB $82, $02, $01 ;1804 
 DB $82, $03, $00 ;3542 
 DB $03, $02, $0B ;428 
 DB $03, $03, $10 ;707 
 DB $84, $01, $03 ;209 
 DB $84, $02, $02 ;385 
 DB $04, $03, $00 ;389 
 DB $05, $01, $02 ;29 
; phrases follow 
GHOSTBST_pd_6: 
 DB $0B, $02, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10; 3542 
 DB $0B, $02, $0B, $0B, $0B, $0B, $0B, $0B, $0B, $0B, $0B, $0B; 1804 
 DB $0B, $02, $0B, $0B, $0B, $0B, $0B, $02, $0B, $0B, $0B, $0B; 385 
 DB $0B, $02, $10, $10, $10, $10, $10, $02, $10, $10, $10, $10; 209 
; data follows 
GHOSTBST_reg_6_data: 
 DB $07, $E3, $A6, $0F, $C7, $4C, $1F, $8E, $98, $3F 
 DB $1D, $30, $76, $98, $39, $4C, $45, $2B, $5A, $96 
 DB $6C, $D8, $89, $14, $A2, $96, $6C, $D8, $89, $12 
 DB $C6, $99, $CB, $36, $22, $45, $28, $99, $CB, $36 
 DB $60, $C5, $03, $54, $89, $63, $4C, $E5, $9B, $30 
 DB $62, $81, $AA, $44, $89, $33, $96, $6C, $C4, $89 
 DB $63, $4C, $D9, $CB, $31, $22, $44, $99, $B3, $96 
 DB $62, $29, $58, $D3, $36, $72, $CC, $45, $28, $91 
 DB $4B, $39, $66, $22, $95, $AD, $4B, $36, $6C, $45 
 DB $28, $91, $4B, $36, $6C, $44, $89, $63, $52, $CD 
 DB $9B, $11, $22, $94, $4C, $E5, $9B, $11, $22, $58 
 DB $D3, $39, $66, $CC, $18, $A0, $6A, $91, $4A, $26 
 DB $72, $CD, $9C, $B3, $67, $2C, $E5, $9B, $39, $66 
 DB $CE, $59, $B3, $96, $72, $CD, $9C, $B3, $67, $2C 
 DB $D9, $CB, $39, $66, $CD, $E3, $6C, $DE, $36, $CD 
 DB $E3, $72, $F5, $B9, $66, $CC, $18, $B0, $6A, $D9 
 DB $BC, $6D, $9B, $C6, $D9, $BC, $6D, $9B, $C6, $D9 
 DB $CB, $30, $B3, $78, $DB, $37, $8D, $B3, $78, $DB 
 DB $37, $8D, $B3, $96, $61, $39, $7A, $DC, $BC, $6D 
 DB $9B, $C6, $D9, $BC, $6D, $9B, $F6, $2D, $9B, $31 
 DB $22, $58, $D3, $36, $72, $CC, $48, $91, $26, $6C 
 DB $E5, $98, $8A, $56, $34, $CD, $9C, $B3, $11, $4A 
 DB $24, $52, $CE, $59, $88, $A5, $6B, $52, $CD, $9B 
 DB $11, $4A, $24, $52, $CD, $9B, $11, $22, $58, $D4 
 DB $B3, $66, $C4, $48, $A5, $13, $39, $78, $DB, $37 
 DB $8D, $B3, $78, $DB, $37, $8D, $B3, $96, $61, $39 
 DB $7A, $DC, $BD, $6E, $5E, $36, $CD, $E3, $6C, $D9 
 DB $B0, $9B, $37, $8D, $CB, $D6, $E5, $EB, $72, $F5 
 DB $B9, $66, $C2, $6C, $DE, $36, $CD, $E3, $6C, $DE 
 DB $37, $2F, $5B, $97, $E2, $5B, $36, $22, $95, $AD 
 DB $4B, $36, $6C, $44, $8A, $51, $4B, $36, $6C, $44 
 DB $89, $63, $4C, $E5, $9B, $11, $22, $94, $4C, $E5 
 DB $9B, $39, $45, $28, $82, $72, $CD, $9C, $A2, $44 
 DB $82, $72, $CD, $9C, $A2, $44, $82, $6C, $E5, $9C 
 DB $A2, $44, $82, $6C, $E5, $9A, $29, $44, $82, $6C 
 DB $E5, $9A, $29, $44, $88, $18, $B0, $6A, $D9, $CB 
 DB $34, $52, $89, $10, $31, $60, $D5, $B3, $66, $D1 
 DB $4A, $24, $41, $66, $CD, $A2, $45, $28, $82, $CD 
 DB $9B, $44, $8A, $51, $04, $E5, $9B, $44, $8A, $51 
 DB $04, $E5, $9B, $39, $45, $28, $82, $72, $CD, $9C 
 DB $A2, $44, $82, $72, $CD, $9C, $A2, $44, $82, $6C 
 DB $E5, $9C, $A2, $44, $82, $6C, $E5, $9A, $29, $44 
 DB $82, $6C, $E5, $98, $8A, $56, $B5, $2C, $E5, $98 
 DB $8A, $51, $22, $96, $6C, $D8, $8A, $56, $B5, $2C 
 DB $D9, $B1, $12, $29, $45, $2C, $D9, $B1, $12, $25 
 DB $8D, $33, $96, $6C, $44, $8A, $51, $33, $96, $6C 
 DB $C1, $8A, $06, $A9, $12, $C6, $99, $CB, $36, $60 
 DB $C5, $03, $54, $89, $12, $67, $2C, $D9, $89, $12 
 DB $C6, $99, $B3, $96, $62, $44, $89, $33, $67, $2C 
 DB $C4, $52, $B1, $A6, $6C, $E5, $98, $8A, $51, $22 
 DB $96, $60, $98 ; flushed
; translation data 
; DB $0A; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_7: 
 DB $02, $02, $38 ;1819 
 DB $82, $03, $00 ;2376 
 DB $83, $02, $01 ;624 
 DB $83, $03, $02 ;1353 
 DB $84, $01, $04 ;276 
 DB $84, $02, $03 ;440 
 DB $04, $03, $28 ;504 
 DB $85, $01, $05 ;112 
 DB $06, $01, $20 ;13 
 DB $07, $01, $30 ;4 
; phrases follow 
GHOSTBST_pd_7: 
 DB $0B, $20, $38, $38, $38, $38, $38, $38, $38, $38, $38, $38; 2376 
 DB $0D, $20, $38, $38, $38, $38, $38, $20, $38, $38, $38, $38, $38, $38; 624 
 DB $0B, $28, $38, $38, $38, $38, $38, $38, $38, $38, $38, $38; 1353 
 DB $0B, $20, $28, $28, $28, $28, $28, $28, $28, $28, $28, $28; 440 
 DB $0C, $28, $28, $38, $38, $38, $38, $38, $38, $38, $38, $38, $38; 276 
 DB $0E, $38, $28, $28, $28, $28, $28, $28, $20, $38, $38, $38, $38, $20, $38; 112 
; data follows 
GHOSTBST_reg_7_data: 
 DB $01, $F8, $EC, $03, $F1, $D8, $07, $E3, $B0, $0F 
 DB $C7, $66, $9C, $CC, $A3, $3D, $70, $8D, $34, $E6 
 DB $65, $5A, $5A, $11, $A6, $9C, $CC, $AB, $3C, $70 
 DB $82, $D3, $99, $95, $69, $68, $41, $69, $AA, $99 
 DB $56, $78, $E1, $05, $A6, $AA, $65, $59, $A6, $20 
 DB $B4, $C1, $CB, $3C, $70, $82, $A5, $83, $96, $69 
 DB $88, $2A, $5A, $99, $94, $67, $8E, $10, $54, $B5 
 DB $33, $28, $CD, $34, $23, $52, $D4, $CC, $A3, $3D 
 DB $70, $8D, $34, $E6, $65, $19, $A6, $84, $69, $A7 
 DB $33, $2A, $CF, $1C, $23, $4D, $39, $99, $56, $96 
 DB $84, $16, $9C, $CC, $AB, $3C, $70, $82, $D3, $55 
 DB $32, $AD, $2D, $08, $2D, $1A, $93, $46, $A4, $D1 
 DB $B4, $6A, $4D, $1A, $93, $46, $99, $A9, $34, $6A 
 DB $4D, $1A, $66, $8D, $49, $A9, $34, $69, $E3, $8D 
 DB $3C, $71, $A7, $8E, $37, $AE, $36, $8D, $01, $8C 
 DB $3A, $C3, $DB, $3C, $71, $A7, $8E, $34, $F1, $C6 
 DB $9E, $38, $D3, $34, $06, $B0, $E3, $0F, $6C, $F1 
 DB $C6, $9E, $38, $D3, $C7, $1A, $78, $E3, $4C, $D0 
 DB $1A, $C3, $AC, $3C, $B3, $D7, $1B, $C7, $1A, $78 
 DB $E3, $4F, $1C, $69, $FB, $19, $A6, $0E, $59, $E3 
 DB $84, $15, $2C, $1C, $B3, $4C, $41, $52, $D4, $CC 
 DB $A3, $3C, $70, $82, $A5, $A9, $99, $46, $69, $A1 
 DB $1A, $96, $A6, $65, $19, $EB, $84, $69, $A7, $33 
 DB $28, $CD, $34, $23, $4D, $39, $99, $56, $78, $E1 
 DB $1A, $69, $CC, $CA, $B4, $B4, $20, $BC, $71, $A7 
 DB $8E, $34, $F1, $C6, $9E, $38, $D3, $34, $06, $B0 
 DB $EB, $0F, $2C, $F5, $C6, $F5, $C6, $F1, $C6, $9E 
 DB $38, $D3, $46, $06, $B0, $EB, $0F, $6C, $F1, $C6 
 DB $F5, $C6, $F5, $C6, $F5, $C6, $D1, $81, $AC, $3A 
 DB $C3, $DB, $3C, $71, $A7, $8E, $34, $F1, $C6, $F5 
 DB $C6, $FC, $4C, $D3, $99, $94, $67, $AE, $11, $A6 
 DB $9C, $CC, $AB, $4B, $42, $34, $D3, $99, $95, $67 
 DB $8E, $10, $5A, $73, $32, $AD, $2D, $08, $2D, $35 
 DB $8C, $F6, $D2, $6A, $66, $51, $9A, $6B, $19, $ED 
 DB $8D, $1C, $CC, $A3, $34, $D6, $33, $DB, $1A, $39 
 DB $99, $56, $96, $B1, $9E, $D8, $D1, $CC, $CA, $B4 
 DB $B5, $8C, $E4, $D1, $CC, $CA, $B4, $B5, $8C, $E4 
 DB $D1, $AA, $99, $56, $96, $B1, $9C, $9A, $35, $53 
 DB $2A, $CD, $3C, $67, $26, $8C, $1C, $B3, $4F, $19 
 DB $9A, $93, $07, $2C, $D3, $C6, $66, $A4, $D4, $CC 
 DB $A3, $34, $F1, $99, $A9, $35, $33, $28, $CD, $35 
 DB $8C, $F6, $D2, $6A, $66, $51, $9A, $6B, $19, $ED 
 DB $8D, $1C, $CC, $A3, $34, $D6, $33, $DB, $1A, $39 
 DB $99, $56, $96, $B1, $9E, $D8, $D1, $CC, $CA, $B4 
 DB $B5, $8C, $E4, $D1, $CC, $CA, $B4, $B5, $33, $28 
 DB $CF, $5C, $23, $52, $D4, $CC, $A3, $34, $D0, $8D 
 DB $34, $E6, $65, $19, $EB, $84, $69, $A7, $33, $2A 
 DB $D2, $D0, $8D, $34, $E6, $65, $59, $E3, $84, $16 
 DB $9C, $CC, $AB, $4B, $42, $0B, $4D, $54, $CA, $B3 
 DB $C7, $08, $2D, $35, $53, $2A, $CD, $31, $05, $A6 
 DB $0E, $59, $E3, $84, $15, $2C, $1C, $B3, $4C, $41 
 DB $52, $D4, $CC, $A3, $3C, $70, $82, $A5, $A9, $99 
 DB $46, $69, $A1, $1A, $02, $80 ; flushed
; translation data 
; DB $19; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_8: 
 DB $82, $03, $00 ;2332 
 DB $83, $04, $02 ;672 
 DB $83, $05, $01 ;912 
 DB $84, $04, $08 ;372 
 DB $04, $05, $0D ;412 
 DB $84, $06, $03 ;495 
 DB $84, $07, $04 ;552 
 DB $05, $02, $0B ;97 
 DB $05, $04, $0E ;207 
 DB $85, $05, $05 ;240 
 DB $85, $06, $06 ;240 
 DB $05, $07, $01 ;368 
 DB $06, $02, $0C ;75 
 DB $86, $03, $09 ;85 
 DB $86, $06, $07 ;140 
 DB $06, $07, $0F ;202 
 DB $07, $02, $09 ;31 
 DB $07, $03, $02 ;48 
 DB $08, $01, $08 ;14 
 DB $08, $02, $07 ;18 
 DB $08, $03, $0A ;27 
 DB $0A, $01, $04 ;3 
 DB $0A, $02, $05 ;3 
 DB $0A, $03, $06 ;3 
 DB $0B, $01, $03 ;3 
; phrases follow 
GHOSTBST_pd_8: 
 DB $0B, $0F, $0F, $0E, $0E, $0E, $0D, $0D, $0D, $0C, $0C, $0C; 2332 
 DB $0C, $0B, $0B, $0B, $0A, $0A, $0A, $09, $09, $09, $08, $08, $08; 912 
 DB $0E, $0F, $0F, $0E, $0E, $0E, $0D, $0F, $0F, $0E, $0E, $0E, $0D, $0D, $0D; 672 
 DB $0B, $0F, $0F, $0F, $0F, $0F, $0E, $0E, $0E, $0E, $0E, $0E; 495 
 DB $0C, $0D, $0D, $0D, $0D, $0D, $0D, $0C, $0C, $0C, $0C, $0C, $0C; 552 
 DB $0F, $07, $07, $07, $06, $06, $06, $05, $05, $05, $04, $04, $04, $03, $03, $03; 240 
 DB $06, $0B, $0B, $0B, $0A, $0A, $0A; 240 
 DB $04, $0C, $0C, $0C, $0B; 140 
 DB $0C, $0B, $0B, $0B, $0B, $0B, $0B, $0A, $0A, $0A, $0A, $0A, $0A; 372 
 DB $05, $0F, $0F, $0E, $0E, $0E; 85 
; data follows 
GHOSTBST_reg_8_data: 
 DB $FC, $BA, $BF, $5D, $27, $D7, $47, $61, $31, $92 
 DB $C1, $35, $01, $35, $61, $31, $90, $34, $B0, $9A 
 DB $B0, $98, $C8, $19, $AB, $56, $13, $19, $03, $4B 
 DB $09, $AB, $09, $8C, $81, $9A, $B5, $61, $31, $90 
 DB $33, $0A, $5A, $B0, $98, $C0, $52, $0E, $CA, $19 
 DB $AB, $50, $14, $B1, $80, $A4, $1D, $94, $33, $0A 
 DB $5A, $80, $A5, $8C, $04, $96, $09, $AB, $50, $14 
 DB $B1, $80, $92, $C1, $30, $98, $4D, $65, $8C, $04 
 DB $96, $09, $A8, $09, $AB, $09, $8C, $96, $09, $84 
 DB $C2, $6A, $C2, $63, $20, $66, $AD, $58, $4C, $64 
 DB $0D, $2C, $26, $AC, $26, $32, $06, $6A, $D5, $84 
 DB $C6, $40, $D2, $C2, $6B, $FB, $75, $7E, $BA, $4F 
 DB $81, $8E, $0E, $C4, $39, $0C, $72, $18, $F3, $15 
 DB $40, $CC, $72, $18, $E1, $18, $E6, $39, $0C, $72 
 DB $18, $E4, $31, $C8, $63, $98, $E6, $39, $0C, $72 
 DB $18, $E4, $31, $C8, $63, $98, $E6, $39, $0C, $72 
 DB $18, $E4, $31, $C8, $63, $92, $60, $AA, $02, $C2 
 DB $63, $01, $48, $3B, $28, $66, $AD, $40, $52, $C6 
 DB $02, $90, $76, $50, $CC, $29, $6A, $02, $96, $30 
 DB $12, $58, $26, $AD, $40, $52, $C6, $02, $4B, $04 
 DB $C2, $61, $35, $96, $30, $12, $58, $26, $A0, $26 
 DB $AC, $26, $32, $58, $26, $13, $09, $AB, $09, $8C 
 DB $81, $9A, $B5, $61, $31, $90, $34, $B0, $9A, $98 
 DB $E4, $31, $C8, $63, $90, $C7, $21, $8E, $63, $98 
 DB $E4, $31, $C8, $63, $90, $C7, $21, $8E, $63, $84 
 DB $63, $CC, $55, $03, $31, $C8, $63, $90, $C7, $21 
 DB $8E, $63, $84, $63, $90, $C7, $21, $8F, $31, $54 
 DB $0C, $C7, $21, $8E, $49, $82, $98, $0B, $09, $8C 
 DB $96, $09, $A8, $09, $AB, $09, $8C, $81, $A5, $84 
 DB $D5, $84, $C6, $40, $CD, $5A, $B0, $98, $C8, $1A 
 DB $58, $4D, $58, $4D, $45, $B0, $3E, $E9, $D2, $C1 
 DB $30, $9A, $8B, $60, $7D, $D3, $A5, $82, $61, $35 
 DB $16, $C0, $FB, $A7, $40, $D2, $D4, $5B, $03, $EE 
 DB $9D, $03, $4B, $51, $6C, $0F, $BA, $74, $0D, $2D 
 DB $45, $B0, $3E, $E9, $D0, $34, $B5, $16, $C0, $FB 
 DB $A7, $40, $CC, $26, $A2, $D8, $1F, $74, $F2, $0E 
 DB $CA, $19, $84, $D4, $5B, $03, $EE, $9E, $41, $D9 
 DB $43, $30, $9A, $8B, $60, $7D, $D3, $A5, $82, $61 
 DB $35, $16, $C0, $FB, $A7, $4B, $04, $C2, $6A, $2D 
 DB $81, $F7, $4E, $96, $09, $84, $D4, $5B, $03, $EE 
 DB $9D, $2C, $13, $09, $A8, $B6, $07, $DD, $3A, $06 
 DB $96, $A2, $D8, $1F, $74, $E8, $1A, $5A, $8B, $60 
 DB $7D, $D3, $A0, $69, $63, $01, $25, $82, $6A, $02 
 DB $6B, $2C, $60, $24, $B0, $4C, $26, $13, $56, $13 
 DB $19, $2C, $13, $50, $13, $56, $13, $19, $03, $4B 
 DB $09, $AB, $09, $8C, $81, $9A, $B5, $61, $31, $90 
 DB $34, $B0, $9A, $B0, $98, $C8, $19, $AB, $56, $13 
 DB $19, $03, $30, $A5, $AB, $09, $8C, $05, $20, $EC 
 DB $A1, $9A, $B5, $01, $4B, $18, $0A, $41, $D9, $43 
 DB $30, $A5, $A8, $0A, $58, $C0, $49, $60, $9A, $B5 
 DB $01, $4B, $18, $09, $2C, $13, $09, $84, $D6, $4A 
 ; flushed
; translation data 
; DB $0F; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_9: 
 DB $81, $01, $00 ;4070 
 DB $83, $02, $01 ;539 
 DB $04, $02, $0B ;236 
 DB $04, $06, $0E ;661 
 DB $04, $07, $0F ;775 
 DB $05, $01, $0D ;103 
 DB $85, $02, $05 ;112 
 DB $85, $03, $04 ;220 
 DB $85, $06, $02 ;352 
 DB $85, $07, $03 ;352 
 DB $07, $01, $08 ;22 
 DB $07, $02, $0C ;23 
 DB $07, $03, $0A ;32 
 DB $08, $01, $07 ;6 
 DB $09, $01, $09 ;5 
; phrases follow 
GHOSTBST_pd_9: 
 DB $0B, $0F, $0F, $0E, $0E, $0E, $0D, $0D, $0D, $0C, $0C, $0C; 4070 
 DB $0B, $0F, $0F, $0E, $0E, $0E, $0D, $0F, $0F, $0E, $0E, $0E; 539 
 DB $08, $0D, $0D, $0B, $0B, $0D, $0D, $0C, $0C; 352 
 DB $0B, $09, $0B, $0B, $0D, $0D, $0E, $0E, $0E, $0E, $0E, $0E; 352 
 DB $0B, $0B, $0B, $0B, $0A, $0A, $0A, $09, $09, $09, $08, $08; 220 
 DB $07, $0D, $0D, $0D, $0D, $0D, $0C, $0C; 112 
; data follows 
GHOSTBST_reg_9_data: 
 DB $91, $CD, $23, $98, $73, $48, $E6, $1C, $D2, $39 
 DB $87, $34, $8E, $69, $1C, $C3, $D5, $82, $8B, $04 
 DB $05, $16, $08, $0A, $2C, $14, $58, $20, $28, $B0 
 DB $40, $51, $60, $A2, $C1, $01, $55, $E6, $D5, $79 
 DB $B0, $35, $79, $B0, $35, $79, $B5, $5E, $6C, $0D 
 DB $5E, $6C, $0D, $5E, $6D, $57, $9B, $02, $89, $20 
 DB $65, $0C, $04, $03, $28, $91, $24, $0A, $29, $45 
 DB $28, $91, $24, $0A, $24, $30, $14, $52, $89, $20 
 DB $51, $4A, $24, $52, $89, $14, $9E, $CD, $27, $B3 
 DB $02, $89, $0C, $05, $14, $A2, $45, $27, $B3, $49 
 DB $EC, $C0, $A2, $45, $28, $A5, $12, $22, $44, $86 
 DB $02, $89, $14, $A2, $24, $48, $A5, $12, $29, $44 
 DB $40, $CA, $18, $0A, $24, $52, $88, $81, $94, $48 
 DB $A5, $14, $A2, $20, $65, $0C, $04, $03, $28, $91 
 DB $24, $0C, $A2, $45, $28, $91, $24, $0A, $24, $30 
 DB $19, $44, $89, $20, $51, $4A, $24, $52, $89, $20 
 DB $51, $21, $80, $A2, $94, $48, $A4, $F6, $69, $3D 
 DB $98, $14, $52, $89, $12, $39, $87, $34, $8E, $61 
 DB $CD, $23, $9A, $47, $30, $E6, $91, $CC, $39, $A4 
 DB $73, $0F, $56, $0A, $2C, $10, $14, $58, $28, $B0 
 DB $40, $51, $60, $80, $A2, $C1, $45, $82, $02, $8B 
 DB $04, $05, $57, $9B, $55, $E6, $C0, $D5, $E6, $C0 
 DB $D5, $E6, $D5, $79, $B0, $35, $79, $B5, $5E, $6C 
 DB $0D, $5E, $6C, $0F, $75, $AC, $E3, $01, $F7, $5A 
 DB $CE, $30, $1F, $75, $AC, $E3, $70, $DA, $CE, $36 
 DB $36, $B3, $8C, $07, $67, $90, $6C, $F2, $08, $AC 
 DB $E3, $01, $F7, $5A, $CE, $30, $1F, $75, $AC, $E3 
 DB $01, $F7, $5A, $CE, $30, $1F, $75, $AC, $E3, $01 
 DB $ED, $6B, $38, $C0, $76, $79, $04, $56, $79, $06 
 DB $CE, $30, $1F, $2D, $C6, $03, $E5, $B8, $C0, $7C 
 DB $B7, $18, $0F, $96, $E3, $01, $E7, $71, $80, $EC 
 DB $F2, $08, $AC, $F2, $08, $AC, $E3, $76, $DC, $6E 
 DB $5B, $8C, $07, $CB, $71, $80, $F9, $6E, $30, $1F 
 DB $83, $7B, $35, $83, $60, $42, $44, $48, $90, $C0 
 DB $51, $22, $94, $44, $89, $14, $A2, $45, $28, $88 
 DB $19, $43, $01, $44, $8A, $51, $10, $32, $89, $14 
 DB $A2, $94, $44, $0C, $A1, $80, $80, $65, $12, $24 
 DB $81, $94, $48, $A5, $12, $24, $81, $44, $86, $03 
 DB $28, $91, $24, $0A, $29, $44, $89, $EE, $B5, $9C 
 DB $60, $3E, $EB, $59, $C6, $03, $EE, $B5, $9C, $60 
 DB $3E, $EB, $59, $C6, $03, $DA, $D6, $71, $80, $EC 
 DB $F2, $08, $AC, $F2, $08, $AC, $E3, $70, $DA, $CE 
 DB $37, $0D, $AC, $E3, $77, $5A, $CE, $30, $1F, $75 
 DB $AC, $E3, $01, $E3, $6B, $38, $D6, $79, $04, $56 
 DB $79, $04, $56, $71, $80, $F9, $6E, $37, $6D, $C6 
 DB $ED, $B8, $DD, $B7, $1B, $7B, $8D, $67, $90, $45 
 DB $67, $90, $45, $67, $18, $0F, $96, $E3, $01, $F2 
 DB $DC, $60, $3E, $5B, $8D, $DB, $71, $BD, $1B, $D9 
 DB $AC, $1B, $02, $12, $40, $CA, $18, $08, $06, $51 
 DB $22, $48, $14, $52, $8A, $51, $22, $48, $14, $48 
 DB $60, $28, $A5, $12, $40, $A2, $94, $48, $A5, $12 
 DB $29, $45, $28, $88, $19, $44, $8A, $51, $22, $48 
 DB $19, $44, $8A, $51, $22, $48, $14, $52, $8A, $51 
 DB $22, $48, $14, $52, $89, $14, $A2, $48, $14, $52 
 DB $89, $14, $A2, $45, $27, $B3, $49, $EC, $C0, $A2 
 DB $94, $48, $A5, $12, $29, $3D, $9A, $4F, $66, $05 
 DB $12, $29, $45, $28, $91, $12, $24, $52, $89, $14 
 DB $A2, $24, $48, $A5, $12, $29, $44, $40, $CA, $29 
 DB $44, $8A, $51, $10, $32, $89, $14, $A2, $94, $44 
 DB $0C, $A2, $45, $28, $91, $24, $0C, $A2, $45, $28 
 DB $91, $24, $0A, $29, $45, $28, $91, $24, $0A, $29 
 DB $44, $8A, $51, $24, $0A, $29, $44, $40, $CA, $18 
 DB $08, $06, $51, $4A, $22, $06, $51, $22, $94, $48 
 DB $92, $06, $50, $C0, $40, $32, $89, $12, $40, $A2 
 DB $94, $52, $89, $12, $40, $A2, $43, $01, $45, $28 
 DB $92, $05, $14, $A2, $45, $28, $91, $49, $EC, $D2 
 DB $7B, $30, $28, $90, $C0, $51, $4A, $24, $52, $7B 
 DB $34, $9E, $CC, $0A, $24, $52, $8A, $51, $22, $24 
 DB $48, $60, $28, $91, $4A, $22, $44, $8A, $51, $22 
 DB $94, $44, $0C, $A1, $80, $A2, $45, $28, $88, $19 
 DB $44, $8A, $51, $00, $22 ; flushed
; translation data 
; DB $16; bytes follow 
; bits used, code, real 'byte' 
GHOSTBST_reg_10: 
 DB $03, $04, $0E ;784 
 DB $03, $05, $0F ;952 
 DB $83, $06, $00 ;1265 
 DB $03, $07, $00 ;1331 
 DB $84, $04, $04 ;240 
 DB $84, $06, $03 ;440 
 DB $84, $07, $01 ;539 
 DB $85, $04, $05 ;120 
 DB $05, $05, $0D ;133 
 DB $85, $06, $08 ;152 
 DB $85, $0A, $07 ;252 
 DB $05, $0B, $05 ;298 
 DB $06, $01, $06 ;66 
 DB $06, $02, $07 ;70 
 DB $06, $03, $0C ;84 
 DB $06, $04, $0B ;97 
 DB $06, $05, $08 ;103 
 DB $06, $06, $09 ;105 
 DB $86, $07, $06 ;115 
 DB $06, $0E, $0A ;164 
 DB $86, $0F, $02 ;196 
 DB $07, $01, $04 ;15 
; phrases follow 
GHOSTBST_pd_10: 
 DB $0B, $0F, $0F, $0F, $0D, $0D, $0B, $0B, $0D, $0D, $0C, $0C; 1265 
 DB $0B, $0F, $0F, $0F, $0D, $0D, $0B, $0F, $0F, $0F, $0D, $0D; 539 
 DB $04, $0B, $0B, $0D, $0D; 196 
 DB $0B, $0F, $0F, $0F, $0F, $0F, $0E, $0E, $0E, $0E, $0E, $0E; 440 
 DB $06, $0A, $0A, $09, $09, $0B, $0B; 240 
 DB $04, $0B, $0F, $0F, $0F; 120 
 DB $05, $0F, $0F, $0F, $0D, $0D; 115 
 DB $0C, $0D, $0D, $0D, $0D, $0D, $0D, $0C, $0C, $0C, $0C, $0C, $0C; 252 
 DB $08, $0E, $0E, $0E, $0E, $0E, $0E, $0E, $09; 152 
; data follows 
GHOSTBST_reg_10_data: 
 DB $0C, $3E, $70, $30, $F1, $87, $CE, $06, $1E, $30 
 DB $F1, $87, $CE, $06, $1E, $30, $F1, $87, $CE, $06 
 DB $1E, $30, $F1, $87, $CE, $06, $1E, $30, $F9, $C0 
 DB $C3, $C6, $1F, $B6, $54, $B2, $0E, $32, $A5, $B0 
 DB $71, $95, $2D, $83, $8C, $A9, $64, $1C, $65, $4B 
 DB $60, $E3, $2A, $5B, $07, $19, $52, $C8, $38, $CA 
 DB $96, $C1, $C9, $85, $30, $B2, $61, $4C, $2C, $98 
 DB $56, $1D, $21, $C4, $DF, $6B, $F1, $D6, $1D, $E7 
 DB $79, $C2, $1C, $4C, $F6, $7C, $C5, $30, $E3, $F2 
 DB $6C, $FE, $7B, $22, $8F, $90, $63, $BC, $EF, $38 
 DB $43, $89, $9E, $CF, $98, $59, $0E, $26, $FB, $3E 
 DB $62, $A6, $24, $CE, $98, $D3, $16, $61, $54, $13 
 DB $E3, $A6, $2A, $62, $4C, $E9, $8D, $31, $66, $14 
 DB $C1, $9A, $EA, $04, $FC, $9B, $3E, $62, $A6, $24 
 DB $CE, $98, $D3, $16, $61, $54, $13, $84, $31, $53 
 DB $12, $67, $4C, $6A, $8B, $EF, $7B, $1C, $4C, $F6 
 DB $7F, $1D, $6F, $7B, $CE, $24, $8A, $1C, $4D, $F6 
 DB $7C, $C5, $31, $C4, $DF, $6B, $F1, $D6, $1D, $E7 
 DB $79, $C2, $1F, $93, $67, $CC, $71, $33, $D9, $F3 
 DB $15, $31, $26, $74, $C6, $98, $B3, $0A, $A0, $9C 
 DB $4D, $34, $C5, $4C, $49, $9D, $31, $A6, $2C, $C2 
 DB $98, $33, $5D, $40, $C8, $71, $37, $DA, $F3, $15 
 DB $31, $26, $74, $C6, $98, $B3, $0A, $60, $C8, $70 
 DB $86, $2A, $62, $4C, $E9, $8D, $31, $7C, $EF, $0C 
 DB $3C, $61, $E3, $0F, $9C, $0C, $3C, $61, $E3, $0F 
 DB $9C, $0C, $3C, $61, $F3, $81, $87, $8C, $3C, $61 
 DB $F3, $81, $87, $8C, $3C, $61, $F3, $81, $87, $8C 
 DB $3F, $6C, $A9, $64, $1C, $65, $4B, $60, $E3, $2A 
 DB $59, $07, $19, $52, $D8, $38, $CA, $96, $C1, $C6 
 DB $54, $B2, $0E, $32, $A5, $B0, $71, $95, $2D, $83 
 DB $93, $0A, $61, $64, $C2, $C9, $85, $30, $BD, $D8 
 DB $C3, $BB, $B1, $87, $77, $63, $70, $E3, $63, $8C 
 DB $3A, $43, $84, $61, $DD, $D8, $C3, $BB, $B1, $87 
 DB $77, $63, $0E, $EE, $C6, $1D, $B6, $30, $E3, $B0 
 DB $EE, $EC, $61, $DD, $D8, $C3, $BB, $B1, $87, $77 
 DB $63, $0E, $DB, $18, $71, $C2, $37, $0E, $B7, $2E 
 DB $C8, $A3, $E4, $18, $EE, $5D, $91, $47, $C8, $31 
 DB $DC, $BB, $22, $8F, $90, $63, $BD, $1D, $91, $47 
 DB $C8, $31, $C7, $13, $3D, $9F, $C7, $5B, $DE, $F9 
 DB $38, $9B, $ED, $79, $8A, $08, $C7, $13, $3D, $9F 
 DB $C7, $5B, $DE, $F3, $89, $22, $87, $13, $7D, $9F 
 DB $31, $4C, $71, $37, $DA, $FC, $75, $87, $79, $DE 
 DB $70, $87, $E4, $D9, $F3, $14, $C3, $A4, $38, $9B 
 DB $EC, $FE, $7B, $22, $8F, $90, $63, $BC, $EF, $38 
 DB $43, $89, $9E, $CF, $98, $AE, $EC, $61, $DD, $D8 
 DB $C3, $BB, $B1, $87, $77, $63, $0E, $DB, $18, $71 
 DB $C2, $37, $0E, $37, $0E, $37, $76, $30, $EE, $EC 
 DB $61, $D8, $E3, $1C, $23, $0E, $EE, $C6, $E1, $C6 
 DB $E1, $C6, $E1, $C6, $C7, $18, $E1, $18, $77, $2E 
 DB $C8, $A3, $E4, $18, $EE, $5D, $91, $47, $C8, $31 
 DB $DC, $BB, $22, $8F, $90, $7C, $3A, $DE, $F6, $FF 
 DB $17, $7B, $0E, $62, $48, $E9, $0B, $20, $A4, $34 
 DB $85, $90, $3E, $C5, $67, $1F, $20, $D8, $73, $12 
 DB $47, $48, $59, $05, $21, $A4, $2C, $81, $F6, $2B 
 DB $38, $F9, $06, $C3, $98, $92, $3A, $42, $C8, $29 
 DB $0D, $21, $64, $0F, $B1, $59, $C7, $C8, $31, $D2 
 DB $C4, $91, $D2, $16, $41, $48, $69, $0B, $20, $7D 
 DB $8A, $CE, $3E, $41, $8E, $DB, $D8, $83, $98, $8C 
 DB $41, $CC, $46, $1D, $B7, $B1, $07, $31, $18, $83 
 DB $98, $8C, $3B, $6F, $62, $0E, $62, $31, $07, $31 
 DB $18, $76, $3E, $C4, $62, $31, $07, $31, $18, $73 
 DB $0E, $62, $48, $E9, $0B, $20, $A4, $34, $85, $90 
 DB $3E, $C5, $72, $1C, $7C, $83, $1C, $C3, $98, $92 
 DB $3A, $42, $C8, $29, $0D, $21, $64, $0F, $B1, $59 
 DB $C7, $C8, $36, $1C, $C4, $91, $D2, $16, $41, $48 
 DB $69, $0B, $20, $7D, $8A, $CE, $3E, $41, $B0, $E6 
 DB $24, $8E, $90, $B2, $0A, $43, $48, $59, $03, $EC 
 DB $56, $71, $F2, $0F, $1F, $62, $31, $07, $31, $18 
 DB $83, $9B, $1F, $62, $0E, $62, $31, $18, $83, $98 
 DB $76, $DE, $C4, $1C, $C4, $62, $0E, $62, $30, $ED 
 DB $BD, $88, $39, $88, $C4, $1C, $C4, $61, $CC, $71 
 DB $33, $D9, $FC, $75, $87, $79, $DE, $70, $87, $E4 
 DB $D9, $F3, $14, $C3, $A4, $38, $9B, $ED, $7E, $3A 
 DB $C3, $BC, $EF, $38, $43, $89, $9E, $CF, $98, $E2 
 DB $6F, $B5, $E6, $2A, $62, $4C, $E9, $8D, $31, $66 
 DB $14, $C1, $90, $E2, $69, $A6, $2A, $62, $4C, $E9 
 DB $8D, $31, $66, $14, $C1, $9A, $EA, $06, $43, $89 
 DB $BE, $CF, $98, $A9, $89, $33, $A6, $34, $C5, $98 
 DB $55, $04, $E6, $2A, $62, $4C, $E9, $8D, $31, $7C 
 DB $EF, $61, $C7, $13, $3D, $9F, $C7, $5B, $DE, $F9 
 DB $38, $9B, $ED, $79, $8A, $08, $C7, $13, $3D, $9F 
 DB $C7, $5B, $DE, $F3, $89, $22, $87, $13, $7D, $9F 
 DB $31, $41, $82, $00 ; flushed
; This data does not appear in binary output! 
GHOSTBST_data: 
 DW GHOSTBST_start 
 DW GHOSTBST_reg_0, GHOSTBST_pd_0, GHOSTBST_reg_0_data
 DW GHOSTBST_reg_1, GHOSTBST_pd_1, GHOSTBST_reg_1_data
 DW GHOSTBST_reg_2, GHOSTBST_pd_2, GHOSTBST_reg_2_data
 DW GHOSTBST_reg_3, GHOSTBST_pd_3, GHOSTBST_reg_3_data
 DW GHOSTBST_reg_4, GHOSTBST_pd_4, GHOSTBST_reg_4_data
 DW GHOSTBST_reg_5, GHOSTBST_pd_5, GHOSTBST_reg_5_data
 DW GHOSTBST_reg_6, GHOSTBST_pd_6, GHOSTBST_reg_6_data
 DW GHOSTBST_reg_7, GHOSTBST_pd_7, GHOSTBST_reg_7_data
 DW GHOSTBST_reg_8, GHOSTBST_pd_8, GHOSTBST_reg_8_data
 DW GHOSTBST_reg_9, GHOSTBST_pd_9, GHOSTBST_reg_9_data
 DW GHOSTBST_reg_10, GHOSTBST_pd_10, GHOSTBST_reg_10_data
SONG_DATA EQU GHOSTBST_data 
GHOSTBST_name: 
 DB $54, $48, $45, $20, $52, $45, $41, $4C, $20, $47, $48, $4F, $53, $42, $55, $53, $54, $45, $52, $53, $80 
