Sound_Byte=0HF256
Clear_x_d=0HF548

INFO_START=0
BYTE_POS=0
BIT_POS=2
CBYTE=3
CU_BYTE=4
CRLE_COUNTER=5
CRLE_MAPPER=7
CIS_PHRASE=9
CP_BYTE=11
CP_START=12
INFO_END=14
STRUCT_LEN=(INFO_END-INFO_START)
; uses 166 byte RAM!
        .area __bss
cregister:
                .blkb   1
temp:
                .blkb   1
temp2:
                .blkb   1
temp3:
                .blkb   1
calc_coder:
                .blkb   1
calc_bits:
                .blkb   1
ym_len:
                .blkb   2
 .globl  _ym_cdata
_ym_cdata:
                .blkb   2
ym_name:
                .blkb   2
ym_dstart:
                .blkb   11 * STRUCT_LEN

        .area __code
;***************************************************************************

;***************************************************************************
        .globl  _ym_sound
_ym_sound:
                ldd     _ym_cdata
                beq     ymsodone
                subd    #1
                std     _ym_cdata
                clra
                sta     cregister
                ldu     #ym_dstart
next_reg:
                jsr    get_cbyte
                lda    cregister
                ; A PSG reg
                ; B data
                jsr Sound_Byte

                leau    STRUCT_LEN,u
                inc     cregister
                lda     cregister
                cmpa    #11
                bne     next_reg
ymsodone:
                rts

nv_byte:
; no we must look at the bits
; a will be our bit register
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POS,u
                bne     bready_1
; load a new byte
                ldx     BYTE_POS,u
                ldb     ,x+
                stb     CBYTE,u
                stx     BYTE_POS,u
                ldb     #0H80
                stb     BIT_POS,u
bready_1:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POS,u

; is the bit at the current position set?
                andb    CBYTE,u
;;;;;;;;;;;;;;;;;;; GET_BIT END
; zero flag show bit
; A is 1 or zero
                lbne     ns_byte
si_byte:
                ; must be zero
                ; 1 is allways only 8 bit...
                inc      CRLE_COUNTER+1,u
dechifer:
                clr       calc_bits
                clr       calc_coder
tn_bit:
                lsl       calc_coder
                inc       calc_bits    ; increase used bits
;;;;;;;;;;;; GET_BIT_START
                ldb     BIT_POS,u
                bne     bready
; load a new byte
                ldx     BYTE_POS,u
                ldb     ,x+
                stb     CBYTE,u
                stx     BYTE_POS,u
                ldb     #0H80
                stb     BIT_POS,u
bready:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POS,u

; is the bit at the current position set?
                andb    CBYTE,u
                beq     no_add     ; and if non zero
                inc     calc_coder
;;;;;;;;;;;; GET_BIT_END
no_add:
; we load one complete set of mapper index, bits, coder, map-value
                ldx       CRLE_MAPPER,u
sagain:
                leax      3,x
                lda       ,x          ; load bits from map
                anda      #127         ; map out phrases
                cmpa      calc_bits      ; neu
                bgt       tn_bit ; neu
                bne       sagain
                ldb       1,x          ; load coder-byte
                cmpb      calc_coder
                bne       sagain
                ldb       2,x           ; load current mapped byte!
; in b is the byte value we sought
; test for phrase
                lda       ,x          ; load bits from map
                anda     #128         ; map in phrases only
                beq      no_p_d
; if phrase, than in b the count of the phrase used
                ldx      CP_START,u
                tstb
                beq     pfound
nphrase:
                lda     ,x+
                leax    a,x
                decb
                bne     nphrase
pfound:
                stx     CIS_PHRASE,u
                clr     CP_BYTE,u
                bra      out
no_p_d:
                clr      CIS_PHRASE,u
                clr      CIS_PHRASE+1,u
                stb      CU_BYTE,u
out:
; U pointer to data structure
; A number of register
get_cbyte:
; do we have a byte that is valid?
                ldd      CRLE_COUNTER,u
                beq      nv_byte
; yep... use current byte
                ldx       CIS_PHRASE,u
                beq       no_p
                lda       ,x+ ; length of phrase
                ldb       CP_BYTE,u
                ldb       b,x ; this is the current byte
                stb       CU_BYTE,u
                inc       CP_BYTE,u
                cmpa      CP_BYTE,u
                bne       cnotmone
                clr       CP_BYTE,u
                ldd       CRLE_COUNTER,u
no_p:
                subd      #1
                std       CRLE_COUNTER,u
cnotmone:
                ldb       CU_BYTE,u
                rts

ns_byte:
; non single byte here... must decode
; first we look for how many bits the RLE counter spreads

                ; we already encountered a 1
                ; and we allways use + 2
                lda     #2
                sta     temp
mbits:
                inc     temp
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POS,u
                bne     bready_2
; load a new byte
                ldx     BYTE_POS,u
                ldb     ,x+
                stb     CBYTE,u
                stx     BYTE_POS,u
                ldb     #0H80
                stb     BIT_POS,u
bready_2:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POS,u

; is the bit at the current position set?
                andb    CBYTE,u
;;;;;;;;;;;;;;;;;;; GET_BIT END
                bne     mbits
; in temp is the # of bits for the counter
; the following '#temp' bits represent the RLE count
; lsb first
                incb            ; we start at 1, since zero is an
                                ; 'own' 'subroutine',
                                ; which doesn't manipulate the temps
                stb     temp2   ; bit counter for shifting
                stb     temp3   ; bit counter for shifting
go_on:
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POS,u
                bne     bready_3
; load a new byte
                ldx     BYTE_POS,u
                ldb     ,x+
                stb     CBYTE,u
                stx     BYTE_POS,u
                ldb     #0H80
                stb     BIT_POS,u
bready_3:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POS,u

; is the bit at the current position set?
                andb    CBYTE,u
                beq     ehere_3
; return 1
                ldb     #1
ehere_3:
;;;;;;;;;;;;;;;;;;; GET_BIT END
; in D now one bit at the right position for the RLE counter
                stb     CRLE_COUNTER+1,u
; the first 3 (here only the first one) rounds
; we need not check for temp, since it is at least 3...
go_on_2:
;;;;;;;;;;;;;;;;;;; GET_BIT START
                ldb     BIT_POS,u
                bne     bready_4
; load a new byte
                ldx     BYTE_POS,u
                ldb     ,x+
                stb     CBYTE,u
                stx     BYTE_POS,u
                ldb     #0H80
                stb     BIT_POS,u
bready_4:
; bit position correct here
;
; remember we use one bit now!
                lsr     BIT_POS,u

; is the bit at the current position set?
                andb    CBYTE,u
                beq     ehere_4
; return 1
                ldb     #1
ehere_4:
                clra
snotydone:
                lsla               ; LSR A
                lslb               ; LSR B
                bcc no_carry       ; if no carry, than exit
                ora #1             ; otherwise underflow from A to 7bit of B
no_carry:
                dec     temp3
                bne     snotydone
sdone:
; in D now one bit at the right position for the RLE counter
                addd    CRLE_COUNTER,u
                std     CRLE_COUNTER,u

                inc     temp2
                lda     temp2
                sta     temp3
                cmpa    temp
                bne     go_on_2
; now the current counter should be set

; we still need to dechifer the following byte...
                lbra       dechifer

        .globl  _ym_init
_ym_init:
                ldx     #ym_dstart
                ldd     #(STRUCT_LEN*11)
                jsr     Clear_x_d

                ldy     ,u++
                ldd     ,y
                std     ym_len
                std     _ym_cdata
                ldb     #11
nreg_init:
                ldy     ,u++
                sty     CRLE_MAPPER,x
                ldy     ,u++
                sty     CP_START,x
                ldy     ,u++
                sty     BYTE_POS,x
                leax    STRUCT_LEN,x
                decb
                bne     nreg_init
                stu     ym_name
                rts

